package com.nordicpeak.flowengine.alternativelist.interfaces;

import java.util.List;

import se.unlogic.hierarchy.core.interfaces.attributes.AttributeHandler;

import com.nordicpeak.flowengine.alternativelist.beans.AlternativeListDescriptor;
import com.nordicpeak.flowengine.interfaces.ImmutableAlternative;

public interface AlternativeListInstance {
	
	public AlternativeListDescriptor getDescriptor();
	
	public List<? extends ImmutableAlternative> getAlternatives();

	public boolean requiresReload(AttributeHandler attributeHandler);
	
}
