package com.nordicpeak.flowengine.alternativelist.interfaces;

import java.sql.SQLException;
import java.util.Collection;

import com.nordicpeak.flowengine.alternativelist.beans.AlternativeListDescriptor;
import com.nordicpeak.flowengine.interfaces.QueryProvider;

public interface AlternativeListQueryProvider extends QueryProvider {
	
	public Collection<? extends AlternativeListQuery> getQueriesUsingAlternativeList(AlternativeListDescriptor descriptor);

	public boolean hasQueriesUsingAlternativeList(AlternativeListDescriptor descriptor) throws SQLException;
}
