<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	
	<xsl:import href="classpath://com/nordicpeak/flowengine/queries/common/xsl/QueryAdminCommon.sv.xsl"/>
	
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>
	
	<xsl:include href="BaseAlternativeListProviderModuleTemplates.xsl"/>

	<xsl:variable name="java.eventListAddedMessage">Skapade lista</xsl:variable>
	<xsl:variable name="java.eventListUpdatedMessage">Uppdaterade lista</xsl:variable>

	<xsl:variable name="i18n.Name">Namn</xsl:variable>
	<xsl:variable name="i18n.Size">Antal alternativ</xsl:variable>
	
	<xsl:variable name="i18n.Add">Lgg till lista</xsl:variable>
	<xsl:variable name="i18n.Update">ndra</xsl:variable>
	<xsl:variable name="i18n.Update.Description">OBS. Vid namnbyte tappas kopplingen till frgorna i e-tjnsterna. Detta medfr att e-tjnsterna mste uppdateras och kopplas mot listans nya namn.</xsl:variable>
	<xsl:variable name="i18n.Back">Bakt</xsl:variable>
	
	<xsl:variable name="i18n.validationError.RequiredField">Du mste fylla i fltet</xsl:variable>
	<xsl:variable name="i18n.validationError.InvalidFormat">Ogiltigt format p innehllet i fltet</xsl:variable>
	<xsl:variable name="i18n.validationError.TooLong">Fr lngt innehll i fltet</xsl:variable>
	<xsl:variable name="i18n.validationError.TooShort">Fr kort innehll i fltet</xsl:variable>
	<xsl:variable name="i18n.validationError.Other">Ett oknt fel</xsl:variable>
	<xsl:variable name="i18n.validationError.unknownValidationErrorType">Ett oknt fel har uppsttt</xsl:variable>
	<xsl:variable name="i18n.validationError.unknownMessageKey">Ett oknt fel har uppsttt</xsl:variable>
	<xsl:variable name="i18n.validationError.ListNotFound">Den begrda listan hittades inte.</xsl:variable>
	<xsl:variable name="i18n.validationError.UnableToDeleteListInUse">Det gr inte att ta bort listan fr den anvnds i en e-tjnst.</xsl:variable>
	<xsl:variable name="i18n.validationError.ListNameAlreadyInUse">Det valda namnet anvnds redan i en lista frn</xsl:variable>
	
	<xsl:variable name="i18n.UpdateList">ndra lista</xsl:variable>
	<xsl:variable name="i18n.DeleteList">Ta bort listan</xsl:variable>
	<xsl:variable name="i18n.DeleteListBlockedInUse">Kan inte ta bort en lista som anvnds</xsl:variable>
	<xsl:variable name="i18n.SaveChanges">Spara ndringar</xsl:variable>
	
	<xsl:variable name="i18n.ListAlternativeLists">Listor</xsl:variable>
	<xsl:variable name="i18n.ListAlternativeLists.Description">Hr kan du lgga till och ta bort listor.</xsl:variable>
	<xsl:variable name="i18n.ListAlternativeLists.NoListsFound">Inga listor hittades.</xsl:variable>
	
	<xsl:variable name="i18n.Show">Visa lista</xsl:variable>
	<xsl:variable name="i18n.Show.Alternatives">Alternativ</xsl:variable>
	<xsl:variable name="i18n.Show.Alternative.Name">Namn</xsl:variable>
	<xsl:variable name="i18n.Show.Alternative.Value">Vrde</xsl:variable>
	
	<xsl:variable name="i18n.FlowUsage.Button">Visa anvndning i e-tjnster</xsl:variable>
	<xsl:variable name="i18n.FlowUsage.Title">Anvndning i e-tjnster fr</xsl:variable>
	<xsl:variable name="i18n.Show.UsedInFlows.NotUsed">Listan anvnds inte i ngon e-tjnst</xsl:variable>
	<xsl:variable name="i18n.Show.UsedInFlows.FlowName">E-tjnst</xsl:variable>
	<xsl:variable name="i18n.Show.UsedInFlows.FlowVersion">Version</xsl:variable>
	<xsl:variable name="i18n.Show.UsedInFlows.StepAndQueries">Steg och frga</xsl:variable>
	
	<xsl:variable name="i18n.Events.Title">ndringslogg</xsl:variable>
	<xsl:variable name="i18n.Events.Full.Title">Fullstndig ndringslogg fr</xsl:variable>
	<xsl:variable name="i18n.Events.Description">Tabellen nedan visar de senaste ndringarna fr listan.</xsl:variable>
	<xsl:variable name="i18n.Events.Full.Description">Tabellen nedan visar alla ndringarna fr listan.</xsl:variable>
	<xsl:variable name="i18n.Events.message">Hndelse</xsl:variable>
	<xsl:variable name="i18n.Events.poster">Anvndare</xsl:variable>
	<xsl:variable name="i18n.Events.added">Tidpunkt</xsl:variable>
	<xsl:variable name="i18n.Events.NoEvents">Inga ndringar hittades.</xsl:variable>
	<xsl:variable name="i18n.Events.ShowAll">Visa alla ndringar</xsl:variable>
	
	<xsl:variable name="i18n.RemovedUser">Borttagen anvndare</xsl:variable>
	
</xsl:stylesheet>
