
package org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts;

import java.io.Serializable;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;
import org.datacontract.schemas._2004._07.artvise_mercury_base.BaseDto;


/**
 * <p>Java class for ObjectDto complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ObjectDto">
 *   &lt;complexContent>
 *     &lt;extension base="{http://schemas.datacontract.org/2004/07/Artvise.Mercury.Base.DataContracts}BaseDto">
 *       &lt;sequence>
 *         &lt;element name="Coordinates" type="{http://schemas.datacontract.org/2004/07/Artvise.Mercury.Base.DataContracts.API}CoordinatesDto" minOccurs="0"/>
 *         &lt;element name="CreatedByID" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="CreatedByName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="CreatedDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="CustomProperties" type="{http://schemas.datacontract.org/2004/07/Artvise.Mercury.Base.DataContracts.API}ArrayOfObjectCustomPropertyDto" minOccurs="0"/>
 *         &lt;element name="Description" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="HandlingOfficerID" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="HandlingOfficerName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Identifier" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="InboxGuid" type="{http://schemas.microsoft.com/2003/10/Serialization/}guid"/>
 *         &lt;element name="Locations" type="{http://schemas.datacontract.org/2004/07/Artvise.Mercury.Base.DataContracts.API}ArrayOfLocationDto" minOccurs="0"/>
 *         &lt;element name="ModifiedByID" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="ModifiedByName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="ModifiedDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="Name" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="ObjectGuid" type="{http://schemas.microsoft.com/2003/10/Serialization/}guid" minOccurs="0"/>
 *         &lt;element name="ObjectID" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="ObjectTypeGuid" type="{http://schemas.microsoft.com/2003/10/Serialization/}guid" minOccurs="0"/>
 *         &lt;element name="Organisations" type="{http://schemas.datacontract.org/2004/07/Artvise.Mercury.Base.DataContracts.API}ArrayOfOrganisationDto" minOccurs="0"/>
 *         &lt;element name="PriorityGuid" type="{http://schemas.microsoft.com/2003/10/Serialization/}guid" minOccurs="0"/>
 *         &lt;element name="RefID" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="StatusGuid" type="{http://schemas.microsoft.com/2003/10/Serialization/}guid" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ObjectDto", propOrder = {
    "coordinates",
    "createdByID",
    "createdByName",
    "createdDate",
    "customProperties",
    "description",
    "handlingOfficerID",
    "handlingOfficerName",
    "identifier",
    "inboxGuid",
    "locations",
    "modifiedByID",
    "modifiedByName",
    "modifiedDate",
    "name",
    "objectGuid",
    "objectID",
    "objectTypeGuid",
    "organisations",
    "priorityGuid",
    "refID",
    "statusGuid"
})
@XmlSeeAlso({
    CaseDto.class,
    DeedDto.class,
    SmsDto.class,
    MailDto.class,
    PersonDto.class
})
public class ObjectDto
    extends BaseDto
    implements Serializable
{

    private static final long serialVersionUID = 6150228198401754003L;
	@XmlElement(name = "Coordinates", nillable = true)
    protected CoordinatesDto coordinates;
    @XmlElement(name = "CreatedByID")
    protected Integer createdByID;
    @XmlElement(name = "CreatedByName", nillable = true)
    protected String createdByName;
    @XmlElement(name = "CreatedDate")
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar createdDate;
    @XmlElement(name = "CustomProperties", nillable = true)
    protected ArrayOfObjectCustomPropertyDto customProperties;
    @XmlElement(name = "Description", nillable = true)
    protected String description;
    @XmlElement(name = "HandlingOfficerID", nillable = true)
    protected Integer handlingOfficerID;
    @XmlElement(name = "HandlingOfficerName", nillable = true)
    protected String handlingOfficerName;
    @XmlElement(name = "Identifier", nillable = true)
    protected String identifier;
    @XmlElement(name = "InboxGuid", required = true)
    protected String inboxGuid;
    @XmlElement(name = "Locations", nillable = true)
    protected ArrayOfLocationDto locations;
    @XmlElement(name = "ModifiedByID", nillable = true)
    protected Integer modifiedByID;
    @XmlElement(name = "ModifiedByName", nillable = true)
    protected String modifiedByName;
    @XmlElement(name = "ModifiedDate", nillable = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar modifiedDate;
    @XmlElement(name = "Name", required = true, nillable = true)
    protected String name;
    @XmlElement(name = "ObjectGuid")
    protected String objectGuid;
    @XmlElement(name = "ObjectID")
    protected Integer objectID;
    @XmlElement(name = "ObjectTypeGuid")
    protected String objectTypeGuid;
    @XmlElement(name = "Organisations", nillable = true)
    protected ArrayOfOrganisationDto organisations;
    @XmlElement(name = "PriorityGuid", nillable = true)
    protected String priorityGuid;
    @XmlElement(name = "RefID", nillable = true)
    protected String refID;
    @XmlElement(name = "StatusGuid", nillable = true)
    protected String statusGuid;

    /**
     * Gets the value of the coordinates property.
     * 
     * @return
     *     possible object is
     *     {@link CoordinatesDto }
     *     
     */
    public CoordinatesDto getCoordinates() {
        return coordinates;
    }

    /**
     * Sets the value of the coordinates property.
     * 
     * @param value
     *     allowed object is
     *     {@link CoordinatesDto }
     *     
     */
    public void setCoordinates(CoordinatesDto value) {
        this.coordinates = value;
    }

    /**
     * Gets the value of the createdByID property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getCreatedByID() {
        return createdByID;
    }

    /**
     * Sets the value of the createdByID property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setCreatedByID(Integer value) {
        this.createdByID = value;
    }

    /**
     * Gets the value of the createdByName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCreatedByName() {
        return createdByName;
    }

    /**
     * Sets the value of the createdByName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCreatedByName(String value) {
        this.createdByName = value;
    }

    /**
     * Gets the value of the createdDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getCreatedDate() {
        return createdDate;
    }

    /**
     * Sets the value of the createdDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setCreatedDate(XMLGregorianCalendar value) {
        this.createdDate = value;
    }

    /**
     * Gets the value of the customProperties property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfObjectCustomPropertyDto }
     *     
     */
    public ArrayOfObjectCustomPropertyDto getCustomProperties() {
        return customProperties;
    }

    /**
     * Sets the value of the customProperties property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfObjectCustomPropertyDto }
     *     
     */
    public void setCustomProperties(ArrayOfObjectCustomPropertyDto value) {
        this.customProperties = value;
    }

    /**
     * Gets the value of the description property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDescription() {
        return description;
    }

    /**
     * Sets the value of the description property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDescription(String value) {
        this.description = value;
    }

    /**
     * Gets the value of the handlingOfficerID property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getHandlingOfficerID() {
        return handlingOfficerID;
    }

    /**
     * Sets the value of the handlingOfficerID property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setHandlingOfficerID(Integer value) {
        this.handlingOfficerID = value;
    }

    /**
     * Gets the value of the handlingOfficerName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getHandlingOfficerName() {
        return handlingOfficerName;
    }

    /**
     * Sets the value of the handlingOfficerName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setHandlingOfficerName(String value) {
        this.handlingOfficerName = value;
    }

    /**
     * Gets the value of the identifier property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIdentifier() {
        return identifier;
    }

    /**
     * Sets the value of the identifier property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIdentifier(String value) {
        this.identifier = value;
    }

    /**
     * Gets the value of the inboxGuid property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInboxGuid() {
        return inboxGuid;
    }

    /**
     * Sets the value of the inboxGuid property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInboxGuid(String value) {
        this.inboxGuid = value;
    }

    /**
     * Gets the value of the locations property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfLocationDto }
     *     
     */
    public ArrayOfLocationDto getLocations() {
        return locations;
    }

    /**
     * Sets the value of the locations property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfLocationDto }
     *     
     */
    public void setLocations(ArrayOfLocationDto value) {
        this.locations = value;
    }

    /**
     * Gets the value of the modifiedByID property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getModifiedByID() {
        return modifiedByID;
    }

    /**
     * Sets the value of the modifiedByID property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setModifiedByID(Integer value) {
        this.modifiedByID = value;
    }

    /**
     * Gets the value of the modifiedByName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getModifiedByName() {
        return modifiedByName;
    }

    /**
     * Sets the value of the modifiedByName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setModifiedByName(String value) {
        this.modifiedByName = value;
    }

    /**
     * Gets the value of the modifiedDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getModifiedDate() {
        return modifiedDate;
    }

    /**
     * Sets the value of the modifiedDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setModifiedDate(XMLGregorianCalendar value) {
        this.modifiedDate = value;
    }

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setName(String value) {
        this.name = value;
    }

    /**
     * Gets the value of the objectGuid property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getObjectGuid() {
        return objectGuid;
    }

    /**
     * Sets the value of the objectGuid property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setObjectGuid(String value) {
        this.objectGuid = value;
    }

    /**
     * Gets the value of the objectID property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getObjectID() {
        return objectID;
    }

    /**
     * Sets the value of the objectID property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setObjectID(Integer value) {
        this.objectID = value;
    }

    /**
     * Gets the value of the objectTypeGuid property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getObjectTypeGuid() {
        return objectTypeGuid;
    }

    /**
     * Sets the value of the objectTypeGuid property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setObjectTypeGuid(String value) {
        this.objectTypeGuid = value;
    }

    /**
     * Gets the value of the organisations property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfOrganisationDto }
     *     
     */
    public ArrayOfOrganisationDto getOrganisations() {
        return organisations;
    }

    /**
     * Sets the value of the organisations property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfOrganisationDto }
     *     
     */
    public void setOrganisations(ArrayOfOrganisationDto value) {
        this.organisations = value;
    }

    /**
     * Gets the value of the priorityGuid property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPriorityGuid() {
        return priorityGuid;
    }

    /**
     * Sets the value of the priorityGuid property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPriorityGuid(String value) {
        this.priorityGuid = value;
    }

    /**
     * Gets the value of the refID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRefID() {
        return refID;
    }

    /**
     * Sets the value of the refID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRefID(String value) {
        this.refID = value;
    }

    /**
     * Gets the value of the statusGuid property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStatusGuid() {
        return statusGuid;
    }

    /**
     * Sets the value of the statusGuid property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStatusGuid(String value) {
        this.statusGuid = value;
    }

}
