
package org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts;

import java.io.Serializable;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for SystemMessageDto complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SystemMessageDto">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="HtmlMessage" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Message" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="PublishedByName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="PublishedByObjectID" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="PublishedFrom" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="PublishedTo" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="Subject" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="SystemMessageGuid" type="{http://schemas.microsoft.com/2003/10/Serialization/}guid" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SystemMessageDto", propOrder = {
    "htmlMessage",
    "message",
    "publishedByName",
    "publishedByObjectID",
    "publishedFrom",
    "publishedTo",
    "subject",
    "systemMessageGuid"
})
public class SystemMessageDto
    implements Serializable
{

    private static final long serialVersionUID = 3363710148637398798L;
	@XmlElement(name = "HtmlMessage", nillable = true)
    protected String htmlMessage;
    @XmlElement(name = "Message", nillable = true)
    protected String message;
    @XmlElement(name = "PublishedByName", nillable = true)
    protected String publishedByName;
    @XmlElement(name = "PublishedByObjectID")
    protected Integer publishedByObjectID;
    @XmlElement(name = "PublishedFrom")
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar publishedFrom;
    @XmlElement(name = "PublishedTo")
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar publishedTo;
    @XmlElement(name = "Subject", nillable = true)
    protected String subject;
    @XmlElement(name = "SystemMessageGuid")
    protected String systemMessageGuid;

    /**
     * Gets the value of the htmlMessage property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getHtmlMessage() {
        return htmlMessage;
    }

    /**
     * Sets the value of the htmlMessage property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setHtmlMessage(String value) {
        this.htmlMessage = value;
    }

    /**
     * Gets the value of the message property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMessage() {
        return message;
    }

    /**
     * Sets the value of the message property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMessage(String value) {
        this.message = value;
    }

    /**
     * Gets the value of the publishedByName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPublishedByName() {
        return publishedByName;
    }

    /**
     * Sets the value of the publishedByName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPublishedByName(String value) {
        this.publishedByName = value;
    }

    /**
     * Gets the value of the publishedByObjectID property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getPublishedByObjectID() {
        return publishedByObjectID;
    }

    /**
     * Sets the value of the publishedByObjectID property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setPublishedByObjectID(Integer value) {
        this.publishedByObjectID = value;
    }

    /**
     * Gets the value of the publishedFrom property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getPublishedFrom() {
        return publishedFrom;
    }

    /**
     * Sets the value of the publishedFrom property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setPublishedFrom(XMLGregorianCalendar value) {
        this.publishedFrom = value;
    }

    /**
     * Gets the value of the publishedTo property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getPublishedTo() {
        return publishedTo;
    }

    /**
     * Sets the value of the publishedTo property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setPublishedTo(XMLGregorianCalendar value) {
        this.publishedTo = value;
    }

    /**
     * Gets the value of the subject property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSubject() {
        return subject;
    }

    /**
     * Sets the value of the subject property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSubject(String value) {
        this.subject = value;
    }

    /**
     * Gets the value of the systemMessageGuid property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSystemMessageGuid() {
        return systemMessageGuid;
    }

    /**
     * Sets the value of the systemMessageGuid property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSystemMessageGuid(String value) {
        this.systemMessageGuid = value;
    }

}
