
package se.artvise.mercuryapi;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;
import org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.ArrayOfAnswerTypeDto;
import org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.ArrayOfCaseCategoryItemDto;
import org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.ArrayOfCaseDto;
import org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.ArrayOfCheckListItemDto;
import org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.ArrayOfCustomPropertyDto;
import org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.ArrayOfDeedTypeDto;
import org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.ArrayOfDiaryPlanItemDto;
import org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.ArrayOfDistributionListItemDto;
import org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.ArrayOfInboxDto;
import org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.ArrayOfLocationDto;
import org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.ArrayOfMediaTypeDto;
import org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.ArrayOfObjectCustomPropertyDto;
import org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.ArrayOfOrganisationDto;
import org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.ArrayOfPriorityDto;
import org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.ArrayOfStatusDto;
import org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.ArrayOfSystemMessageDto;
import org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.ArrayOfUserDto;
import org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.CaseCategoryItemDto;
import org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.CaseDto;
import org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.CoordinatesDto;
import org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.CreateObjectResult;
import org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.DeedDto;
import org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.FileDto;
import org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.OperationResult;
import org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.SearchRelatedCasesDto;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.9-b130926.1035
 * Generated source version: 2.2
 * 
 */
@WebService(name = "IService", targetNamespace = "http://www.artvise.se/MercuryAPI/")
@XmlSeeAlso({
    com.microsoft.schemas._2003._10.serialization.ObjectFactory.class,
    org.datacontract.schemas._2004._07.artvise_mercury_base.ObjectFactory.class,
    org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.ObjectFactory.class,
    se.artvise.mercuryapi.ObjectFactory.class
})
public interface IService {


    /**
     * 
     * @param apiKey
     * @return
     *     returns java.lang.Boolean
     */
    @WebMethod(operationName = "IsValidApiKey", action = "http://www.artvise.se/MercuryAPI/IService/IsValidApiKey")
    @WebResult(name = "IsValidApiKeyResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "IsValidApiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.IsValidApiKey")
    @ResponseWrapper(localName = "IsValidApiKeyResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.IsValidApiKeyResponse")
    public Boolean isValidApiKey(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey);

    /**
     * 
     * @param apiKey
     * @param caseDto
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.CreateObjectResult
     */
    @WebMethod(operationName = "CreateCase", action = "http://www.artvise.se/MercuryAPI/IService/CreateCase")
    @WebResult(name = "CreateCaseResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "CreateCase", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.CreateCase")
    @ResponseWrapper(localName = "CreateCaseResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.CreateCaseResponse")
    public CreateObjectResult createCase(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey,
        @WebParam(name = "caseDto", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        CaseDto caseDto);

    /**
     * 
     * @param apiKey
     * @param deedDto
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.CreateObjectResult
     */
    @WebMethod(operationName = "CreateDeed", action = "http://www.artvise.se/MercuryAPI/IService/CreateDeed")
    @WebResult(name = "CreateDeedResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "CreateDeed", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.CreateDeed")
    @ResponseWrapper(localName = "CreateDeedResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.CreateDeedResponse")
    public CreateObjectResult createDeed(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey,
        @WebParam(name = "deedDto", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        DeedDto deedDto);

    /**
     * 
     * @param noteText
     * @param destinationInboxTypeGuid
     * @param apiKey
     * @param destinationInboxGuid
     * @param requireAnswer
     * @param objectID
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.OperationResult
     */
    @WebMethod(operationName = "DistributeCase", action = "http://www.artvise.se/MercuryAPI/IService/DistributeCase")
    @WebResult(name = "DistributeCaseResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "DistributeCase", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.DistributeCase")
    @ResponseWrapper(localName = "DistributeCaseResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.DistributeCaseResponse")
    public OperationResult distributeCase(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey,
        @WebParam(name = "objectID", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        Integer objectID,
        @WebParam(name = "destinationInboxGuid", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String destinationInboxGuid,
        @WebParam(name = "destinationInboxTypeGuid", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String destinationInboxTypeGuid,
        @WebParam(name = "noteText", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String noteText,
        @WebParam(name = "requireAnswer", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        Boolean requireAnswer);

    /**
     * 
     * @param apiKey
     * @param caseDto
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.OperationResult
     */
    @WebMethod(operationName = "UpdateCase", action = "http://www.artvise.se/MercuryAPI/IService/UpdateCase")
    @WebResult(name = "UpdateCaseResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "UpdateCase", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.UpdateCase")
    @ResponseWrapper(localName = "UpdateCaseResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.UpdateCaseResponse")
    public OperationResult updateCase(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey,
        @WebParam(name = "caseDto", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        CaseDto caseDto);

    /**
     * 
     * @param apiKey
     * @param value
     * @param objectID
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.OperationResult
     */
    @WebMethod(operationName = "SetCaseCategory", action = "http://www.artvise.se/MercuryAPI/IService/SetCaseCategory")
    @WebResult(name = "SetCaseCategoryResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "SetCaseCategory", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.SetCaseCategory")
    @ResponseWrapper(localName = "SetCaseCategoryResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.SetCaseCategoryResponse")
    public OperationResult setCaseCategory(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey,
        @WebParam(name = "objectID", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        Integer objectID,
        @WebParam(name = "value", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        CaseCategoryItemDto value);

    /**
     * 
     * @param apiKey
     * @param values
     * @param objectID
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.OperationResult
     */
    @WebMethod(operationName = "SetCaseCategories", action = "http://www.artvise.se/MercuryAPI/IService/SetCaseCategories")
    @WebResult(name = "SetCaseCategoriesResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "SetCaseCategories", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.SetCaseCategories")
    @ResponseWrapper(localName = "SetCaseCategoriesResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.SetCaseCategoriesResponse")
    public OperationResult setCaseCategories(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey,
        @WebParam(name = "objectID", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        Integer objectID,
        @WebParam(name = "values", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        ArrayOfCaseCategoryItemDto values);

    /**
     * 
     * @param apiKey
     * @param coordinates
     * @param objectID
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.OperationResult
     */
    @WebMethod(operationName = "SetCaseCoordinates", action = "http://www.artvise.se/MercuryAPI/IService/SetCaseCoordinates")
    @WebResult(name = "SetCaseCoordinatesResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "SetCaseCoordinates", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.SetCaseCoordinates")
    @ResponseWrapper(localName = "SetCaseCoordinatesResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.SetCaseCoordinatesResponse")
    public OperationResult setCaseCoordinates(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey,
        @WebParam(name = "objectID", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        Integer objectID,
        @WebParam(name = "coordinates", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        CoordinatesDto coordinates);

    /**
     * 
     * @param apiKey
     * @param textContent
     * @param objectID
     * @param htmlContent
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.OperationResult
     */
    @WebMethod(operationName = "SetCaseDescription", action = "http://www.artvise.se/MercuryAPI/IService/SetCaseDescription")
    @WebResult(name = "SetCaseDescriptionResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "SetCaseDescription", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.SetCaseDescription")
    @ResponseWrapper(localName = "SetCaseDescriptionResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.SetCaseDescriptionResponse")
    public OperationResult setCaseDescription(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey,
        @WebParam(name = "objectID", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        Integer objectID,
        @WebParam(name = "textContent", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String textContent,
        @WebParam(name = "htmlContent", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String htmlContent);

    /**
     * 
     * @param apiKey
     * @param handlingOfficerObjectID
     * @param objectID
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.OperationResult
     */
    @WebMethod(operationName = "SetCaseHandlingOfficer", action = "http://www.artvise.se/MercuryAPI/IService/SetCaseHandlingOfficer")
    @WebResult(name = "SetCaseHandlingOfficerResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "SetCaseHandlingOfficer", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.SetCaseHandlingOfficer")
    @ResponseWrapper(localName = "SetCaseHandlingOfficerResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.SetCaseHandlingOfficerResponse")
    public OperationResult setCaseHandlingOfficer(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey,
        @WebParam(name = "objectID", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        Integer objectID,
        @WebParam(name = "handlingOfficerObjectID", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        Integer handlingOfficerObjectID);

    /**
     * 
     * @param identifier
     * @param apiKey
     * @param objectID
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.OperationResult
     */
    @WebMethod(operationName = "SetCaseIdentifier", action = "http://www.artvise.se/MercuryAPI/IService/SetCaseIdentifier")
    @WebResult(name = "SetCaseIdentifierResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "SetCaseIdentifier", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.SetCaseIdentifier")
    @ResponseWrapper(localName = "SetCaseIdentifierResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.SetCaseIdentifierResponse")
    public OperationResult setCaseIdentifier(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey,
        @WebParam(name = "objectID", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        Integer objectID,
        @WebParam(name = "identifier", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String identifier);

    /**
     * 
     * @param apiKey
     * @param customPropertyGuid
     * @param value
     * @param objectID
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.OperationResult
     */
    @WebMethod(operationName = "SetCustomProperty", action = "http://www.artvise.se/MercuryAPI/IService/SetCustomProperty")
    @WebResult(name = "SetCustomPropertyResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "SetCustomProperty", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.SetCustomProperty")
    @ResponseWrapper(localName = "SetCustomPropertyResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.SetCustomPropertyResponse")
    public OperationResult setCustomProperty(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey,
        @WebParam(name = "objectID", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        Integer objectID,
        @WebParam(name = "customPropertyGuid", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String customPropertyGuid,
        @WebParam(name = "value", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String value);

    /**
     * 
     * @param apiKey
     * @param values
     * @param objectID
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.OperationResult
     */
    @WebMethod(operationName = "SetCustomProperties", action = "http://www.artvise.se/MercuryAPI/IService/SetCustomProperties")
    @WebResult(name = "SetCustomPropertiesResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "SetCustomProperties", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.SetCustomProperties")
    @ResponseWrapper(localName = "SetCustomPropertiesResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.SetCustomPropertiesResponse")
    public OperationResult setCustomProperties(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey,
        @WebParam(name = "objectID", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        Integer objectID,
        @WebParam(name = "values", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        ArrayOfObjectCustomPropertyDto values);

    /**
     * 
     * @param apiKey
     * @param value
     * @param objectID
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.OperationResult
     */
    @WebMethod(operationName = "SetLocation", action = "http://www.artvise.se/MercuryAPI/IService/SetLocation")
    @WebResult(name = "SetLocationResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "SetLocation", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.SetLocation")
    @ResponseWrapper(localName = "SetLocationResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.SetLocationResponse")
    public OperationResult setLocation(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey,
        @WebParam(name = "objectID", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        Integer objectID,
        @WebParam(name = "value", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String value);

    /**
     * 
     * @param apiKey
     * @param values
     * @param objectID
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.OperationResult
     */
    @WebMethod(operationName = "SetLocations", action = "http://www.artvise.se/MercuryAPI/IService/SetLocations")
    @WebResult(name = "SetLocationsResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "SetLocations", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.SetLocations")
    @ResponseWrapper(localName = "SetLocationsResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.SetLocationsResponse")
    public OperationResult setLocations(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey,
        @WebParam(name = "objectID", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        Integer objectID,
        @WebParam(name = "values", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        ArrayOfLocationDto values);

    /**
     * 
     * @param apiKey
     * @param value
     * @param objectID
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.OperationResult
     */
    @WebMethod(operationName = "SetOrganisation", action = "http://www.artvise.se/MercuryAPI/IService/SetOrganisation")
    @WebResult(name = "SetOrganisationResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "SetOrganisation", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.SetOrganisation")
    @ResponseWrapper(localName = "SetOrganisationResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.SetOrganisationResponse")
    public OperationResult setOrganisation(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey,
        @WebParam(name = "objectID", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        Integer objectID,
        @WebParam(name = "value", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        Integer value);

    /**
     * 
     * @param apiKey
     * @param values
     * @param objectID
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.OperationResult
     */
    @WebMethod(operationName = "SetOrganisations", action = "http://www.artvise.se/MercuryAPI/IService/SetOrganisations")
    @WebResult(name = "SetOrganisationsResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "SetOrganisations", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.SetOrganisations")
    @ResponseWrapper(localName = "SetOrganisationsResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.SetOrganisationsResponse")
    public OperationResult setOrganisations(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey,
        @WebParam(name = "objectID", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        Integer objectID,
        @WebParam(name = "values", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        ArrayOfOrganisationDto values);

    /**
     * 
     * @param apiKey
     * @param refID
     * @param objectID
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.OperationResult
     */
    @WebMethod(operationName = "SetCaseReference", action = "http://www.artvise.se/MercuryAPI/IService/SetCaseReference")
    @WebResult(name = "SetCaseReferenceResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "SetCaseReference", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.SetCaseReference")
    @ResponseWrapper(localName = "SetCaseReferenceResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.SetCaseReferenceResponse")
    public OperationResult setCaseReference(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey,
        @WebParam(name = "objectID", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        Integer objectID,
        @WebParam(name = "refID", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String refID);

    /**
     * 
     * @param priorityGuid
     * @param apiKey
     * @param objectID
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.OperationResult
     */
    @WebMethod(operationName = "SetCasePriority", action = "http://www.artvise.se/MercuryAPI/IService/SetCasePriority")
    @WebResult(name = "SetCasePriorityResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "SetCasePriority", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.SetCasePriority")
    @ResponseWrapper(localName = "SetCasePriorityResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.SetCasePriorityResponse")
    public OperationResult setCasePriority(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey,
        @WebParam(name = "objectID", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        Integer objectID,
        @WebParam(name = "priorityGuid", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String priorityGuid);

    /**
     * 
     * @param apiKey
     * @param statusGuid
     * @param objectID
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.OperationResult
     */
    @WebMethod(operationName = "SetCaseStatus", action = "http://www.artvise.se/MercuryAPI/IService/SetCaseStatus")
    @WebResult(name = "SetCaseStatusResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "SetCaseStatus", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.SetCaseStatus")
    @ResponseWrapper(localName = "SetCaseStatusResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.SetCaseStatusResponse")
    public OperationResult setCaseStatus(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey,
        @WebParam(name = "objectID", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        Integer objectID,
        @WebParam(name = "statusGuid", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String statusGuid);

    /**
     * 
     * @param apiKey
     * @param objectID
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.CaseDto
     */
    @WebMethod(operationName = "GetCase", action = "http://www.artvise.se/MercuryAPI/IService/GetCase")
    @WebResult(name = "GetCaseResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "GetCase", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetCase")
    @ResponseWrapper(localName = "GetCaseResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetCaseResponse")
    public CaseDto getCase(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey,
        @WebParam(name = "objectID", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        Integer objectID);

    /**
     * 
     * @param apiKey
     * @param refID
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.CaseDto
     */
    @WebMethod(operationName = "GetCaseByRefID", action = "http://www.artvise.se/MercuryAPI/IService/GetCaseByRefID")
    @WebResult(name = "GetCaseByRefIDResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "GetCaseByRefID", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetCaseByRefID")
    @ResponseWrapper(localName = "GetCaseByRefIDResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetCaseByRefIDResponse")
    public CaseDto getCaseByRefID(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey,
        @WebParam(name = "refID", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String refID);

    /**
     * 
     * @param identifier
     * @param apiKey
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.CaseDto
     */
    @WebMethod(operationName = "GetCaseByIdentifier", action = "http://www.artvise.se/MercuryAPI/IService/GetCaseByIdentifier")
    @WebResult(name = "GetCaseByIdentifierResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "GetCaseByIdentifier", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetCaseByIdentifier")
    @ResponseWrapper(localName = "GetCaseByIdentifierResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetCaseByIdentifierResponse")
    public CaseDto getCaseByIdentifier(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey,
        @WebParam(name = "identifier", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String identifier);

    /**
     * 
     * @param inboxGuid
     * @param apiKey
     * @param includeDeeds
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.ArrayOfCaseDto
     */
    @WebMethod(operationName = "GetCasesByInboxGuid", action = "http://www.artvise.se/MercuryAPI/IService/GetCasesByInboxGuid")
    @WebResult(name = "GetCasesByInboxGuidResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "GetCasesByInboxGuid", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetCasesByInboxGuid")
    @ResponseWrapper(localName = "GetCasesByInboxGuidResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetCasesByInboxGuidResponse")
    public ArrayOfCaseDto getCasesByInboxGuid(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey,
        @WebParam(name = "inboxGuid", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String inboxGuid,
        @WebParam(name = "includeDeeds", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        Boolean includeDeeds);

    /**
     * 
     * @param apiKey
     * @param searchRelatedCasesDto
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.ArrayOfCaseDto
     */
    @WebMethod(operationName = "SearchRelatedCases", action = "http://www.artvise.se/MercuryAPI/IService/SearchRelatedCases")
    @WebResult(name = "SearchRelatedCasesResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "SearchRelatedCases", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.SearchRelatedCases")
    @ResponseWrapper(localName = "SearchRelatedCasesResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.SearchRelatedCasesResponse")
    public ArrayOfCaseDto searchRelatedCases(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey,
        @WebParam(name = "searchRelatedCasesDto", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        SearchRelatedCasesDto searchRelatedCasesDto);

    /**
     * 
     * @param maximumSearchHits
     * @param searchText
     * @param inboxGuid
     * @param apiKey
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.ArrayOfDistributionListItemDto
     */
    @WebMethod(operationName = "SearchDistributionListMembers", action = "http://www.artvise.se/MercuryAPI/IService/SearchDistributionListMembers")
    @WebResult(name = "SearchDistributionListMembersResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "SearchDistributionListMembers", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.SearchDistributionListMembers")
    @ResponseWrapper(localName = "SearchDistributionListMembersResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.SearchDistributionListMembersResponse")
    public ArrayOfDistributionListItemDto searchDistributionListMembers(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey,
        @WebParam(name = "inboxGuid", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String inboxGuid,
        @WebParam(name = "searchText", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String searchText,
        @WebParam(name = "maximumSearchHits", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        Integer maximumSearchHits);

    /**
     * 
     * @param apiKey
     * @param socialSecurityNumber
     * @param includeDeeds
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.ArrayOfCaseDto
     */
    @WebMethod(operationName = "GetCasesByCounterpartSocialSecurityNumber", action = "http://www.artvise.se/MercuryAPI/IService/GetCasesByCounterpartSocialSecurityNumber")
    @WebResult(name = "GetCasesByCounterpartSocialSecurityNumberResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "GetCasesByCounterpartSocialSecurityNumber", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetCasesByCounterpartSocialSecurityNumber")
    @ResponseWrapper(localName = "GetCasesByCounterpartSocialSecurityNumberResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetCasesByCounterpartSocialSecurityNumberResponse")
    public ArrayOfCaseDto getCasesByCounterpartSocialSecurityNumber(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey,
        @WebParam(name = "socialSecurityNumber", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String socialSecurityNumber,
        @WebParam(name = "includeDeeds", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        Boolean includeDeeds);

    /**
     * 
     * @param inboxGuid
     * @param apiKey
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.ArrayOfUserDto
     */
    @WebMethod(operationName = "GetHandlingOfficers", action = "http://www.artvise.se/MercuryAPI/IService/GetHandlingOfficers")
    @WebResult(name = "GetHandlingOfficersResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "GetHandlingOfficers", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetHandlingOfficers")
    @ResponseWrapper(localName = "GetHandlingOfficersResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetHandlingOfficersResponse")
    public ArrayOfUserDto getHandlingOfficers(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey,
        @WebParam(name = "inboxGuid", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String inboxGuid);

    /**
     * 
     * @param apiKey
     * @param objectID
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.DeedDto
     */
    @WebMethod(operationName = "GetDeed", action = "http://www.artvise.se/MercuryAPI/IService/GetDeed")
    @WebResult(name = "GetDeedResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "GetDeed", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetDeed")
    @ResponseWrapper(localName = "GetDeedResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetDeedResponse")
    public DeedDto getDeed(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey,
        @WebParam(name = "objectID", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        Integer objectID);

    /**
     * 
     * @param apiKey
     * @param refID
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.DeedDto
     */
    @WebMethod(operationName = "GetDeedByRefID", action = "http://www.artvise.se/MercuryAPI/IService/GetDeedByRefID")
    @WebResult(name = "GetDeedByRefIDResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "GetDeedByRefID", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetDeedByRefID")
    @ResponseWrapper(localName = "GetDeedByRefIDResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetDeedByRefIDResponse")
    public DeedDto getDeedByRefID(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey,
        @WebParam(name = "refID", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String refID);

    /**
     * 
     * @param apiKey
     * @param fileID
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.FileDto
     */
    @WebMethod(operationName = "GetFile", action = "http://www.artvise.se/MercuryAPI/IService/GetFile")
    @WebResult(name = "GetFileResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "GetFile", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetFile")
    @ResponseWrapper(localName = "GetFileResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetFileResponse")
    public FileDto getFile(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey,
        @WebParam(name = "fileID", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        Integer fileID);

    /**
     * 
     * @param apiKey
     * @param fileGuid
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.FileDto
     */
    @WebMethod(operationName = "GetFileByGuid", action = "http://www.artvise.se/MercuryAPI/IService/GetFileByGuid")
    @WebResult(name = "GetFileByGuidResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "GetFileByGuid", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetFileByGuid")
    @ResponseWrapper(localName = "GetFileByGuidResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetFileByGuidResponse")
    public FileDto getFileByGuid(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey,
        @WebParam(name = "fileGuid", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String fileGuid);

    /**
     * 
     * @param apiKey
     * @param refID
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.FileDto
     */
    @WebMethod(operationName = "GetFileByRefID", action = "http://www.artvise.se/MercuryAPI/IService/GetFileByRefID")
    @WebResult(name = "GetFileByRefIDResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "GetFileByRefID", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetFileByRefID")
    @ResponseWrapper(localName = "GetFileByRefIDResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetFileByRefIDResponse")
    public FileDto getFileByRefID(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey,
        @WebParam(name = "refID", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String refID);

    /**
     * 
     * @param apiKey
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.ArrayOfSystemMessageDto
     */
    @WebMethod(operationName = "GetSystemMessages", action = "http://www.artvise.se/MercuryAPI/IService/GetSystemMessages")
    @WebResult(name = "GetSystemMessagesResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "GetSystemMessages", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetSystemMessages")
    @ResponseWrapper(localName = "GetSystemMessagesResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetSystemMessagesResponse")
    public ArrayOfSystemMessageDto getSystemMessages(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey);

    /**
     * 
     * @param searchText
     * @param inboxGuid
     * @param apiKey
     * @param freetextSearch
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.ArrayOfDiaryPlanItemDto
     */
    @WebMethod(operationName = "GetCaseTypes", action = "http://www.artvise.se/MercuryAPI/IService/GetCaseTypes")
    @WebResult(name = "GetCaseTypesResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "GetCaseTypes", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetCaseTypes")
    @ResponseWrapper(localName = "GetCaseTypesResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetCaseTypesResponse")
    public ArrayOfDiaryPlanItemDto getCaseTypes(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey,
        @WebParam(name = "inboxGuid", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String inboxGuid,
        @WebParam(name = "searchText", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String searchText,
        @WebParam(name = "freetextSearch", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        Boolean freetextSearch);

    /**
     * 
     * @param inboxGuid
     * @param apiKey
     * @param diaryPlanItemGuid
     * @param caseCategoryGuid
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.ArrayOfCheckListItemDto
     */
    @WebMethod(operationName = "GetChecklistItems", action = "http://www.artvise.se/MercuryAPI/IService/GetChecklistItems")
    @WebResult(name = "GetChecklistItemsResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "GetChecklistItems", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetChecklistItems")
    @ResponseWrapper(localName = "GetChecklistItemsResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetChecklistItemsResponse")
    public ArrayOfCheckListItemDto getChecklistItems(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey,
        @WebParam(name = "inboxGuid", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String inboxGuid,
        @WebParam(name = "diaryPlanItemGuid", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String diaryPlanItemGuid,
        @WebParam(name = "caseCategoryGuid", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String caseCategoryGuid);

    /**
     * 
     * @param apiKey
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.ArrayOfDeedTypeDto
     */
    @WebMethod(operationName = "GetDeedTypes", action = "http://www.artvise.se/MercuryAPI/IService/GetDeedTypes")
    @WebResult(name = "GetDeedTypesResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "GetDeedTypes", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetDeedTypes")
    @ResponseWrapper(localName = "GetDeedTypesResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetDeedTypesResponse")
    public ArrayOfDeedTypeDto getDeedTypes(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey);

    /**
     * 
     * @param apiKey
     * @param customerGroupGuid
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.ArrayOfInboxDto
     */
    @WebMethod(operationName = "GetInboxes", action = "http://www.artvise.se/MercuryAPI/IService/GetInboxes")
    @WebResult(name = "GetInboxesResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "GetInboxes", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetInboxes")
    @ResponseWrapper(localName = "GetInboxesResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetInboxesResponse")
    public ArrayOfInboxDto getInboxes(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey,
        @WebParam(name = "customerGroupGuid", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String customerGroupGuid);

    /**
     * 
     * @param apiKey
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.ArrayOfAnswerTypeDto
     */
    @WebMethod(operationName = "GetAnswerTypes", action = "http://www.artvise.se/MercuryAPI/IService/GetAnswerTypes")
    @WebResult(name = "GetAnswerTypesResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "GetAnswerTypes", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetAnswerTypes")
    @ResponseWrapper(localName = "GetAnswerTypesResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetAnswerTypesResponse")
    public ArrayOfAnswerTypeDto getAnswerTypes(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey);

    /**
     * 
     * @param searchText
     * @param inboxGuid
     * @param apiKey
     * @param freetextSearch
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.ArrayOfLocationDto
     */
    @WebMethod(operationName = "GetLocations", action = "http://www.artvise.se/MercuryAPI/IService/GetLocations")
    @WebResult(name = "GetLocationsResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "GetLocations", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetLocations")
    @ResponseWrapper(localName = "GetLocationsResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetLocationsResponse")
    public ArrayOfLocationDto getLocations(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey,
        @WebParam(name = "inboxGuid", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String inboxGuid,
        @WebParam(name = "searchText", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String searchText,
        @WebParam(name = "freetextSearch", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        Boolean freetextSearch);

    /**
     * 
     * @param apiKey
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.ArrayOfMediaTypeDto
     */
    @WebMethod(operationName = "GetMediaTypes", action = "http://www.artvise.se/MercuryAPI/IService/GetMediaTypes")
    @WebResult(name = "GetMediaTypesResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "GetMediaTypes", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetMediaTypes")
    @ResponseWrapper(localName = "GetMediaTypesResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetMediaTypesResponse")
    public ArrayOfMediaTypeDto getMediaTypes(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey);

    /**
     * 
     * @param searchText
     * @param apiKey
     * @param customerGroupGuid
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.ArrayOfOrganisationDto
     */
    @WebMethod(operationName = "GetOrganisations", action = "http://www.artvise.se/MercuryAPI/IService/GetOrganisations")
    @WebResult(name = "GetOrganisationsResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "GetOrganisations", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetOrganisations")
    @ResponseWrapper(localName = "GetOrganisationsResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetOrganisationsResponse")
    public ArrayOfOrganisationDto getOrganisations(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey,
        @WebParam(name = "searchText", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String searchText,
        @WebParam(name = "customerGroupGuid", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String customerGroupGuid);

    /**
     * 
     * @param apiKey
     * @param inboxTypeGuid
     * @param diaryPlanItemGuid
     * @return
     *     returns java.lang.String
     */
    @WebMethod(operationName = "GetPreferedInboxGuid", action = "http://www.artvise.se/MercuryAPI/IService/GetPreferedInboxGuid")
    @WebResult(name = "GetPreferedInboxGuidResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "GetPreferedInboxGuid", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetPreferedInboxGuid")
    @ResponseWrapper(localName = "GetPreferedInboxGuidResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetPreferedInboxGuidResponse")
    public String getPreferedInboxGuid(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey,
        @WebParam(name = "inboxTypeGuid", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String inboxTypeGuid,
        @WebParam(name = "diaryPlanItemGuid", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String diaryPlanItemGuid);

    /**
     * 
     * @param apiKey
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.ArrayOfPriorityDto
     */
    @WebMethod(operationName = "GetPriorities", action = "http://www.artvise.se/MercuryAPI/IService/GetPriorities")
    @WebResult(name = "GetPrioritiesResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "GetPriorities", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetPriorities")
    @ResponseWrapper(localName = "GetPrioritiesResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetPrioritiesResponse")
    public ArrayOfPriorityDto getPriorities(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey);

    /**
     * 
     * @param apiKey
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.ArrayOfStatusDto
     */
    @WebMethod(operationName = "GetStatuses", action = "http://www.artvise.se/MercuryAPI/IService/GetStatuses")
    @WebResult(name = "GetStatusesResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "GetStatuses", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetStatuses")
    @ResponseWrapper(localName = "GetStatusesResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetStatusesResponse")
    public ArrayOfStatusDto getStatuses(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey);

    /**
     * 
     * @param apiKey
     * @return
     *     returns org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts.ArrayOfCustomPropertyDto
     */
    @WebMethod(operationName = "GetCustomProperties", action = "http://www.artvise.se/MercuryAPI/IService/GetCustomProperties")
    @WebResult(name = "GetCustomPropertiesResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "GetCustomProperties", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetCustomProperties")
    @ResponseWrapper(localName = "GetCustomPropertiesResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.GetCustomPropertiesResponse")
    public ArrayOfCustomPropertyDto getCustomProperties(
        @WebParam(name = "apiKey", targetNamespace = "http://www.artvise.se/MercuryAPI/")
        String apiKey);

    /**
     * 
     * @return
     *     returns java.lang.String
     */
    @WebMethod(operationName = "Test", action = "http://www.artvise.se/MercuryAPI/IService/Test")
    @WebResult(name = "TestResult", targetNamespace = "http://www.artvise.se/MercuryAPI/")
    @RequestWrapper(localName = "Test", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.Test")
    @ResponseWrapper(localName = "TestResponse", targetNamespace = "http://www.artvise.se/MercuryAPI/", className = "se.artvise.mercuryapi.TestResponse")
    public String test();

}
