<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>

	<xsl:include href="classpath://com/nordicpeak/flowengine/queries/common/xsl/QueryAdminCommon.sv.xsl"/>
	<xsl:include href="TableQueryAdminTemplates.xsl"/>
	
	<xsl:variable name="java.columnTypeString">Textflt</xsl:variable>
	<xsl:variable name="java.columnTypeTextArea">Textarea</xsl:variable>
	<xsl:variable name="java.columnTypeCheckbox">Kryssruta</xsl:variable>
	<xsl:variable name="java.columnTypeDropdown">Rullista</xsl:variable>
	<xsl:variable name="java.columnTypeRowSumAdd">Radsummering addition/subtraktion</xsl:variable>
	<xsl:variable name="java.columnTypeRowSumMultiply">Radsummering multiplikation</xsl:variable>
	<xsl:variable name="java.columnTypeDropdownAlternativeList">Rullista med alternativ frn lista</xsl:variable>
	<xsl:variable name="java.columnTypeListSearch">Sk/vlj i lista</xsl:variable>
	<xsl:variable name="java.eventColumnAddedMessage">skapade kolumn</xsl:variable>
	<xsl:variable name="java.eventColumnUpdatedMessage">uppdaterade kolumn</xsl:variable>
	<xsl:variable name="java.eventColumnDeletedMessage">tog bort kolumn</xsl:variable>

	<xsl:variable name="java.missingList">Tidigare vald alternativ lista som saknas: </xsl:variable>

	<xsl:variable name="java.showingPartialList1">Visar</xsl:variable>
	<xsl:variable name="java.showingPartialList2">av</xsl:variable>
	<xsl:variable name="java.showingPartialList3">alternativ</xsl:variable>
			
	<xsl:variable name="i18n.BaseInfo">Grundinformation</xsl:variable>
	
	<xsl:variable name="i18n.UpdateBaseInformation">Uppdatera grundinformation</xsl:variable>
	<xsl:variable name="i18n.Add">Lgg till</xsl:variable>
	<xsl:variable name="i18n.Done">Klar</xsl:variable>
	<xsl:variable name="i18n.Query.decimalsToShow.show">Antal decimaler att visa i summeringar</xsl:variable>
	<xsl:variable name="i18n.Query.decimalsToShow.show.automatic">Automatisk</xsl:variable>
	<xsl:variable name="i18n.Query.decimalsToShow.update">Antal decimaler att visa i summeringar (Lmna tomt fr automatiskt val mellan 0 och 2 beroende p inmatad data)</xsl:variable>
	
	<xsl:variable name="i18n.Label">Namn</xsl:variable>
	<xsl:variable name="i18n.label">namn</xsl:variable>
	<xsl:variable name="i18n.Width">Fltets bredd i procent (lmna tom fr automatisk)</xsl:variable>
	<xsl:variable name="i18n.width">fltets bredd</xsl:variable>
	<xsl:variable name="i18n.Required">Obligatorisk</xsl:variable>
	<xsl:variable name="i18n.MaxLength">Tillten lngd p textinnehll</xsl:variable>
	<xsl:variable name="i18n.maxLength">tillten lngd p textinnehll</xsl:variable>
	<xsl:variable name="i18n.Field.MinLength">Krvd lngd p textinnehll</xsl:variable>
	<xsl:variable name="i18n.Field.minLength">krvd lngd p textinnehll</xsl:variable>
	<xsl:variable name="i18n.TextAreaRows">Antal rader</xsl:variable>
	<xsl:variable name="i18n.FormatValidator">Validator</xsl:variable>
	<xsl:variable name="i18n.InvalidFormatMessage">Valideringsmeddelande</xsl:variable>
	<xsl:variable name="i18n.invalidFormatMessage">valideringsmeddelande</xsl:variable>
	<xsl:variable name="i18n.ColumnType">Kolumntyp</xsl:variable>
	<xsl:variable name="i18n.columnType">Kolumntyp</xsl:variable>
	<xsl:variable name="i18n.PlaceholderText">Placeholdertext</xsl:variable>
	<xsl:variable name="i18n.placeholderText">placeholdertext</xsl:variable>
	<xsl:variable name="i18n.ShowAlternativesOnEmptySearch">Visa alternativ nr ett tomt skflt markeras</xsl:variable>
	<xsl:variable name="i18n.ShowExactMatchesFirst">Visa sktrffar som matchar hela skordet frst i listan</xsl:variable>
	
	
	
	<xsl:variable name="i18n.RowSum.AddColumns">Kolumner att addera</xsl:variable>
	<xsl:variable name="i18n.RowSum.AddColumns.description">Vrderna i valda kolumner kommer att adderas med varandra och resultatet adderas till radsumman.</xsl:variable>
	<xsl:variable name="i18n.RowSum.AddMultiplyColumns.description">Vrderna i valda kolumner kommer att multipliceras med varandra och resultatet adderas till radsumman.</xsl:variable>
	<xsl:variable name="i18n.RowSum.SubtractColumns">Kolumner att subtrahera</xsl:variable>
	<xsl:variable name="i18n.RowSum.SubtractColumns.description">Vrderna i valda kolumner kommer att adderas med varandra och resultatet subtraheras frn radsumman.</xsl:variable>
	<xsl:variable name="i18n.RowSum.SubtractMultiplyColumns.description">Vrderna i valda kolumner kommer att multipliceras med varandra och resultatet subtraheras frn radsumman.</xsl:variable>
	<xsl:variable name="i18n.RowSum.PreOnly">Kan endast summera kolumner som kommer fre denna kolumn!</xsl:variable>
	<xsl:variable name="i18n.RowSum.Selection">kolumner att addera eller subtrahera!</xsl:variable>
	
	<xsl:variable name="i18n.TableQueryNotFound">Den begrda frgan hittades inte!</xsl:variable>
	<xsl:variable name="i18n.Columns">Kolumner</xsl:variable>
	<xsl:variable name="i18n.AddColumn">Lgg till kolumn</xsl:variable>
	<xsl:variable name="i18n.DeleteColumn.Confirm">Ta bort kolumn</xsl:variable>
	<xsl:variable name="i18n.DeleteColumn">Ta bort kolumn</xsl:variable>
	<xsl:variable name="i18n.UpdateColumn">Uppdatera kolumn</xsl:variable>
	<xsl:variable name="i18n.SortColumns">Sortera kolumner fr frga</xsl:variable>
	<xsl:variable name="i18n.SortColumns.Title">Sortera kolumner</xsl:variable>
	<xsl:variable name="i18n.Summarise">Summera kolumnen</xsl:variable>
	<xsl:variable name="i18n.Summarised">Summerad</xsl:variable>
	<xsl:variable name="i18n.DropdownEmptyAlternative">Vlj alternativ text (lmna tom fr att frvlja frsta alternativet)</xsl:variable>
	<xsl:variable name="i18n.DropdownEmptyAlternativeDefault">Vlj ett alternativ</xsl:variable>
	
	
	<xsl:variable name="i18n.listName">Alternativlista</xsl:variable>
	
</xsl:stylesheet>
