
package se.infotorg.webservices.infobilv3;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for hf03ChassinrListaResultat complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="hf03ChassinrListaResultat">
 *   &lt;complexContent>
 *     &lt;extension base="{http://infobilv3.webservices.infotorg.se/}infobilResultat">
 *       &lt;sequence>
 *         &lt;element name="fi10" type="{http://infobilv3.webservices.infotorg.se/}fi10" minOccurs="0"/>
 *         &lt;element name="fs11" type="{http://infobilv3.webservices.infotorg.se/}fs11" minOccurs="0"/>
 *         &lt;element name="fordon" type="{http://infobilv3.webservices.infotorg.se/}fordon" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="OLTP_huvud" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="O_Nyckel" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "hf03ChassinrListaResultat", propOrder = {
    "fi10",
    "fs11",
    "fordon",
    "oltpHuvud",
    "oNyckel"
})
public class Hf03ChassinrListaResultat
    extends InfobilResultat
    implements Serializable
{
	private static final long serialVersionUID = 1L;
	
    protected Fi10 fi10;
    protected Fs11 fs11;
    @XmlElement(nillable = true)
    protected List<Fordon> fordon;
    @XmlElement(name = "OLTP_huvud")
    protected String oltpHuvud;
    @XmlElement(name = "O_Nyckel")
    protected String oNyckel;

    /**
     * Gets the value of the fi10 property.
     * 
     * @return
     *     possible object is
     *     {@link Fi10 }
     * 
     */
    public Fi10 getFi10() {
        return fi10;
    }

    /**
     * Sets the value of the fi10 property.
     * 
     * @param value
     *     allowed object is
     *     {@link Fi10 }
     * 
     */
    public void setFi10(Fi10 value) {
        this.fi10 = value;
    }

    /**
     * Gets the value of the fs11 property.
     * 
     * @return
     *     possible object is
     *     {@link Fs11 }
     * 
     */
    public Fs11 getFs11() {
        return fs11;
    }

    /**
     * Sets the value of the fs11 property.
     * 
     * @param value
     *     allowed object is
     *     {@link Fs11 }
     * 
     */
    public void setFs11(Fs11 value) {
        this.fs11 = value;
    }

    /**
     * Gets the value of the fordon property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the fordon property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getFordon().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Fordon }
     * 
     * 
     */
    public List<Fordon> getFordon() {
        if (fordon == null) {
            fordon = new ArrayList<Fordon>();
        }
        return this.fordon;
    }

    /**
     * Gets the value of the oltpHuvud property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getOLTPHuvud() {
        return oltpHuvud;
    }

    /**
     * Sets the value of the oltpHuvud property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setOLTPHuvud(String value) {
        this.oltpHuvud = value;
    }

    /**
     * Gets the value of the oNyckel property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getONyckel() {
        return oNyckel;
    }

    /**
     * Sets the value of the oNyckel property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setONyckel(String value) {
        this.oNyckel = value;
    }

}
