package com.nordicpeak.flowengine.booking.events;

import java.io.Serializable;

import se.unlogic.hierarchy.core.beans.User;

import com.nordicpeak.flowengine.booking.beans.Booking;

public class BookingArchiveEvent implements Serializable {

	private static final long serialVersionUID = 1873981649620240956L;

	private final Booking booking;
	private final User poster;

	public BookingArchiveEvent(Booking booking, User poster) {

		this.booking = booking;
		this.poster = poster;
	}

	public Booking getBooking() {

		return booking;
	}

	public User getPoster() {

		return poster;
	}

	@Override
	public String toString() {

		return "BookingArchiveEvent (booking=" + booking + ", poster=" + poster + ")";
	}

}
