package com.nordicpeak.flowengine.booking.events;

import java.io.Serializable;

import com.nordicpeak.flowengine.booking.beans.Booking;

public class BookingPassedEvent implements Serializable {

	private static final long serialVersionUID = 5713714962139488496L;
	private final Booking booking;

	public BookingPassedEvent(Booking booking) {

		this.booking = booking;
	}

	public Booking getBooking() {

		return booking;
	}

	@Override
	public String toString() {

		return "BookingPassedEvent (booking=" + booking + ")";
	}

}
