package com.nordicpeak.flowengine.booking.events;

import java.io.Serializable;

import se.unlogic.hierarchy.core.beans.User;

import com.nordicpeak.flowengine.booking.beans.BookingSlot;

public class BookingSlotAddedEvent implements Serializable {

	private static final long serialVersionUID = -2388474140483146725L;

	private final BookingSlot bookingSlot;
	private final User poster;

	public BookingSlotAddedEvent(BookingSlot bookingSlot, User poster) {

		this.bookingSlot = bookingSlot;
		this.poster = poster;
	}

	public BookingSlot getBookingSlot() {

		return bookingSlot;
	}

	public User getPoster() {

		return poster;
	}

	@Override
	public String toString() {

		return "BookingSlotAddedEvent [bookingSlot=" + bookingSlot + ", poster=" + poster + "]";
	}
}
