package com.nordicpeak.flowengine.booking.interfaces;

import java.io.IOException;
import java.sql.SQLException;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.xml.transform.TransformerException;

import se.unlogic.hierarchy.core.beans.User;
import se.unlogic.hierarchy.core.interfaces.ViewFragment;
import se.unlogic.webutils.http.URIParser;

import com.nordicpeak.flowengine.booking.beans.Booking;

public interface BookingExtensionProvider {

	ViewFragment getAdminBookingViewFragment(Booking booking, HttpServletRequest req, HttpServletResponse res, User user, URIParser uriParser) throws SQLException, IOException, TransformerException;

	ViewFragment getUserBookingViewFragment(Booking booking, HttpServletRequest req, HttpServletResponse res, User user, URIParser uriParser) throws SQLException, TransformerException;

}
