function commentModal(event, button) {
	event.preventDefault();
	event.stopPropagation();

	var form = $(button).closest("form");
	var modal = form.find(".comment-modal");

	var message = form.find("input[name='comment']");

	var config = {
		otherClose: '.close',

		beforeOpen: function() {
			
			modal.find("textarea[name = 'message']").val(message.val());
		},

		afterContent: function() {
			
			var feather = this;
			feather.$content.removeClass("no-sections");

			feather.$content.find("input.close").on("click", function() {
				
				feather.$content.addClass("submit");
			});
		},

		beforeClose: function() {
			
			var feather = this;
			message.val(feather.$content.find("textarea[name = 'message']").val());
		},

		afterClose: function() {
			
			var feather = this;

			if (feather.$content.hasClass('submit')) {

				form.trigger("submit");
			}
		},
	};

	$.featherlight(modal, config);
}
