package com.nordicpeak.flowengine.booking.validationerrors;

import se.unlogic.standardutils.validation.ValidationError;
import se.unlogic.standardutils.xml.XMLElement;

import com.nordicpeak.flowengine.booking.beans.Booking;

@XMLElement(name = "validationError")
public class InvalidRecipientEmailValidationError extends ValidationError {

	private static final long serialVersionUID = 8230176003688744408L;

	@XMLElement
	private Booking slot;

	@XMLElement
	private String email;

	public InvalidRecipientEmailValidationError(Booking slot, String email) {

		super("InvalidRecipientEmail");

		this.slot = slot;
		this.email = email;
	}

	public Booking getSlot() {

		return slot;
	}
}
