
package com.nordicpeak.flowengine.integration.castor.proxy;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for CastorPersonData complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="CastorPersonData">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="ExtensionData" type="{http://tempuri.org/}ExtensionDataObject" minOccurs="0"/>
 *         &lt;element name="Number" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="NameCo" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Adress" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="PostalCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="City" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Phone" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="MobilePhone" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Email" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Realestatename" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Realestatenumber" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="Realestateadress" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Realestatecity" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Realestatepostnr" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Persontype" type="{http://tempuri.org/}CastorPersonTypeEnum"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CastorPersonData", propOrder = {
    "extensionData",
    "number",
    "name",
    "nameCo",
    "adress",
    "postalCode",
    "city",
    "phone",
    "mobilePhone",
    "email",
    "realestatename",
    "realestatenumber",
    "realestateadress",
    "realestatecity",
    "realestatepostnr",
    "persontype"
})
public class CastorPersonData {

    @XmlElement(name = "ExtensionData")
    protected ExtensionDataObject extensionData;
    @XmlElement(name = "Number")
    protected String number;
    @XmlElement(name = "Name")
    protected String name;
    @XmlElement(name = "NameCo")
    protected String nameCo;
    @XmlElement(name = "Adress")
    protected String adress;
    @XmlElement(name = "PostalCode")
    protected String postalCode;
    @XmlElement(name = "City")
    protected String city;
    @XmlElement(name = "Phone")
    protected String phone;
    @XmlElement(name = "MobilePhone")
    protected String mobilePhone;
    @XmlElement(name = "Email")
    protected String email;
    @XmlElement(name = "Realestatename")
    protected String realestatename;
    @XmlElement(name = "Realestatenumber")
    protected int realestatenumber;
    @XmlElement(name = "Realestateadress")
    protected String realestateadress;
    @XmlElement(name = "Realestatecity")
    protected String realestatecity;
    @XmlElement(name = "Realestatepostnr")
    protected String realestatepostnr;
    @XmlElement(name = "Persontype", required = true)
    protected CastorPersonTypeEnum persontype;

    /**
     * Gets the value of the extensionData property.
     * 
     * @return
     *     possible object is
     *     {@link ExtensionDataObject }
     *     
     */
    public ExtensionDataObject getExtensionData() {
        return extensionData;
    }

    /**
     * Sets the value of the extensionData property.
     * 
     * @param value
     *     allowed object is
     *     {@link ExtensionDataObject }
     *     
     */
    public void setExtensionData(ExtensionDataObject value) {
        this.extensionData = value;
    }

    /**
     * Gets the value of the number property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNumber() {
        return number;
    }

    /**
     * Sets the value of the number property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNumber(String value) {
        this.number = value;
    }

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setName(String value) {
        this.name = value;
    }

    /**
     * Gets the value of the nameCo property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNameCo() {
        return nameCo;
    }

    /**
     * Sets the value of the nameCo property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNameCo(String value) {
        this.nameCo = value;
    }

    /**
     * Gets the value of the adress property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAdress() {
        return adress;
    }

    /**
     * Sets the value of the adress property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAdress(String value) {
        this.adress = value;
    }

    /**
     * Gets the value of the postalCode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPostalCode() {
        return postalCode;
    }

    /**
     * Sets the value of the postalCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPostalCode(String value) {
        this.postalCode = value;
    }

    /**
     * Gets the value of the city property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCity() {
        return city;
    }

    /**
     * Sets the value of the city property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCity(String value) {
        this.city = value;
    }

    /**
     * Gets the value of the phone property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPhone() {
        return phone;
    }

    /**
     * Sets the value of the phone property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPhone(String value) {
        this.phone = value;
    }

    /**
     * Gets the value of the mobilePhone property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMobilePhone() {
        return mobilePhone;
    }

    /**
     * Sets the value of the mobilePhone property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMobilePhone(String value) {
        this.mobilePhone = value;
    }

    /**
     * Gets the value of the email property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEmail() {
        return email;
    }

    /**
     * Sets the value of the email property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEmail(String value) {
        this.email = value;
    }

    /**
     * Gets the value of the realestatename property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRealestatename() {
        return realestatename;
    }

    /**
     * Sets the value of the realestatename property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRealestatename(String value) {
        this.realestatename = value;
    }

    /**
     * Gets the value of the realestatenumber property.
     * 
     */
    public int getRealestatenumber() {
        return realestatenumber;
    }

    /**
     * Sets the value of the realestatenumber property.
     * 
     */
    public void setRealestatenumber(int value) {
        this.realestatenumber = value;
    }

    /**
     * Gets the value of the realestateadress property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRealestateadress() {
        return realestateadress;
    }

    /**
     * Sets the value of the realestateadress property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRealestateadress(String value) {
        this.realestateadress = value;
    }

    /**
     * Gets the value of the realestatecity property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRealestatecity() {
        return realestatecity;
    }

    /**
     * Sets the value of the realestatecity property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRealestatecity(String value) {
        this.realestatecity = value;
    }

    /**
     * Gets the value of the realestatepostnr property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRealestatepostnr() {
        return realestatepostnr;
    }

    /**
     * Sets the value of the realestatepostnr property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRealestatepostnr(String value) {
        this.realestatepostnr = value;
    }

    /**
     * Gets the value of the persontype property.
     * 
     * @return
     *     possible object is
     *     {@link CastorPersonTypeEnum }
     *     
     */
    public CastorPersonTypeEnum getPersontype() {
        return persontype;
    }

    /**
     * Sets the value of the persontype property.
     * 
     * @param value
     *     allowed object is
     *     {@link CastorPersonTypeEnum }
     *     
     */
    public void setPersontype(CastorPersonTypeEnum value) {
        this.persontype = value;
    }

}
