<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

	<xsl:include href="ColoredTagProviderTemplates.xsl"/>

	<!-- Java -->
	<xsl:variable name="java.adminExtensionViewTitle">Frgmarkeringar</xsl:variable>
	<xsl:variable name="java.columnExtensionViewTitle">Frgmarkering</xsl:variable>
	<xsl:variable name="java.noTagText">Ingen frgmarkering</xsl:variable>
	<xsl:variable name="java.noFilterText">Visa alla frger</xsl:variable>
	<xsl:variable name="java.tableHeaderText">Frg</xsl:variable>
	<xsl:variable name="java.extensionButtonName">Frgmarkera</xsl:variable>
	<xsl:variable name="java.extensionButtonTitle">Frgmarkera valda renden</xsl:variable>
	
	<!-- Settings -->
	<xsl:variable name="i18n.SaveChanges">Spara ndringar</xsl:variable>
	<xsl:variable name="i18n.Delete">Ta bort</xsl:variable>
	
	<xsl:variable name="i18n.UpdateSettingsTitle">Frgmarkeringar fr e-tjnsten</xsl:variable>
	<xsl:variable name="i18n.Enabled">Aktiverat</xsl:variable>
	<xsl:variable name="i18n.NotEnabled">Ej aktiverat</xsl:variable>
	<xsl:variable name="i18n.ColoredTags">Frgmarkeringar</xsl:variable>
	<xsl:variable name="i18n.UpdateSettings">Vlj frgmarkeringar</xsl:variable>
	<xsl:variable name="i18n.DeleteSettings">Ta bort frgmarkeringar</xsl:variable>
	<xsl:variable name="i18n.DeleteSettings.Confirm">r du sker p att du vill ta bort alla frgmarkeringar fr den hr e-tjnsten?</xsl:variable>

	<xsl:variable name="i18n.DeleteMapping.Confirm.Part1">Denna frgmarkering anvnds p </xsl:variable>
	<xsl:variable name="i18n.DeleteMapping.Confirm.Part2.Single"> rende, r du sker p att du vill ta bort den?</xsl:variable>
	<xsl:variable name="i18n.DeleteMapping.Confirm.Part2.Multiple"> renden, r du sker p att du vill ta bort den?</xsl:variable>

	<xsl:variable name="i18n.Tag.Title">Frgmarkeringar</xsl:variable>
	<xsl:variable name="i18n.Tag.Add">Lgg till frgmarkering</xsl:variable>
	<xsl:variable name="i18n.Tag.Name">Namn</xsl:variable>
	<xsl:variable name="i18n.Tag.HexColor">Frg</xsl:variable>
	
	<xsl:variable name="i18n.Flow.tagsEnabled">Anvnd frgmarkeringar p denna e-tjnst</xsl:variable>

	<xsl:variable name="i18n.ColorTagFlowInstances.Title">Frgmarkera valda renden frn e-tjnst</xsl:variable>
	<xsl:variable name="i18n.ColorTagFlowInstances.Description.1">Du har valt</xsl:variable>
	<xsl:variable name="i18n.ColorTagFlowInstances.Description.2">renden att frgmarkera.</xsl:variable>
	<xsl:variable name="i18n.ColorTagFlowInstances.Submit">Frgmarkera</xsl:variable>
	<xsl:variable name="i18n.ColorTagFlowInstances.Choose">Vlj frgmarkering</xsl:variable>
	<xsl:variable name="i18n.ColorTagFlowInstances.NoColorTag">Ingen frgmarkering</xsl:variable>
	
	<xsl:variable name="i18n.Back">Bakt</xsl:variable>

	<!-- Validation -->
	<xsl:variable name="i18n.validationError.RequiredField">Du mste fylla i fltet</xsl:variable>
	<xsl:variable name="i18n.validationError.InvalidFormat">Felaktigt format p fltet</xsl:variable>
	<xsl:variable name="i18n.validationError.TooLong">Fr lngt vrde p fltet</xsl:variable>
	<xsl:variable name="i18n.validationError.TooShort">Fr kort vrde p fltet</xsl:variable>
	<xsl:variable name="i18n.validationError.Other">Ett oknt fel p fltet</xsl:variable>

	<xsl:variable name="i18n.validationError.AtLeastOneTagRequired">Du mste skapa minst en frgmarkering</xsl:variable>
	<xsl:variable name="i18n.validationError.NoColoredTagSetting">E-tjnsten fr de valda rendena har inga frgmarkeringar</xsl:variable>
	<xsl:variable name="i18n.validationError.ColorTagNotFound">Det gick inte att hitta den frgmarkering du valde</xsl:variable>
	<xsl:variable name="i18n.validationError.InvalidColorTag">Du har valt en ogiltig frgmarkering</xsl:variable>

</xsl:stylesheet>
