<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>
	
	<xsl:include href="DocumentSignerUserModuleTemplates.xsl"/>
	
	<xsl:variable name="java.userMenuTabTitle">Mina dokument</xsl:variable>
	<xsl:variable name="java.signMessage">$poster har bett dig signera ett dokument. Granska dokumentet nedan och klicka sedan p signera-knappen fr att utfra signeringen.</xsl:variable>	
	<xsl:variable name="java.signedMessage">Du signerade detta dokument den $signed.</xsl:variable>
	<xsl:variable name="java.signingMessage">Du signerar nu $document.name. Dokumentet har fljande kryptografiska $hashAlgorithm hashvrde: $hash</xsl:variable>
	
	<xsl:variable name="java.disclaimerText">&lt;p&gt;Genom att signera detta dokument ger du ditt samtyckte till behandling av f&amp;ouml;ljande personuppgifter:&lt;/p&gt;
	
	&lt;ul&gt;
&lt;li&gt;Namn&lt;/li&gt;
&lt;li&gt;Personnummer&lt;/li&gt;
&lt;li&gt;E-postadress&lt;/li&gt;
&lt;li&gt;Telefonnummer&lt;/li&gt;
&lt;/ul&gt;</xsl:variable>	
	
	<xsl:variable name="i18n.ListDocuments.PendingDocuments">Dokument att signera</xsl:variable>
	<xsl:variable name="i18n.ListDocuments.SignedDocuments">Mina signerade dokument</xsl:variable>
	<xsl:variable name="i18n.ListDocuments.NoPendingDocuments">Du har inga dokument att signera</xsl:variable>
	<xsl:variable name="i18n.ListDocuments.NoSignedDocuments">Du har inte signerat ngot dokument</xsl:variable>
	
	<xsl:variable name="i18n.ShowDocument">Visa dokument signering</xsl:variable>
	
	<xsl:variable name="i18n.SignDocument">Signering av dokument</xsl:variable>
	<xsl:variable name="i18n.SignDocument.Sign">Signera dokument</xsl:variable>
	<xsl:variable name="i18n.SignDocument.Cancel">Neka signering</xsl:variable>
	<xsl:variable name="i18n.SignDocument.CancelConfirm">r du sker p att du vill neka signeringen?</xsl:variable>
	<xsl:variable name="i18n.SignDocument.Back">Bakt</xsl:variable>
	<xsl:variable name="i18n.PreviousSigners">Fljande personer har redan signerat dokumentet:</xsl:variable>
	
	<xsl:variable name="i18n.Document.name">Dokumentnamn</xsl:variable>
	<xsl:variable name="i18n.Document.file">PDF</xsl:variable>
	<xsl:variable name="i18n.Document.filename">Filnamn</xsl:variable>
	<xsl:variable name="i18n.Document.filesize">Filstorlek</xsl:variable>
	<xsl:variable name="i18n.Document.signatures">Antal signaturer</xsl:variable>
	<xsl:variable name="i18n.Document.poster">Skickat av</xsl:variable>
	<xsl:variable name="i18n.Document.Signers">Signeras av</xsl:variable>
	
	<xsl:variable name="i18n.DocumentSigner">Person</xsl:variable>
	<xsl:variable name="i18n.DocumentSigner.name">Namn</xsl:variable>
	<xsl:variable name="i18n.DocumentSigner.firstname">Frnamn</xsl:variable>
	<xsl:variable name="i18n.DocumentSigner.lastname">Efternamn</xsl:variable>
	<xsl:variable name="i18n.DocumentSigner.email">E-postadress</xsl:variable>
	<xsl:variable name="i18n.DocumentSigner.mobilePhone">Mobiltelefon</xsl:variable>
	<xsl:variable name="i18n.DocumentSigner.citizenID">Personnummer</xsl:variable>
	<xsl:variable name="i18n.DocumentSigner.signedDate">Signerat</xsl:variable>
	
	<xsl:variable name="i18n.DownloadUnsignedPDF">Hmta signeringsunderlaget i PDF-format.</xsl:variable>
	<xsl:variable name="i18n.DownloadSignedPDF">Hmta det signerade dokumentet i PDF-format.</xsl:variable>
	
	<xsl:variable name="i18n.SignerNotFound.title">tgrden ej mjlig</xsl:variable>
	<xsl:variable name="i18n.SignerNotFound.message">Detta kan bero p att dokumentet bytt status, tagits bort eller att du r inloggad som fel person.</xsl:variable>
	
	<xsl:variable name="i18n.SequentialSigningBlock.title">tgrden ej mjlig nnu</xsl:variable>
	<xsl:variable name="i18n.SequentialSigningBlock.message">Det hr dokumentet anvnder sekventiell signering och krver att alla parter fre dig signerat innan du fr signera. Du fr en notifikation nr det r din tur att signera.</xsl:variable>
	
	<xsl:variable name="i18n.WrongDocumentStatus.title">tgrden ej mjlig</xsl:variable>
	<xsl:variable name="i18n.WrongDocumentStatus.message">Detta kan bero p att dokumentet bytt status, tagits bort eller att du r inloggad som fel person.</xsl:variable>
	
</xsl:stylesheet>
