package com.nordicpeak.flowengine.documentsigner.beans;

import se.unlogic.hierarchy.core.interfaces.ForegroundModuleResponse;

//TODO remove this and don't pass module responses this way. Use proper exceptions.
public class RequestData {

	private final SigningDocument signingDocument;
	private final DocumentSigner signer;
	private final ForegroundModuleResponse moduleResponse;

	public RequestData(SigningDocument document, DocumentSigner signer) {

		super();
		this.signingDocument = document;
		this.signer = signer;
		moduleResponse = null;
	}

	public RequestData(ForegroundModuleResponse moduleResponse) {

		super();
		signingDocument = null;
		signer = null;
		this.moduleResponse = moduleResponse;
	}

	public SigningDocument getSigningDocument() {

		return signingDocument;
	}

	public DocumentSigner getSigner() {

		return signer;
	}

	public ForegroundModuleResponse getModuleResponse() {

		return moduleResponse;
	}
}
