
package com.easit.bpsservice.proxy;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlValue;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Columns">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="Column" maxOccurs="unbounded">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;attribute name="datatype" use="required">
 *                             &lt;simpleType>
 *                               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *                                 &lt;enumeration value="STRING"/>
 *                                 &lt;enumeration value="TEXT"/>
 *                                 &lt;enumeration value="INTEGER"/>
 *                                 &lt;enumeration value="FLOAT"/>
 *                                 &lt;enumeration value="DATETIME"/>
 *                                 &lt;enumeration value="DATE"/>
 *                                 &lt;enumeration value="TIME"/>
 *                                 &lt;enumeration value="CONNECTION"/>
 *                                 &lt;enumeration value="DECIMAL"/>
 *                                 &lt;enumeration value="BOOLEAN"/>
 *                               &lt;/restriction>
 *                             &lt;/simpleType>
 *                           &lt;/attribute>
 *                           &lt;attribute name="collection" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
 *                           &lt;attribute name="connectiontype">
 *                             &lt;simpleType>
 *                               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *                                 &lt;enumeration value="PROPERTY"/>
 *                                 &lt;enumeration value="ITEM"/>
 *                                 &lt;enumeration value="USER"/>
 *                                 &lt;enumeration value="GROUP"/>
 *                                 &lt;enumeration value="ITEMTYPE"/>
 *                               &lt;/restriction>
 *                             &lt;/simpleType>
 *                           &lt;/attribute>
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="Items" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="Item" type="{http://www.easit.com/bps/schemas}Item" maxOccurs="unbounded"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *       &lt;attribute name="requestedPage" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
 *       &lt;attribute name="page" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
 *       &lt;attribute name="totalNumberOfPages" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
 *       &lt;attribute name="totalNumberOfItems" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "GetItemsResponse", propOrder = {
    "columns",
    "items"
})
@XmlRootElement(name = "GetItemsResponse")
public class GetItemsResponse
    implements Serializable
{

    /**
	 * 
	 */
	private static final long serialVersionUID = 1684042172886901444L;
	@XmlElement(name = "Columns", required = true)
    protected GetItemsResponse.Columns columns;
    @XmlElement(name = "Items")
    protected GetItemsResponse.Items items;
    @XmlAttribute(name = "requestedPage", required = true)
    protected int requestedPage;
    @XmlAttribute(name = "page", required = true)
    protected int page;
    @XmlAttribute(name = "totalNumberOfPages", required = true)
    protected int totalNumberOfPages;
    @XmlAttribute(name = "totalNumberOfItems", required = true)
    protected int totalNumberOfItems;

    /**
     * Gets the value of the columns property.
     * 
     * @return
     *     possible object is
     *     {@link GetItemsResponse.Columns }
     *     
     */
    public GetItemsResponse.Columns getColumns() {
        return columns;
    }

    /**
     * Sets the value of the columns property.
     * 
     * @param value
     *     allowed object is
     *     {@link GetItemsResponse.Columns }
     *     
     */
    public void setColumns(GetItemsResponse.Columns value) {
        this.columns = value;
    }

    /**
     * Gets the value of the items property.
     * 
     * @return
     *     possible object is
     *     {@link GetItemsResponse.Items }
     *     
     */
    public GetItemsResponse.Items getItems() {
        return items;
    }

    /**
     * Sets the value of the items property.
     * 
     * @param value
     *     allowed object is
     *     {@link GetItemsResponse.Items }
     *     
     */
    public void setItems(GetItemsResponse.Items value) {
        this.items = value;
    }

    /**
     * Gets the value of the requestedPage property.
     * 
     */
    public int getRequestedPage() {
        return requestedPage;
    }

    /**
     * Sets the value of the requestedPage property.
     * 
     */
    public void setRequestedPage(int value) {
        this.requestedPage = value;
    }

    /**
     * Gets the value of the page property.
     * 
     */
    public int getPage() {
        return page;
    }

    /**
     * Sets the value of the page property.
     * 
     */
    public void setPage(int value) {
        this.page = value;
    }

    /**
     * Gets the value of the totalNumberOfPages property.
     * 
     */
    public int getTotalNumberOfPages() {
        return totalNumberOfPages;
    }

    /**
     * Sets the value of the totalNumberOfPages property.
     * 
     */
    public void setTotalNumberOfPages(int value) {
        this.totalNumberOfPages = value;
    }

    /**
     * Gets the value of the totalNumberOfItems property.
     * 
     */
    public int getTotalNumberOfItems() {
        return totalNumberOfItems;
    }

    /**
     * Sets the value of the totalNumberOfItems property.
     * 
     */
    public void setTotalNumberOfItems(int value) {
        this.totalNumberOfItems = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="Column" maxOccurs="unbounded">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;attribute name="datatype" use="required">
     *                   &lt;simpleType>
     *                     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
     *                       &lt;enumeration value="STRING"/>
     *                       &lt;enumeration value="TEXT"/>
     *                       &lt;enumeration value="INTEGER"/>
     *                       &lt;enumeration value="FLOAT"/>
     *                       &lt;enumeration value="DATETIME"/>
     *                       &lt;enumeration value="DATE"/>
     *                       &lt;enumeration value="TIME"/>
     *                       &lt;enumeration value="CONNECTION"/>
     *                       &lt;enumeration value="DECIMAL"/>
     *                       &lt;enumeration value="BOOLEAN"/>
     *                     &lt;/restriction>
     *                   &lt;/simpleType>
     *                 &lt;/attribute>
     *                 &lt;attribute name="collection" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
     *                 &lt;attribute name="connectiontype">
     *                   &lt;simpleType>
     *                     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
     *                       &lt;enumeration value="PROPERTY"/>
     *                       &lt;enumeration value="ITEM"/>
     *                       &lt;enumeration value="USER"/>
     *                       &lt;enumeration value="GROUP"/>
     *                       &lt;enumeration value="ITEMTYPE"/>
     *                     &lt;/restriction>
     *                   &lt;/simpleType>
     *                 &lt;/attribute>
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "column"
    })
    public static class Columns
        implements Serializable
    {

        /**
		 * 
		 */
		private static final long serialVersionUID = 7874626118064947604L;
		@XmlElement(name = "Column", required = true)
        protected List<GetItemsResponse.Columns.Column> column;

        /**
         * Gets the value of the column property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the column property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getColumn().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link GetItemsResponse.Columns.Column }
         * 
         * 
         */
        public List<GetItemsResponse.Columns.Column> getColumn() {
            if (column == null) {
                column = new ArrayList<GetItemsResponse.Columns.Column>();
            }
            return this.column;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;attribute name="datatype" use="required">
         *         &lt;simpleType>
         *           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
         *             &lt;enumeration value="STRING"/>
         *             &lt;enumeration value="TEXT"/>
         *             &lt;enumeration value="INTEGER"/>
         *             &lt;enumeration value="FLOAT"/>
         *             &lt;enumeration value="DATETIME"/>
         *             &lt;enumeration value="DATE"/>
         *             &lt;enumeration value="TIME"/>
         *             &lt;enumeration value="CONNECTION"/>
         *             &lt;enumeration value="DECIMAL"/>
         *             &lt;enumeration value="BOOLEAN"/>
         *           &lt;/restriction>
         *         &lt;/simpleType>
         *       &lt;/attribute>
         *       &lt;attribute name="collection" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
         *       &lt;attribute name="connectiontype">
         *         &lt;simpleType>
         *           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
         *             &lt;enumeration value="PROPERTY"/>
         *             &lt;enumeration value="ITEM"/>
         *             &lt;enumeration value="USER"/>
         *             &lt;enumeration value="GROUP"/>
         *             &lt;enumeration value="ITEMTYPE"/>
         *           &lt;/restriction>
         *         &lt;/simpleType>
         *       &lt;/attribute>
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "content"
        })
        public static class Column
            implements Serializable
        {

            /**
			 * 
			 */
			private static final long serialVersionUID = -4085587456031726555L;
			@XmlValue
            protected String content;
            @XmlAttribute(name = "datatype", required = true)
            protected String datatype;
            @XmlAttribute(name = "collection", required = true)
            protected boolean collection;
            @XmlAttribute(name = "connectiontype")
            protected String connectiontype;

            /**
             * Gets the value of the content property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getContent() {
                return content;
            }

            /**
             * Sets the value of the content property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setContent(String value) {
                this.content = value;
            }

            /**
             * Gets the value of the datatype property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getDatatype() {
                return datatype;
            }

            /**
             * Sets the value of the datatype property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setDatatype(String value) {
                this.datatype = value;
            }

            /**
             * Gets the value of the collection property.
             * 
             */
            public boolean isCollection() {
                return collection;
            }

            /**
             * Sets the value of the collection property.
             * 
             */
            public void setCollection(boolean value) {
                this.collection = value;
            }

            /**
             * Gets the value of the connectiontype property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getConnectiontype() {
                return connectiontype;
            }

            /**
             * Sets the value of the connectiontype property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setConnectiontype(String value) {
                this.connectiontype = value;
            }

        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="Item" type="{http://www.easit.com/bps/schemas}Item" maxOccurs="unbounded"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "item"
    })
    public static class Items
        implements Serializable
    {

        /**
		 * 
		 */
		private static final long serialVersionUID = -6111415893404869499L;
		@XmlElement(name = "Item", required = true)
        protected List<Item> item;

        /**
         * Gets the value of the item property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the item property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getItem().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link Item }
         * 
         * 
         */
        public List<Item> getItem() {
            if (item == null) {
                item = new ArrayList<Item>();
            }
            return this.item;
        }

    }

}
