
package com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservice;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ContactDetails complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ContactDetails">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Adress" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="BranchDetails" type="{http://schemas.datacontract.org/2004/07/Evolution.EService.DataAccess}BranchDetails" minOccurs="0"/>
 *         &lt;element name="BranchId" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="CoAdress" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Email" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="PhoneFax" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="PhoneHome" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="PhoneMobile" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="PhoneSwitchboard" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="PhoneWork" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Region" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="VisitAddress" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="ZipCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ContactDetails", propOrder = {
    "adress",
    "branchDetails",
    "branchId",
    "coAdress",
    "email",
    "name",
    "phoneFax",
    "phoneHome",
    "phoneMobile",
    "phoneSwitchboard",
    "phoneWork",
    "region",
    "visitAddress",
    "zipCode"
})
public class ContactDetails {

    @XmlElement(name = "Adress", nillable = true)
    protected String adress;
    @XmlElement(name = "BranchDetails", nillable = true)
    protected BranchDetails branchDetails;
    @XmlElement(name = "BranchId", nillable = true)
    protected Integer branchId;
    @XmlElement(name = "CoAdress", nillable = true)
    protected String coAdress;
    @XmlElement(name = "Email", nillable = true)
    protected String email;
    @XmlElement(name = "Name", nillable = true)
    protected String name;
    @XmlElement(name = "PhoneFax", nillable = true)
    protected String phoneFax;
    @XmlElement(name = "PhoneHome", nillable = true)
    protected String phoneHome;
    @XmlElement(name = "PhoneMobile", nillable = true)
    protected String phoneMobile;
    @XmlElement(name = "PhoneSwitchboard", nillable = true)
    protected String phoneSwitchboard;
    @XmlElement(name = "PhoneWork", nillable = true)
    protected String phoneWork;
    @XmlElement(name = "Region", nillable = true)
    protected String region;
    @XmlElement(name = "VisitAddress", nillable = true)
    protected String visitAddress;
    @XmlElement(name = "ZipCode", nillable = true)
    protected String zipCode;

    /**
     * Gets the value of the adress property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAdress() {
        return adress;
    }

    /**
     * Sets the value of the adress property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAdress(String value) {
        this.adress = value;
    }

    /**
     * Gets the value of the branchDetails property.
     * 
     * @return
     *     possible object is
     *     {@link BranchDetails }
     *     
     */
    public BranchDetails getBranchDetails() {
        return branchDetails;
    }

    /**
     * Sets the value of the branchDetails property.
     * 
     * @param value
     *     allowed object is
     *     {@link BranchDetails }
     *     
     */
    public void setBranchDetails(BranchDetails value) {
        this.branchDetails = value;
    }

    /**
     * Gets the value of the branchId property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getBranchId() {
        return branchId;
    }

    /**
     * Sets the value of the branchId property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setBranchId(Integer value) {
        this.branchId = value;
    }

    /**
     * Gets the value of the coAdress property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCoAdress() {
        return coAdress;
    }

    /**
     * Sets the value of the coAdress property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCoAdress(String value) {
        this.coAdress = value;
    }

    /**
     * Gets the value of the email property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEmail() {
        return email;
    }

    /**
     * Sets the value of the email property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEmail(String value) {
        this.email = value;
    }

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setName(String value) {
        this.name = value;
    }

    /**
     * Gets the value of the phoneFax property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPhoneFax() {
        return phoneFax;
    }

    /**
     * Sets the value of the phoneFax property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPhoneFax(String value) {
        this.phoneFax = value;
    }

    /**
     * Gets the value of the phoneHome property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPhoneHome() {
        return phoneHome;
    }

    /**
     * Sets the value of the phoneHome property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPhoneHome(String value) {
        this.phoneHome = value;
    }

    /**
     * Gets the value of the phoneMobile property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPhoneMobile() {
        return phoneMobile;
    }

    /**
     * Sets the value of the phoneMobile property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPhoneMobile(String value) {
        this.phoneMobile = value;
    }

    /**
     * Gets the value of the phoneSwitchboard property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPhoneSwitchboard() {
        return phoneSwitchboard;
    }

    /**
     * Sets the value of the phoneSwitchboard property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPhoneSwitchboard(String value) {
        this.phoneSwitchboard = value;
    }

    /**
     * Gets the value of the phoneWork property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPhoneWork() {
        return phoneWork;
    }

    /**
     * Sets the value of the phoneWork property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPhoneWork(String value) {
        this.phoneWork = value;
    }

    /**
     * Gets the value of the region property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRegion() {
        return region;
    }

    /**
     * Sets the value of the region property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRegion(String value) {
        this.region = value;
    }

    /**
     * Gets the value of the visitAddress property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVisitAddress() {
        return visitAddress;
    }

    /**
     * Sets the value of the visitAddress property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVisitAddress(String value) {
        this.visitAddress = value;
    }

    /**
     * Gets the value of the zipCode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getZipCode() {
        return zipCode;
    }

    /**
     * Sets the value of the zipCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setZipCode(String value) {
        this.zipCode = value;
    }

}
