
package com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservice;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;

import com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservices.OrderCaseDocumentsBy;
import com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservices.OrderCasesBy;


/**
 * <p>Java class for GetCasesOfCustomerRequest complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="GetCasesOfCustomerRequest">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="OrderCaseDocumentsBy" type="{http://schemas.datacontract.org/2004/07/Evolution.EServices.DataContracts}OrderCaseDocumentsBy" minOccurs="0"/>
 *         &lt;element name="OrderCasesBy" type="{http://schemas.datacontract.org/2004/07/Evolution.EServices.DataContracts}OrderCasesBy" minOccurs="0"/>
 *         &lt;element name="SocialSecurityNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "GetCasesOfCustomerRequest", namespace = "http://schemas.datacontract.org/2004/07/Evolution.EService.DataContracts", propOrder = {
    "orderCaseDocumentsBy",
    "orderCasesBy",
    "socialSecurityNumber"
})
public class GetCasesOfCustomerRequest {

    @XmlElement(name = "OrderCaseDocumentsBy")
    @XmlSchemaType(name = "string")
    protected OrderCaseDocumentsBy orderCaseDocumentsBy;
    @XmlElement(name = "OrderCasesBy")
    @XmlSchemaType(name = "string")
    protected OrderCasesBy orderCasesBy;
    @XmlElement(name = "SocialSecurityNumber", nillable = true)
    protected String socialSecurityNumber;

    /**
     * Gets the value of the orderCaseDocumentsBy property.
     * 
     * @return
     *     possible object is
     *     {@link OrderCaseDocumentsBy }
     *     
     */
    public OrderCaseDocumentsBy getOrderCaseDocumentsBy() {
        return orderCaseDocumentsBy;
    }

    /**
     * Sets the value of the orderCaseDocumentsBy property.
     * 
     * @param value
     *     allowed object is
     *     {@link OrderCaseDocumentsBy }
     *     
     */
    public void setOrderCaseDocumentsBy(OrderCaseDocumentsBy value) {
        this.orderCaseDocumentsBy = value;
    }

    /**
     * Gets the value of the orderCasesBy property.
     * 
     * @return
     *     possible object is
     *     {@link OrderCasesBy }
     *     
     */
    public OrderCasesBy getOrderCasesBy() {
        return orderCasesBy;
    }

    /**
     * Sets the value of the orderCasesBy property.
     * 
     * @param value
     *     allowed object is
     *     {@link OrderCasesBy }
     *     
     */
    public void setOrderCasesBy(OrderCasesBy value) {
        this.orderCasesBy = value;
    }

    /**
     * Gets the value of the socialSecurityNumber property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSocialSecurityNumber() {
        return socialSecurityNumber;
    }

    /**
     * Sets the value of the socialSecurityNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSocialSecurityNumber(String value) {
        this.socialSecurityNumber = value;
    }

}
