
package com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservices;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for OrderBoardMeetingAgendasBy.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="OrderBoardMeetingAgendasBy">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="OrderNoAsc"/>
 *     &lt;enumeration value="OrderNoDesc"/>
 *     &lt;enumeration value="TypeAsc"/>
 *     &lt;enumeration value="TypeDesc"/>
 *     &lt;enumeration value="HeadlineAsc"/>
 *     &lt;enumeration value="HeadlineDesc"/>
 *     &lt;enumeration value="CaseIdAsc"/>
 *     &lt;enumeration value="DiaryNumber"/>
 *     &lt;enumeration value="Unsorted"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "OrderBoardMeetingAgendasBy", namespace = "http://schemas.datacontract.org/2004/07/Evolution.EServices.DataContracts")
@XmlEnum
public enum OrderBoardMeetingAgendasBy {

    @XmlEnumValue("OrderNoAsc")
    ORDER_NO_ASC("OrderNoAsc"),
    @XmlEnumValue("OrderNoDesc")
    ORDER_NO_DESC("OrderNoDesc"),
    @XmlEnumValue("TypeAsc")
    TYPE_ASC("TypeAsc"),
    @XmlEnumValue("TypeDesc")
    TYPE_DESC("TypeDesc"),
    @XmlEnumValue("HeadlineAsc")
    HEADLINE_ASC("HeadlineAsc"),
    @XmlEnumValue("HeadlineDesc")
    HEADLINE_DESC("HeadlineDesc"),
    @XmlEnumValue("CaseIdAsc")
    CASE_ID_ASC("CaseIdAsc"),
    @XmlEnumValue("DiaryNumber")
    DIARY_NUMBER("DiaryNumber"),
    @XmlEnumValue("Unsorted")
    UNSORTED("Unsorted");
    private final String value;

    OrderBoardMeetingAgendasBy(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static OrderBoardMeetingAgendasBy fromValue(String v) {
        for (OrderBoardMeetingAgendasBy c: OrderBoardMeetingAgendasBy.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
