
package com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservices;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for OrderCasesBy.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="OrderCasesBy">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="DiaryNumberAsc"/>
 *     &lt;enumeration value="DiaryNumberDesc"/>
 *     &lt;enumeration value="UnitCodeAsc"/>
 *     &lt;enumeration value="UnitCodeDesc"/>
 *     &lt;enumeration value="DescriptionAsc"/>
 *     &lt;enumeration value="DescriptionDesc"/>
 *     &lt;enumeration value="ResponsibleAsc"/>
 *     &lt;enumeration value="ResponsibleDesc"/>
 *     &lt;enumeration value="CreateDateAsc"/>
 *     &lt;enumeration value="CreateDateDesc"/>
 *     &lt;enumeration value="UpdateDateAsc"/>
 *     &lt;enumeration value="UpdateDateDesc"/>
 *     &lt;enumeration value="Unsorted"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "OrderCasesBy", namespace = "http://schemas.datacontract.org/2004/07/Evolution.EServices.DataContracts")
@XmlEnum
public enum OrderCasesBy {

    @XmlEnumValue("DiaryNumberAsc")
    DIARY_NUMBER_ASC("DiaryNumberAsc"),
    @XmlEnumValue("DiaryNumberDesc")
    DIARY_NUMBER_DESC("DiaryNumberDesc"),
    @XmlEnumValue("UnitCodeAsc")
    UNIT_CODE_ASC("UnitCodeAsc"),
    @XmlEnumValue("UnitCodeDesc")
    UNIT_CODE_DESC("UnitCodeDesc"),
    @XmlEnumValue("DescriptionAsc")
    DESCRIPTION_ASC("DescriptionAsc"),
    @XmlEnumValue("DescriptionDesc")
    DESCRIPTION_DESC("DescriptionDesc"),
    @XmlEnumValue("ResponsibleAsc")
    RESPONSIBLE_ASC("ResponsibleAsc"),
    @XmlEnumValue("ResponsibleDesc")
    RESPONSIBLE_DESC("ResponsibleDesc"),
    @XmlEnumValue("CreateDateAsc")
    CREATE_DATE_ASC("CreateDateAsc"),
    @XmlEnumValue("CreateDateDesc")
    CREATE_DATE_DESC("CreateDateDesc"),
    @XmlEnumValue("UpdateDateAsc")
    UPDATE_DATE_ASC("UpdateDateAsc"),
    @XmlEnumValue("UpdateDateDesc")
    UPDATE_DATE_DESC("UpdateDateDesc"),
    @XmlEnumValue("Unsorted")
    UNSORTED("Unsorted");
    private final String value;

    OrderCasesBy(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static OrderCasesBy fromValue(String v) {
        for (OrderCasesBy c: OrderCasesBy.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
