package com.nordicpeak.flowengine.api;

import java.util.List;

import se.unlogic.standardutils.xml.GeneratedElementable;
import se.unlogic.standardutils.xml.XMLElement;

import com.nordicpeak.flowengine.beans.ExternalMessage;

@XMLElement(name="Messages")
public class MessageResponse extends GeneratedElementable {

	@XMLElement(skipChildParentElement=true)
	private final List<ExternalMessage> messages;

	public MessageResponse(List<ExternalMessage> messages) {
		super();
		this.messages = messages;
	}
}
