<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	
	<xsl:import href="classpath://com/nordicpeak/flowengine/BaseFlowModule.sv.xsl"/>
	
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>
	
	<xsl:include href="FlowInstanceAdminSendMessagesModuleTemplates.xsl"/>
	
	<xsl:variable name="java.status">Status</xsl:variable>
	<xsl:variable name="java.description">Beskrivning</xsl:variable>
	<xsl:variable name="java.submitted">Inskickat</xsl:variable>
	<xsl:variable name="java.siteProfile">Kommun</xsl:variable>
	<xsl:variable name="java.managers">Handlggare</xsl:variable>
	<xsl:variable name="java.anonymousSubmitter">Anonym anvndare</xsl:variable>
	<xsl:variable name="java.buttonName">Skapa utskick</xsl:variable>
	<xsl:variable name="java.buttonTitle">Skapa utskick fr valda renden. Om inget rende r valt ppnas avancerade skapa utskick vyn.</xsl:variable>
	<xsl:variable name="java.eventSent">Utskick via</xsl:variable>
	<xsl:variable name="java.eventEmailSent">E-post</xsl:variable>
	<xsl:variable name="java.eventSMSSent">SMS</xsl:variable>
	<xsl:variable name="java.eventMessageSent">Meddelanden</xsl:variable>
	
	<xsl:variable name="i18n.validation.unknownFault" select="'Ett oknt valideringsfel har uppsttt.'"/>
	<xsl:variable name="i18n.validation.unknownError" select="'Oknt fel p fltet:'"/>
	<xsl:variable name="i18n.validation.requiredField" select="'Du mste fylla i fltet:'"/>
	<xsl:variable name="i18n.validation.invalidFormat" select="'Felaktigt format p fltet:'"/>
	<xsl:variable name="i18n.validation.tooShort" select="'Fr kort innehll i fltet:'"/>
	<xsl:variable name="i18n.validation.tooLong" select="'Fr lngt innehll i fltet:'"/>
	
	<xsl:variable name="i18n.ValidationError.FileSizeLimitExceeded.part1">Filen </xsl:variable>
	<xsl:variable name="i18n.ValidationError.FileSizeLimitExceeded.part2"> har en storlek p </xsl:variable>
	<xsl:variable name="i18n.ValidationError.FileSizeLimitExceeded.part3"> vilket verskrider den maximalt tilltna filstorleken p </xsl:variable>
	<xsl:variable name="i18n.ValidationError.FileSizeLimitExceeded.part4">.</xsl:variable>
	<xsl:variable name="i18n.ValidationError.UnableToParseRequest">Ett oknt fel uppstod vid filuppladdningen</xsl:variable>
	<xsl:variable name="i18n.ValidationError.FlowFamilyNotFound">Den begrda e-tjnsten hittades inte.</xsl:variable>
	<xsl:variable name="i18n.ValidationError.FlowFamilyAccessDenied">Du har inte behrighet att komma t den begrda e-tjnsten.</xsl:variable>
	<xsl:variable name="i18n.ValidationError.NoFlowVersionsSelected">Du mste vlja minst en version.</xsl:variable>
	<xsl:variable name="i18n.ValidationError.NoMessagePathSelected">Du mste vlja minst en typ av utskick.</xsl:variable>
	<xsl:variable name="i18n.ValidationError.NoEmailNoRecipients">Det finns inga mottagare att skicka till med de valda e-tjnst versionerna och datum filter</xsl:variable>
	<xsl:variable name="i18n.ValidationError.MultipleFlowFamiliesSelected">Du fr endast vlja en e-tjnst i taget.</xsl:variable>
	<xsl:variable name="i18n.ValidationError.NoStatusesSelected">Du mste vlja minst en status att skicka till.</xsl:variable>
	<xsl:variable name="i18n.ValidationError.NoMultiSignTypesSelected">Du mste vlja minst en flerpartssigneringsundertyp om du valt flerpartssignering.</xsl:variable>
	<xsl:variable name="i18n.ValidationError.ExternalMessagesDisabled.1">Det gick inte att skicka</xsl:variable>
	<xsl:variable name="i18n.ValidationError.ExternalMessagesDisabled.2">meddelanden via mina sidor fr renden tillhrande</xsl:variable>
	<xsl:variable name="i18n.ValidationError.ExternalMessagesDisabled.3">d meddelandefunktionen r avstngd i den versionen.</xsl:variable>
	
	<xsl:variable name="i18n.flowName">E-tjnst</xsl:variable>
		
	<xsl:variable name="i18n.Flowslist.title">Skapa utskick fr renden</xsl:variable>
	<xsl:variable name="i18n.Flowlist.description">Nedan visas samtliga e-tjnster som du har behrighet att komma t.</xsl:variable>
	<xsl:variable name="i18n.Filter">Filtrera e-tjnster</xsl:variable>
	
	<xsl:variable name="i18n.flowType">Kategori</xsl:variable>
	<xsl:variable name="i18n.steps">Steg</xsl:variable>
	<xsl:variable name="i18n.queries">Frgor</xsl:variable>
	<xsl:variable name="i18n.SubmittedInstances">Insk. renden</xsl:variable>
	<xsl:variable name="i18n.NotSubmittedInstances">Ej insk. renden</xsl:variable>
	<xsl:variable name="i18n.status">Status</xsl:variable>
	<xsl:variable name="i18n.noFlowsFound">Inga e-tjnster hittades.</xsl:variable>
	<xsl:variable name="i18n.disabled">Inaktiverad</xsl:variable>
	<xsl:variable name="i18n.published">Publicerad</xsl:variable>
	<xsl:variable name="i18n.notPublished">Ej publicerad</xsl:variable>
	<xsl:variable name="i18n.name">Namn</xsl:variable>

	<xsl:variable name="i18n.versions">Versioner</xsl:variable>
	<xsl:variable name="i18n.version.title">Version</xsl:variable>
	<xsl:variable name="i18n.versions.description">Tabellen nedan visar samtliga versioner av denna e-tjnst. Markera de versioner som du vill exportera renden frn. Det gr inte att exportera renden frn inaktiverade versioner. renden som sparats men inte skickats in exkluderas automatisk vid export.</xsl:variable>
	
	<xsl:variable name="i18n.Back">Bakt</xsl:variable>
	
	<xsl:variable name="i18n.fromDate">Frn</xsl:variable>
	<xsl:variable name="i18n.toDate">Till</xsl:variable>
	
	<xsl:variable name="i18n.MessageTemplates.choose">Meddelandemallar</xsl:variable>
	
	<xsl:variable name="i18n.SendMessageTitle">Skapa utskick fr e-tjnsten</xsl:variable>
	<xsl:variable name="i18n.SendMessages">Skapa utskick</xsl:variable>
	<xsl:variable name="i18n.SendMessage.EmailsSent">E-postmeddelande skickat till</xsl:variable>
	<xsl:variable name="i18n.SendMessage.MessagesSent.part1">mottagare rrande</xsl:variable>
	<xsl:variable name="i18n.SendMessage.MessagesSent.part2">renden.</xsl:variable>
	<xsl:variable name="i18n.SendMessage.SMSsSent">SMS-meddelande skickat till</xsl:variable>
	<xsl:variable name="i18n.SendMessage.Email">E-post</xsl:variable>
	<xsl:variable name="i18n.SendMessage.SMS">SMS</xsl:variable>
	<xsl:variable name="i18n.SendMessage.Info">Tnk p att det kan vara olmpligt att skicka personuppgifter eller annan knslig information via e-post och SMS. D utskick grs till mina sidor mste mottagaren autentisera sig fr att meddelandet ska kunna lsas vilket gr det till en mycket skrare kommunikationskanal n e-post och SMS.</xsl:variable>
	<xsl:variable name="i18n.SendMessage.SenderName">Avsndarnamn</xsl:variable>
	<xsl:variable name="i18n.SendMessage.SenderAddress">Avsndaradress</xsl:variable>
	<xsl:variable name="i18n.SendMessage.SenderAddress.description">Lmna tom fr standard avsndare:</xsl:variable>
	<xsl:variable name="i18n.SendMessage.Subject">Rubrik</xsl:variable>
	<xsl:variable name="i18n.SendMessage.Message">Meddelande</xsl:variable>
	
	<xsl:variable name="i18n.SendMessage.Status.title">rende status</xsl:variable>
	<xsl:variable name="i18n.SendMessage.Status.description">Vlj vilka renden som ska ing i utskicket baserat p vilken status de har. Siffran inom parantes visar antalet renden finns inom de olika statusarna.</xsl:variable>
	<xsl:variable name="i18n.SendMessage.Status.description2">Ett rende kan ha flera gare vilket gr att antalet mottagare kan vara strre n antalet renden.</xsl:variable>
	
	<xsl:variable name="i18n.SendMessage.Status.WAITING_FOR_MULTISIGN.signed">Personer som har signerat</xsl:variable>
	<xsl:variable name="i18n.SendMessage.Status.WAITING_FOR_MULTISIGN.notSigned">Personer som inte har signerat</xsl:variable>
	<xsl:variable name="i18n.SendMessage.Status.WAITING_FOR_MULTISIGN.owner">Personen som pbrjade rendet</xsl:variable>
	<xsl:variable name="i18n.SendMessage.Status.WAITING_FOR_MULTISIGN.MultiSigningHandlerMissing">Kan inte filtrera flerpartssignering noggrannare, modulen saknas.</xsl:variable>
	
	<xsl:variable name="i18n.emailSenderName">e-post avsndarnamn</xsl:variable>
	<xsl:variable name="i18n.emailSenderAddress">e-post avsndaradress</xsl:variable>
	<xsl:variable name="i18n.emailSubject">e-post rubrik</xsl:variable>
	<xsl:variable name="i18n.emailMessage">e-postmeddelande</xsl:variable>
	<xsl:variable name="i18n.smsMessage">SMS meddelande</xsl:variable>
	
	<xsl:variable name="i18n.SendMessage.SendEmail">Skicka via e-post</xsl:variable>
	<xsl:variable name="i18n.SendMessage.SendSMS">Skicka via SMS</xsl:variable>
	<xsl:variable name="i18n.SendMessage.SubmitMessage">Skicka meddelande</xsl:variable>
	
	<xsl:variable name="i18n.SendMessageTitleBetween">mellan</xsl:variable>
	<xsl:variable name="i18n.SendMessageTitleBetween2">och</xsl:variable>
	<xsl:variable name="i18n.SendMessageTitleAfter">efter</xsl:variable>
	<xsl:variable name="i18n.SendMessageTitleBefore">fre</xsl:variable>
	
	<xsl:variable name="i18n.SendMessage.Transport">Typ av utskick</xsl:variable>
	<xsl:variable name="i18n.SendMessage.Transport.description">Vlj vilken typ av utskick som ska gras. Utskick grs endast till de anvndare som valt de aktuella kontaktvgarna.</xsl:variable>
	
	<xsl:variable name="i18n.AttachFiles">Bifoga filer</xsl:variable>
	<xsl:variable name="i18n.ChooseFiles">Vlj filer</xsl:variable>
	<xsl:variable name="i18n.MaximumFileSize">Maximal filstorlek vid uppladdning</xsl:variable>
	<xsl:variable name="i18n.DeleteFile">Ta bort fil</xsl:variable>
	
	<xsl:variable name="i18n.SendMessage.SentExternalMessages">Meddelande p mina sidor har skickats till</xsl:variable>
	<xsl:variable name="i18n.SendMessage.SendExternalMessage">Meddelande p mina sidor</xsl:variable>
	<xsl:variable name="i18n.SendMessage.SendExternalMessage.FlowsWithDisabledExternalMessages">Notera att meddelandefunktionen r avstngd i fljande versioner och inga meddelanden kommer att skickas till tillhrande renden:</xsl:variable>
	<xsl:variable name="i18n.SendMessage.ExternalMessage">Meddelande p mina sidor</xsl:variable>
	<xsl:variable name="i18n.externalMessage">Meddelande p mina sidor</xsl:variable>
	
	<xsl:variable name="i18n.UserTagsTable.description">Fljande taggar kan anvndas i rubrik och meddelande (contact-taggar kan EJ anvndas i utskick till meddelande p mina sidor)</xsl:variable>
	<xsl:variable name="i18n.Tag">Tagg</xsl:variable>
	<xsl:variable name="i18n.Description">Beskrivning</xsl:variable>
	<xsl:variable name="i18n.FlowNameTag">E-tjnstens namn</xsl:variable>
	<xsl:variable name="i18n.FlowInstanceIDTag">rende nummer</xsl:variable>
	<xsl:variable name="i18n.FlowInstanceURLTag">Adress till rendet (kan ej anvndas i meddelande till ej inloggade anvndare)</xsl:variable>
	<xsl:variable name="i18n.PosterFirstnameTag">Kontaktpersonens frnamn (stds ej fr meddelanden p mina sidor)</xsl:variable>
	<xsl:variable name="i18n.PosterLastnameTag">Kontaktpersonens efternamn (stds ej fr meddelanden p mina sidor)</xsl:variable>
	
</xsl:stylesheet>
