<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="html" version="4.0" encoding="ISO-8859-1" />

	<xsl:include href="classpath://se/unlogic/hierarchy/core/utils/xsl/Common.xsl"/>

	<xsl:template match="Document">
	
		<xsl:apply-templates select="TabContents" />
	
	</xsl:template>
	
	<xsl:template match="TabContents">
	
		<div id="external-id" class="tabs-content">
			
			<form method="POST" action="{PostURL}">
			
				<div class="full bigmarginbottom">
				
					<label for="externalID">
						<xsl:value-of select="$i18n.ExternalID" />
					</label>
				
					<xsl:call-template name="createTextField">
						<xsl:with-param name="id" select="'externalID'"/>
						<xsl:with-param name="name" select="'externalID'"/>
						<xsl:with-param name="value" select="ExternalID" />
					</xsl:call-template>
				</div>
				
				<div class="floatright">
					<input class="btn btn-green" type="submit" value="{$i18n.Save}"/>
				</div>
			
			</form>
			
		</div>
	
	</xsl:template>
	
</xsl:stylesheet>