<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>

	<xsl:include href="classpath://com/nordicpeak/flowengine/queries/common/xsl/QueryAdminCommon.sv.xsl"/>
	<xsl:include href="classpath://se/unlogic/hierarchy/core/utils/usergrouplist/UserGroupList.sv.xsl"/>
	<xsl:include href="classpath://com/nordicpeak/flowengine/queries/internaluserqueries/InternalUserQueries.sv.xsl"/>
	<xsl:include href="classpath://com/nordicpeak/flowengine/queries/internaluserqueries/InternalUserQueriesAdmin.xsl"/>
	
	<xsl:include href="InternalUserQueryAdminTemplates.xsl"/>
	
	<xsl:variable name="java.queryTypeName">Anvndarfrga (sk intern anvndare)</xsl:variable>
	<xsl:variable name="java.queryDescription">
Frgetypen Anvndarfrga (sk intern anvndare) anvnds fr att vlja en intern anvndare via ett skflt.
Skningen grs i en eller flera anvndargrupper som valts i frgetypen d den konfigureras.
	</xsl:variable>
	
	<xsl:variable name="java.exportFirstName">Frnamn</xsl:variable>
	<xsl:variable name="java.exportLastName">Efternamn</xsl:variable>
	<xsl:variable name="java.exportUsername">Anvndarnamn</xsl:variable>
	<xsl:variable name="java.exportEmail">E-post</xsl:variable>
	
	<xsl:variable name="i18n.Groups">Grupper</xsl:variable>

	<xsl:variable name="i18n.Query.getGroupsByAttribute">Sl upp grupper via attribut</xsl:variable>
	<xsl:variable name="i18n.Query.groupGettingAttributes">Attribut med gruppnamn eller grupp-ID</xsl:variable>
	<xsl:variable name="i18n.Query.noGroupFoundByAttributeErrorDescription">Meddelande om det inte gr att hitta ngon grupp via de specificerade attributen (kan lmnas tom fr att terstlla standardtext)</xsl:variable>
	
	<xsl:variable name="i18n.Query.searchCitizenID">Sk p Personnummer</xsl:variable>
	<xsl:variable name="i18n.Query.searchTitle">Sk p Titel</xsl:variable>
	<xsl:variable name="i18n.Query.searchDepartment">Sk p Avdelning</xsl:variable>
	<xsl:variable name="i18n.Query.limitSearchToMyEmployees">Begrnsa skning till anvndare som inloggad anvndare r chef fr</xsl:variable>
	<xsl:variable name="i18n.Query.excludeInactiveUsers">Exkludera inaktiva anvndare</xsl:variable>
	<xsl:variable name="i18n.Query.blockPosterSelection">Frhindra att inloggad anvndare vljer sig sjlv</xsl:variable>
	<xsl:variable name="i18n.Query.combinationRestrictionInfo">Denna instllning kan ej kombineras med tillget fr handlggare att lgga till rende som ej inloggad anvndare.</xsl:variable>
	
	<xsl:variable name="i18n.Query.showName">Visa flt fr Namn</xsl:variable>
	<xsl:variable name="i18n.Query.showUsername">Visa flt fr Anvndarnamn</xsl:variable>
	<xsl:variable name="i18n.Query.showEmail">Visa flt fr E-post</xsl:variable>
	<xsl:variable name="i18n.Query.show">Visa flt fr</xsl:variable>
	
	<xsl:variable name="i18n.AdvancedSettings">Avancerade instllningar</xsl:variable>
	<xsl:variable name="i18n.Query.maskCitizenIDLastFourDigits">Maskera de fyra sista siffrorna i personnummer i e-tjnsten d frgan besvaras</xsl:variable>
	<xsl:variable name="i18n.Query.maskCitizenIDLastFourDigits.Info">De fyra sista siffrorna kan bara maskeras d frgan besvaras, inte i exempelvis i frhandsgranskningen eller i rendets PDF-fil.</xsl:variable>
	<xsl:variable name="i18n.Query.setAsAttribute">Spara fltens vrde som attribut</xsl:variable>
	<xsl:variable name="i18n.Query.attributeName">Attributprefix</xsl:variable>
	<xsl:variable name="i18n.Query.lockForOwnerUpdate">Ls frga fr rendets gare vid komplettering</xsl:variable>
	
	<xsl:variable name="i18n.attributeDescription">Fljande attribut kommer att sparas (om aktiverade ovan) med det ovan valda prefixet. Anvndningsexempel om du valt prefixet 'test': $attribute{test.firstname}</xsl:variable>
	<xsl:variable name="i18n.attributeDescription2"><strong>Observera</strong> att endast den anvndarinformation som ovan valts att visas kommer att sparas som attribut.</xsl:variable>	
	<xsl:variable name="i18n.attributes.name">Attributnamn</xsl:variable>
	<xsl:variable name="i18n.attributes.value">Vrde</xsl:variable>
	
	<xsl:variable name="i18n.ContactDetailQueryNotFound">Den begrda frgan hittades inte!</xsl:variable>
	
	<xsl:variable name="i18n.ContactChannelSettings">Instllningar</xsl:variable>
	
	<xsl:variable name="i18n.MultipartSigning">Flerpartssignering</xsl:variable>
	<xsl:variable name="i18n.UseForMultipartSigning">Krv signering av vald anvndare</xsl:variable>
	<xsl:variable name="i18n.SetMultipartsAsOwners">Stt vald anvndare som medskande fr rendet</xsl:variable>
	
	<xsl:variable name="i18n.Search">Skning (utver namn)</xsl:variable>
	<xsl:variable name="i18n.Fields">Flt</xsl:variable>
</xsl:stylesheet>
