$(function() {
	
	// Format validator
	$("#useForMultipartSigning").on("change", showHideMultiPart);
	showHideMultiPart();
	
	var showManagerInfoField = $("#showManagerInfo");
	
	var showHideManagerInfo = function() {
		
		var checked = showManagerInfoField.prop("checked");
		
		$("#managerinfo").toggle(checked).find("input").prop("disabled", !checked)
		$("#attributes .manager").toggle(checked);
	}
	
	showManagerInfoField.on("change", showHideManagerInfo);
	showHideManagerInfo();
	
	$("#getGroupsByAttribute").on("change", function() {
		
		$("#groupGettingAttributesContainer").toggle(this.checked);
		$("#groupContainer").toggle(!this.checked);
		
	}).trigger("change");
	
	$("#searchCitizenID, #attribute-citizenIdentifier, #attribute-managerCitizenIdentifier, #managerattribute-citizenIdentifier, #managerattribute-managerCitizenIdentifier").on("change", function() {
	
		var anyCitizenIdentifierOptionIsChecked = !!$("#searchCitizenID:checked, #attribute-citizenIdentifier:checked, #attribute-managerCitizenIdentifier:checked, #managerattribute-citizenIdentifier:checked, #managerattribute-managerCitizenIdentifier:checked").length;

		$("#maskCitizenIDLastFourDigits").prop("disabled", !anyCitizenIdentifierOptionIsChecked);		
		$("#maskCitizenIDLastFourDigitsContainer").toggle(anyCitizenIdentifierOptionIsChecked);
		
	}).trigger("change");
	
});

function showHideMultiPart(){
	
	var checked = $("#useForMultipartSigning").prop("checked");

	$("#multipart").toggle(checked).find("input").prop("disabled", !checked)
}