
package se.lantmateriet.namespace.distribution.produkter.byggnad.v2;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for UtbytesobjektType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="UtbytesobjektType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="objektidentitet" type="{http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2}UUIDType"/>
 *         &lt;element name="objektversion" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="versionGiltigFran" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "UtbytesobjektType", namespace = "http://namespace.lantmateriet.se/distribution/produkter/byggnad/v2", propOrder = {
    "objektidentitet",
    "objektversion",
    "versionGiltigFran"
})
@XmlSeeAlso({
    SkyddsrumType.class,
    TaxeringsenhetType.class,
    EntreType.class,
    VarderingsenhetType.class
})
public abstract class UtbytesobjektType {

    @XmlElement(required = true)
    protected String objektidentitet;
    protected int objektversion;
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar versionGiltigFran;

    /**
     * Gets the value of the objektidentitet property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getObjektidentitet() {
        return objektidentitet;
    }

    /**
     * Sets the value of the objektidentitet property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setObjektidentitet(String value) {
        this.objektidentitet = value;
    }

    /**
     * Gets the value of the objektversion property.
     * 
     */
    public int getObjektversion() {
        return objektversion;
    }

    /**
     * Sets the value of the objektversion property.
     * 
     */
    public void setObjektversion(int value) {
        this.objektversion = value;
    }

    /**
     * Gets the value of the versionGiltigFran property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getVersionGiltigFran() {
        return versionGiltigFran;
    }

    /**
     * Sets the value of the versionGiltigFran property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setVersionGiltigFran(XMLGregorianCalendar value) {
        this.versionGiltigFran = value;
    }

}
