
package se.lantmateriet.namespace.distribution.produkter.inskrivning.v2;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for InskrivenBelastningType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InskrivenBelastningType">
 *   &lt;complexContent>
 *     &lt;extension base="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}InskrivningType">
 *       &lt;sequence>
 *         &lt;element name="likaratt" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}UUIDType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Inskrivningshandelse" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}InskrivningshandelseType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InskrivenBelastningType", propOrder = {
    "likaratt",
    "inskrivningshandelse"
})
@XmlSeeAlso({
    InteckningType.class,
    AvtalsrattighetType.class
})
public abstract class InskrivenBelastningType
    extends InskrivningType
{

    protected List<String> likaratt;
    @XmlElement(name = "Inskrivningshandelse")
    protected List<InskrivningshandelseType> inskrivningshandelse;

    /**
     * Gets the value of the likaratt property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the likaratt property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getLikaratt().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getLikaratt() {
        if (likaratt == null) {
            likaratt = new ArrayList<String>();
        }
        return this.likaratt;
    }

    /**
     * Gets the value of the inskrivningshandelse property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the inskrivningshandelse property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getInskrivningshandelse().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link InskrivningshandelseType }
     * 
     * 
     */
    public List<InskrivningshandelseType> getInskrivningshandelse() {
        if (inskrivningshandelse == null) {
            inskrivningshandelse = new ArrayList<InskrivningshandelseType>();
        }
        return this.inskrivningshandelse;
    }

}
