
package se.lantmateriet.namespace.distribution.produkter.inskrivning.v2;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for InskrivetAgandeType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InskrivetAgandeType">
 *   &lt;complexContent>
 *     &lt;extension base="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}InskrivningType">
 *       &lt;sequence>
 *         &lt;element name="BeviljadAndel" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}BrakType" minOccurs="0"/>
 *         &lt;element name="Agare" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}InskrivenPersonType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InskrivetAgandeType", propOrder = {
    "beviljadAndel",
    "agare"
})
@XmlSeeAlso({
    TomtrattsinnehavType.class,
    LagfartType.class
})
public abstract class InskrivetAgandeType
    extends InskrivningType
{

    @XmlElement(name = "BeviljadAndel")
    protected BrakType beviljadAndel;
    @XmlElement(name = "Agare")
    protected InskrivenPersonType agare;

    /**
     * Gets the value of the beviljadAndel property.
     * 
     * @return
     *     possible object is
     *     {@link BrakType }
     *     
     */
    public BrakType getBeviljadAndel() {
        return beviljadAndel;
    }

    /**
     * Sets the value of the beviljadAndel property.
     * 
     * @param value
     *     allowed object is
     *     {@link BrakType }
     *     
     */
    public void setBeviljadAndel(BrakType value) {
        this.beviljadAndel = value;
    }

    /**
     * Gets the value of the agare property.
     * 
     * @return
     *     possible object is
     *     {@link InskrivenPersonType }
     *     
     */
    public InskrivenPersonType getAgare() {
        return agare;
    }

    /**
     * Sets the value of the agare property.
     * 
     * @param value
     *     allowed object is
     *     {@link InskrivenPersonType }
     *     
     */
    public void setAgare(InskrivenPersonType value) {
        this.agare = value;
    }

}
