
package se.lantmateriet.namespace.distribution.produkter.inskrivning.v2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for InskrivningshandelsetypType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="InskrivningshandelsetypType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="Ddning"/>
 *     &lt;enumeration value="Exekutiv frsljning"/>
 *     &lt;enumeration value="Expropriation"/>
 *     &lt;enumeration value="Fastighetsreglering"/>
 *     &lt;enumeration value="Frordnande enligt fastighetsbildningslagen"/>
 *     &lt;enumeration value="Inlsen"/>
 *     &lt;enumeration value="Kommunrelax"/>
 *     &lt;enumeration value="Nedsttning"/>
 *     &lt;enumeration value="Relax"/>
 *     &lt;enumeration value="Sammanfring"/>
 *     &lt;enumeration value="Sammanlggning"/>
 *     &lt;enumeration value="Utbyte"/>
 *     &lt;enumeration value="Utstrckning"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "InskrivningshandelsetypType")
@XmlEnum
public enum InskrivningshandelsetypType {

    @XmlEnumValue("D\u00f6dning")
    DDNING("D\u00f6dning"),
    @XmlEnumValue("Exekutiv f\u00f6rs\u00e4ljning")
    EXEKUTIV_FRSLJNING("Exekutiv f\u00f6rs\u00e4ljning"),
    @XmlEnumValue("Expropriation")
    EXPROPRIATION("Expropriation"),
    @XmlEnumValue("Fastighetsreglering")
    FASTIGHETSREGLERING("Fastighetsreglering"),
    @XmlEnumValue("F\u00f6rordnande enligt fastighetsbildningslagen")
    FRORDNANDE_ENLIGT_FASTIGHETSBILDNINGSLAGEN("F\u00f6rordnande enligt fastighetsbildningslagen"),
    @XmlEnumValue("Inl\u00f6sen")
    INLSEN("Inl\u00f6sen"),
    @XmlEnumValue("Kommunrelax")
    KOMMUNRELAX("Kommunrelax"),
    @XmlEnumValue("Neds\u00e4ttning")
    NEDSTTNING("Neds\u00e4ttning"),
    @XmlEnumValue("Relax")
    RELAX("Relax"),
    @XmlEnumValue("Sammanf\u00f6ring")
    SAMMANFRING("Sammanf\u00f6ring"),
    @XmlEnumValue("Sammanl\u00e4ggning")
    SAMMANLGGNING("Sammanl\u00e4ggning"),
    @XmlEnumValue("Utbyte")
    UTBYTE("Utbyte"),
    @XmlEnumValue("Utstr\u00e4ckning")
    UTSTRCKNING("Utstr\u00e4ckning");
    private final String value;

    InskrivningshandelsetypType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static InskrivningshandelsetypType fromValue(String v) {
        for (InskrivningshandelsetypType c: InskrivningshandelsetypType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
