
package se.lantmateriet.namespace.distribution.produkter.inskrivning.v2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for InskrivningskontorType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="InskrivningskontorType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="Eksj"/>
 *     &lt;enumeration value="Hrnsand"/>
 *     &lt;enumeration value="Hssleholm"/>
 *     &lt;enumeration value="Mora"/>
 *     &lt;enumeration value="Norrtlje"/>
 *     &lt;enumeration value="Skellefte"/>
 *     &lt;enumeration value="Uddevalla"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "InskrivningskontorType")
@XmlEnum
public enum InskrivningskontorType {

    @XmlEnumValue("Eksj\u00f6")
    EKSJ("Eksj\u00f6"),
    @XmlEnumValue("H\u00e4rn\u00f6sand")
    HRNSAND("H\u00e4rn\u00f6sand"),
    @XmlEnumValue("H\u00e4ssleholm")
    HSSLEHOLM("H\u00e4ssleholm"),
    @XmlEnumValue("Mora")
    MORA("Mora"),
    @XmlEnumValue("Norrt\u00e4lje")
    NORRTLJE("Norrt\u00e4lje"),
    @XmlEnumValue("Skellefte\u00e5")
    SKELLEFTE("Skellefte\u00e5"),
    @XmlEnumValue("Uddevalla")
    UDDEVALLA("Uddevalla");
    private final String value;

    InskrivningskontorType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static InskrivningskontorType fromValue(String v) {
        for (InskrivningskontorType c: InskrivningskontorType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
