
package se.lantmateriet.namespace.distribution.produkter.inskrivning.v2;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for InteckningType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InteckningType">
 *   &lt;complexContent>
 *     &lt;extension base="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}InskrivenBelastningType">
 *       &lt;sequence>
 *         &lt;element name="Belopp" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}BeloppType"/>
 *         &lt;element name="pantbrevstyp" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}PantbrevstypType" minOccurs="0"/>
 *         &lt;element name="oklarInteckning" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="interregionalInteckning" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="Inteckningsanmarkning" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}InteckningsanmarkningType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Innehavsanteckning" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}InnehavsanteckningType" minOccurs="0"/>
 *         &lt;element name="Belastar" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}RegisterenhetsreferensArrayPropertyType" minOccurs="0"/>
 *         &lt;element name="AvsagUrsprungligen" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}RegisterenhetsreferensArrayPropertyType" minOccurs="0"/>
 *         &lt;element name="UtstrackningSoktI" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}RegisterenhetsreferensArrayPropertyType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InteckningType", propOrder = {
    "belopp",
    "pantbrevstyp",
    "oklarInteckning",
    "interregionalInteckning",
    "inteckningsanmarkning",
    "innehavsanteckning",
    "belastar",
    "avsagUrsprungligen",
    "utstrackningSoktI"
})
public class InteckningType
    extends InskrivenBelastningType
{

    @XmlElement(name = "Belopp", required = true)
    protected BeloppType belopp;
    protected PantbrevstypType pantbrevstyp;
    protected boolean oklarInteckning;
    protected boolean interregionalInteckning;
    @XmlElement(name = "Inteckningsanmarkning")
    protected List<InteckningsanmarkningType> inteckningsanmarkning;
    @XmlElement(name = "Innehavsanteckning")
    protected InnehavsanteckningType innehavsanteckning;
    @XmlElement(name = "Belastar")
    protected RegisterenhetsreferensArrayPropertyType belastar;
    @XmlElement(name = "AvsagUrsprungligen")
    protected RegisterenhetsreferensArrayPropertyType avsagUrsprungligen;
    @XmlElement(name = "UtstrackningSoktI")
    protected RegisterenhetsreferensArrayPropertyType utstrackningSoktI;

    /**
     * Gets the value of the belopp property.
     * 
     * @return
     *     possible object is
     *     {@link BeloppType }
     *     
     */
    public BeloppType getBelopp() {
        return belopp;
    }

    /**
     * Sets the value of the belopp property.
     * 
     * @param value
     *     allowed object is
     *     {@link BeloppType }
     *     
     */
    public void setBelopp(BeloppType value) {
        this.belopp = value;
    }

    /**
     * Gets the value of the pantbrevstyp property.
     * 
     * @return
     *     possible object is
     *     {@link PantbrevstypType }
     *     
     */
    public PantbrevstypType getPantbrevstyp() {
        return pantbrevstyp;
    }

    /**
     * Sets the value of the pantbrevstyp property.
     * 
     * @param value
     *     allowed object is
     *     {@link PantbrevstypType }
     *     
     */
    public void setPantbrevstyp(PantbrevstypType value) {
        this.pantbrevstyp = value;
    }

    /**
     * Gets the value of the oklarInteckning property.
     * 
     */
    public boolean isOklarInteckning() {
        return oklarInteckning;
    }

    /**
     * Sets the value of the oklarInteckning property.
     * 
     */
    public void setOklarInteckning(boolean value) {
        this.oklarInteckning = value;
    }

    /**
     * Gets the value of the interregionalInteckning property.
     * 
     */
    public boolean isInterregionalInteckning() {
        return interregionalInteckning;
    }

    /**
     * Sets the value of the interregionalInteckning property.
     * 
     */
    public void setInterregionalInteckning(boolean value) {
        this.interregionalInteckning = value;
    }

    /**
     * Gets the value of the inteckningsanmarkning property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the inteckningsanmarkning property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getInteckningsanmarkning().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link InteckningsanmarkningType }
     * 
     * 
     */
    public List<InteckningsanmarkningType> getInteckningsanmarkning() {
        if (inteckningsanmarkning == null) {
            inteckningsanmarkning = new ArrayList<InteckningsanmarkningType>();
        }
        return this.inteckningsanmarkning;
    }

    /**
     * Gets the value of the innehavsanteckning property.
     * 
     * @return
     *     possible object is
     *     {@link InnehavsanteckningType }
     *     
     */
    public InnehavsanteckningType getInnehavsanteckning() {
        return innehavsanteckning;
    }

    /**
     * Sets the value of the innehavsanteckning property.
     * 
     * @param value
     *     allowed object is
     *     {@link InnehavsanteckningType }
     *     
     */
    public void setInnehavsanteckning(InnehavsanteckningType value) {
        this.innehavsanteckning = value;
    }

    /**
     * Gets the value of the belastar property.
     * 
     * @return
     *     possible object is
     *     {@link RegisterenhetsreferensArrayPropertyType }
     *     
     */
    public RegisterenhetsreferensArrayPropertyType getBelastar() {
        return belastar;
    }

    /**
     * Sets the value of the belastar property.
     * 
     * @param value
     *     allowed object is
     *     {@link RegisterenhetsreferensArrayPropertyType }
     *     
     */
    public void setBelastar(RegisterenhetsreferensArrayPropertyType value) {
        this.belastar = value;
    }

    /**
     * Gets the value of the avsagUrsprungligen property.
     * 
     * @return
     *     possible object is
     *     {@link RegisterenhetsreferensArrayPropertyType }
     *     
     */
    public RegisterenhetsreferensArrayPropertyType getAvsagUrsprungligen() {
        return avsagUrsprungligen;
    }

    /**
     * Sets the value of the avsagUrsprungligen property.
     * 
     * @param value
     *     allowed object is
     *     {@link RegisterenhetsreferensArrayPropertyType }
     *     
     */
    public void setAvsagUrsprungligen(RegisterenhetsreferensArrayPropertyType value) {
        this.avsagUrsprungligen = value;
    }

    /**
     * Gets the value of the utstrackningSoktI property.
     * 
     * @return
     *     possible object is
     *     {@link RegisterenhetsreferensArrayPropertyType }
     *     
     */
    public RegisterenhetsreferensArrayPropertyType getUtstrackningSoktI() {
        return utstrackningSoktI;
    }

    /**
     * Sets the value of the utstrackningSoktI property.
     * 
     * @param value
     *     allowed object is
     *     {@link RegisterenhetsreferensArrayPropertyType }
     *     
     */
    public void setUtstrackningSoktI(RegisterenhetsreferensArrayPropertyType value) {
        this.utstrackningSoktI = value;
    }

}
