
package se.lantmateriet.namespace.distribution.produkter.inskrivning.v2;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the se.lantmateriet.namespace.distribution.produkter.inskrivning.v2 package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _InskrivningResponse_QNAME = new QName("http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1", "InskrivningResponse");
    private final static QName _InskrivenBelastning_QNAME = new QName("http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1", "InskrivenBelastning");
    private final static QName _Inskrivningsinformation_QNAME = new QName("http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1", "Inskrivningsinformation");
    private final static QName _InskrivetAgande_QNAME = new QName("http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1", "InskrivetAgande");
    private final static QName _Inteckning_QNAME = new QName("http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1", "Inteckning");
    private final static QName _Tomtrattsinnehav_QNAME = new QName("http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1", "Tomtrattsinnehav");
    private final static QName _Avtalsrattighet_QNAME = new QName("http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1", "Avtalsrattighet");
    private final static QName _Avtalsservitut_QNAME = new QName("http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1", "Avtalsservitut");
    private final static QName _Avtalsnyttjanderatt_QNAME = new QName("http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1", "Avtalsnyttjanderatt");
    private final static QName _Lagfart_QNAME = new QName("http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1", "Lagfart");
    private final static QName _GetInskrivningRequest_QNAME = new QName("http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1", "GetInskrivningRequest");
    private final static QName _Avkomstratt_QNAME = new QName("http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1", "Avkomstratt");
    private final static QName _Elkraftratt_QNAME = new QName("http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1", "Elkraftratt");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: se.lantmateriet.namespace.distribution.produkter.inskrivning.v2
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link InteckningType }
     * 
     */
    public InteckningType createInteckningType() {
        return new InteckningType();
    }

    /**
     * Create an instance of {@link TomtrattsinnehavType }
     * 
     */
    public TomtrattsinnehavType createTomtrattsinnehavType() {
        return new TomtrattsinnehavType();
    }

    /**
     * Create an instance of {@link AvkomstrattType }
     * 
     */
    public AvkomstrattType createAvkomstrattType() {
        return new AvkomstrattType();
    }

    /**
     * Create an instance of {@link ElkraftrattType }
     * 
     */
    public ElkraftrattType createElkraftrattType() {
        return new ElkraftrattType();
    }

    /**
     * Create an instance of {@link AvtalsnyttjanderattType }
     * 
     */
    public AvtalsnyttjanderattType createAvtalsnyttjanderattType() {
        return new AvtalsnyttjanderattType();
    }

    /**
     * Create an instance of {@link InskrivningsinformationType }
     * 
     */
    public InskrivningsinformationType createInskrivningsinformationType() {
        return new InskrivningsinformationType();
    }

    /**
     * Create an instance of {@link LagfartType }
     * 
     */
    public LagfartType createLagfartType() {
        return new LagfartType();
    }

    /**
     * Create an instance of {@link GetInskrivningRequestType }
     * 
     */
    public GetInskrivningRequestType createGetInskrivningRequestType() {
        return new GetInskrivningRequestType();
    }

    /**
     * Create an instance of {@link InskrivningResponseType }
     * 
     */
    public InskrivningResponseType createInskrivningResponseType() {
        return new InskrivningResponseType();
    }

    /**
     * Create an instance of {@link AvtalsservitutType }
     * 
     */
    public AvtalsservitutType createAvtalsservitutType() {
        return new AvtalsservitutType();
    }

    /**
     * Create an instance of {@link InskrivningshandelseType }
     * 
     */
    public InskrivningshandelseType createInskrivningshandelseType() {
        return new InskrivningshandelseType();
    }

    /**
     * Create an instance of {@link InskrivenBelastningreferensType }
     * 
     */
    public InskrivenBelastningreferensType createInskrivenBelastningreferensType() {
        return new InskrivenBelastningreferensType();
    }

    /**
     * Create an instance of {@link UtlandskAgareType }
     * 
     */
    public UtlandskAgareType createUtlandskAgareType() {
        return new UtlandskAgareType();
    }

    /**
     * Create an instance of {@link UtstrackningSoktIType }
     * 
     */
    public UtstrackningSoktIType createUtstrackningSoktIType() {
        return new UtstrackningSoktIType();
    }

    /**
     * Create an instance of {@link InskrivningMemberType }
     * 
     */
    public InskrivningMemberType createInskrivningMemberType() {
        return new InskrivningMemberType();
    }

    /**
     * Create an instance of {@link IRFastighetType }
     * 
     */
    public IRFastighetType createIRFastighetType() {
        return new IRFastighetType();
    }

    /**
     * Create an instance of {@link AdressType }
     * 
     */
    public AdressType createAdressType() {
        return new AdressType();
    }

    /**
     * Create an instance of {@link InskrivenPersonType }
     * 
     */
    public InskrivenPersonType createInskrivenPersonType() {
        return new InskrivenPersonType();
    }

    /**
     * Create an instance of {@link InskrivningRegisterenhetFilterType }
     * 
     */
    public InskrivningRegisterenhetFilterType createInskrivningRegisterenhetFilterType() {
        return new InskrivningRegisterenhetFilterType();
    }

    /**
     * Create an instance of {@link AvgaldType }
     * 
     */
    public AvgaldType createAvgaldType() {
        return new AvgaldType();
    }

    /**
     * Create an instance of {@link LagfartsanmarkningType }
     * 
     */
    public LagfartsanmarkningType createLagfartsanmarkningType() {
        return new LagfartsanmarkningType();
    }

    /**
     * Create an instance of {@link FangType }
     * 
     */
    public FangType createFangType() {
        return new FangType();
    }

    /**
     * Create an instance of {@link RegisterenhetsreferensType }
     * 
     */
    public RegisterenhetsreferensType createRegisterenhetsreferensType() {
        return new RegisterenhetsreferensType();
    }

    /**
     * Create an instance of {@link InteckningsanmarkningType }
     * 
     */
    public InteckningsanmarkningType createInteckningsanmarkningType() {
        return new InteckningsanmarkningType();
    }

    /**
     * Create an instance of {@link PagaendeArendeType }
     * 
     */
    public PagaendeArendeType createPagaendeArendeType() {
        return new PagaendeArendeType();
    }

    /**
     * Create an instance of {@link UtlandsadressType }
     * 
     */
    public UtlandsadressType createUtlandsadressType() {
        return new UtlandsadressType();
    }

    /**
     * Create an instance of {@link InnehavsanteckningType }
     * 
     */
    public InnehavsanteckningType createInnehavsanteckningType() {
        return new InnehavsanteckningType();
    }

    /**
     * Create an instance of {@link BrakType }
     * 
     */
    public BrakType createBrakType() {
        return new BrakType();
    }

    /**
     * Create an instance of {@link InskrivetAgandeArrayPropertyType }
     * 
     */
    public InskrivetAgandeArrayPropertyType createInskrivetAgandeArrayPropertyType() {
        return new InskrivetAgandeArrayPropertyType();
    }

    /**
     * Create an instance of {@link AvserreferensType }
     * 
     */
    public AvserreferensType createAvserreferensType() {
        return new AvserreferensType();
    }

    /**
     * Create an instance of {@link RegisterenhetsreferensArrayPropertyType }
     * 
     */
    public RegisterenhetsreferensArrayPropertyType createRegisterenhetsreferensArrayPropertyType() {
        return new RegisterenhetsreferensArrayPropertyType();
    }

    /**
     * Create an instance of {@link OmradeType }
     * 
     */
    public OmradeType createOmradeType() {
        return new OmradeType();
    }

    /**
     * Create an instance of {@link TomtrattsinnehavsanmarkningType }
     * 
     */
    public TomtrattsinnehavsanmarkningType createTomtrattsinnehavsanmarkningType() {
        return new TomtrattsinnehavsanmarkningType();
    }

    /**
     * Create an instance of {@link BelastarType }
     * 
     */
    public BelastarType createBelastarType() {
        return new BelastarType();
    }

    /**
     * Create an instance of {@link PersonType }
     * 
     */
    public PersonType createPersonType() {
        return new PersonType();
    }

    /**
     * Create an instance of {@link BeloppType }
     * 
     */
    public BeloppType createBeloppType() {
        return new BeloppType();
    }

    /**
     * Create an instance of {@link InteckningsreferensType }
     * 
     */
    public InteckningsreferensType createInteckningsreferensType() {
        return new InteckningsreferensType();
    }

    /**
     * Create an instance of {@link KopeskillingType }
     * 
     */
    public KopeskillingType createKopeskillingType() {
        return new KopeskillingType();
    }

    /**
     * Create an instance of {@link GruppinformationType }
     * 
     */
    public GruppinformationType createGruppinformationType() {
        return new GruppinformationType();
    }

    /**
     * Create an instance of {@link TomtrattsupplatelseType }
     * 
     */
    public TomtrattsupplatelseType createTomtrattsupplatelseType() {
        return new TomtrattsupplatelseType();
    }

    /**
     * Create an instance of {@link TomtrattsupplatelseanmarkningType }
     * 
     */
    public TomtrattsupplatelseanmarkningType createTomtrattsupplatelseanmarkningType() {
        return new TomtrattsupplatelseanmarkningType();
    }

    /**
     * Create an instance of {@link OrganisationType }
     * 
     */
    public OrganisationType createOrganisationType() {
        return new OrganisationType();
    }

    /**
     * Create an instance of {@link OverlatelseType }
     * 
     */
    public OverlatelseType createOverlatelseType() {
        return new OverlatelseType();
    }

    /**
     * Create an instance of {@link AnteckningsanmarkningType }
     * 
     */
    public AnteckningsanmarkningType createAnteckningsanmarkningType() {
        return new AnteckningsanmarkningType();
    }

    /**
     * Create an instance of {@link AvtalsrattighetsanmarkningType }
     * 
     */
    public AvtalsrattighetsanmarkningType createAvtalsrattighetsanmarkningType() {
        return new AvtalsrattighetsanmarkningType();
    }

    /**
     * Create an instance of {@link NyttBeslutType }
     * 
     */
    public NyttBeslutType createNyttBeslutType() {
        return new NyttBeslutType();
    }

    /**
     * Create an instance of {@link InskrivningDatasetType }
     * 
     */
    public InskrivningDatasetType createInskrivningDatasetType() {
        return new InskrivningDatasetType();
    }

    /**
     * Create an instance of {@link AnteckningType }
     * 
     */
    public AnteckningType createAnteckningType() {
        return new AnteckningType();
    }

    /**
     * Create an instance of {@link FastighetsagandeforandringType }
     * 
     */
    public FastighetsagandeforandringType createFastighetsagandeforandringType() {
        return new FastighetsagandeforandringType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link InskrivningResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1", name = "InskrivningResponse", substitutionHeadNamespace = "http://www.opengis.net/gml/3.2", substitutionHeadName = "AbstractFeature")
    public JAXBElement<InskrivningResponseType> createInskrivningResponse(InskrivningResponseType value) {
        return new JAXBElement<InskrivningResponseType>(_InskrivningResponse_QNAME, InskrivningResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link InskrivenBelastningType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1", name = "InskrivenBelastning")
    public JAXBElement<InskrivenBelastningType> createInskrivenBelastning(InskrivenBelastningType value) {
        return new JAXBElement<InskrivenBelastningType>(_InskrivenBelastning_QNAME, InskrivenBelastningType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link InskrivningsinformationType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1", name = "Inskrivningsinformation", substitutionHeadNamespace = "http://www.opengis.net/gml/3.2", substitutionHeadName = "AbstractFeature")
    public JAXBElement<InskrivningsinformationType> createInskrivningsinformation(InskrivningsinformationType value) {
        return new JAXBElement<InskrivningsinformationType>(_Inskrivningsinformation_QNAME, InskrivningsinformationType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link InskrivetAgandeType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1", name = "InskrivetAgande")
    public JAXBElement<InskrivetAgandeType> createInskrivetAgande(InskrivetAgandeType value) {
        return new JAXBElement<InskrivetAgandeType>(_InskrivetAgande_QNAME, InskrivetAgandeType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link InteckningType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1", name = "Inteckning", substitutionHeadNamespace = "http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1", substitutionHeadName = "InskrivenBelastning")
    public JAXBElement<InteckningType> createInteckning(InteckningType value) {
        return new JAXBElement<InteckningType>(_Inteckning_QNAME, InteckningType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TomtrattsinnehavType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1", name = "Tomtrattsinnehav", substitutionHeadNamespace = "http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1", substitutionHeadName = "InskrivetAgande")
    public JAXBElement<TomtrattsinnehavType> createTomtrattsinnehav(TomtrattsinnehavType value) {
        return new JAXBElement<TomtrattsinnehavType>(_Tomtrattsinnehav_QNAME, TomtrattsinnehavType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AvtalsrattighetType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1", name = "Avtalsrattighet", substitutionHeadNamespace = "http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1", substitutionHeadName = "InskrivenBelastning")
    public JAXBElement<AvtalsrattighetType> createAvtalsrattighet(AvtalsrattighetType value) {
        return new JAXBElement<AvtalsrattighetType>(_Avtalsrattighet_QNAME, AvtalsrattighetType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AvtalsservitutType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1", name = "Avtalsservitut", substitutionHeadNamespace = "http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1", substitutionHeadName = "Avtalsrattighet")
    public JAXBElement<AvtalsservitutType> createAvtalsservitut(AvtalsservitutType value) {
        return new JAXBElement<AvtalsservitutType>(_Avtalsservitut_QNAME, AvtalsservitutType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AvtalsnyttjanderattType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1", name = "Avtalsnyttjanderatt", substitutionHeadNamespace = "http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1", substitutionHeadName = "Avtalsrattighet")
    public JAXBElement<AvtalsnyttjanderattType> createAvtalsnyttjanderatt(AvtalsnyttjanderattType value) {
        return new JAXBElement<AvtalsnyttjanderattType>(_Avtalsnyttjanderatt_QNAME, AvtalsnyttjanderattType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link LagfartType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1", name = "Lagfart", substitutionHeadNamespace = "http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1", substitutionHeadName = "InskrivetAgande")
    public JAXBElement<LagfartType> createLagfart(LagfartType value) {
        return new JAXBElement<LagfartType>(_Lagfart_QNAME, LagfartType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetInskrivningRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1", name = "GetInskrivningRequest")
    public JAXBElement<GetInskrivningRequestType> createGetInskrivningRequest(GetInskrivningRequestType value) {
        return new JAXBElement<GetInskrivningRequestType>(_GetInskrivningRequest_QNAME, GetInskrivningRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AvkomstrattType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1", name = "Avkomstratt", substitutionHeadNamespace = "http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1", substitutionHeadName = "Avtalsrattighet")
    public JAXBElement<AvkomstrattType> createAvkomstratt(AvkomstrattType value) {
        return new JAXBElement<AvkomstrattType>(_Avkomstratt_QNAME, AvkomstrattType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ElkraftrattType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1", name = "Elkraftratt", substitutionHeadNamespace = "http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1", substitutionHeadName = "Avtalsrattighet")
    public JAXBElement<ElkraftrattType> createElkraftratt(ElkraftrattType value) {
        return new JAXBElement<ElkraftrattType>(_Elkraftratt_QNAME, ElkraftrattType.class, null, value);
    }

}
