
package se.lantmateriet.namespace.distribution.produkter.registerbeteckning.v4;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for BeteckningsstatusType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="BeteckningsstatusType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="Gllande"/>
 *     &lt;enumeration value="Ledig"/>
 *     &lt;enumeration value="Omregistrerad"/>
 *     &lt;enumeration value="Reserverad"/>
 *     &lt;enumeration value="Sprrad"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "BeteckningsstatusType", namespace = "http://namespace.lantmateriet.se/distribution/produkter/registerbeteckning/v4")
@XmlEnum
public enum BeteckningsstatusType {

    @XmlEnumValue("G\u00e4llande")
    GLLANDE("G\u00e4llande"),
    @XmlEnumValue("Ledig")
    LEDIG("Ledig"),
    @XmlEnumValue("Omregistrerad")
    OMREGISTRERAD("Omregistrerad"),
    @XmlEnumValue("Reserverad")
    RESERVERAD("Reserverad"),
    @XmlEnumValue("Sp\u00e4rrad")
    SPRRAD("Sp\u00e4rrad");
    private final String value;

    BeteckningsstatusType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static BeteckningsstatusType fromValue(String v) {
        for (BeteckningsstatusType c: BeteckningsstatusType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
