
package se.lantmateriet.namespace.distribution.produkter.registerbeteckning.v4;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for RegisterenhetsreferensType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RegisterenhetsreferensType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="objektidentitet" type="{http://namespace.lantmateriet.se/distribution/produkter/registerbeteckning/v4}UUIDType"/>
 *         &lt;element name="objektstatus" type="{http://namespace.lantmateriet.se/distribution/produkter/registerbeteckning/v4}RegisterenhetsstatusType"/>
 *         &lt;element name="typ" type="{http://namespace.lantmateriet.se/distribution/produkter/registerbeteckning/v4}RegisterenhetstypType"/>
 *         &lt;element name="Enhetsomrade" type="{http://namespace.lantmateriet.se/distribution/produkter/registerbeteckning/v4}EnhetsomradeType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RegisterenhetsreferensType", namespace = "http://namespace.lantmateriet.se/distribution/produkter/registerbeteckning/v4", propOrder = {
    "objektidentitet",
    "objektstatus",
    "typ",
    "enhetsomrade"
})
public class RegisterenhetsreferensType {

    @XmlElement(required = true)
    protected String objektidentitet;
    @XmlElement(required = true)
    protected RegisterenhetsstatusType objektstatus;
    @XmlElement(required = true)
    protected RegisterenhetstypType typ;
    @XmlElement(name = "Enhetsomrade")
    protected List<EnhetsomradeType> enhetsomrade;

    /**
     * Gets the value of the objektidentitet property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getObjektidentitet() {
        return objektidentitet;
    }

    /**
     * Sets the value of the objektidentitet property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setObjektidentitet(String value) {
        this.objektidentitet = value;
    }

    /**
     * Gets the value of the objektstatus property.
     * 
     * @return
     *     possible object is
     *     {@link RegisterenhetsstatusType }
     *     
     */
    public RegisterenhetsstatusType getObjektstatus() {
        return objektstatus;
    }

    /**
     * Sets the value of the objektstatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link RegisterenhetsstatusType }
     *     
     */
    public void setObjektstatus(RegisterenhetsstatusType value) {
        this.objektstatus = value;
    }

    /**
     * Gets the value of the typ property.
     * 
     * @return
     *     possible object is
     *     {@link RegisterenhetstypType }
     *     
     */
    public RegisterenhetstypType getTyp() {
        return typ;
    }

    /**
     * Sets the value of the typ property.
     * 
     * @param value
     *     allowed object is
     *     {@link RegisterenhetstypType }
     *     
     */
    public void setTyp(RegisterenhetstypType value) {
        this.typ = value;
    }

    /**
     * Gets the value of the enhetsomrade property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the enhetsomrade property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getEnhetsomrade().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link EnhetsomradeType }
     * 
     * 
     */
    public List<EnhetsomradeType> getEnhetsomrade() {
        if (enhetsomrade == null) {
            enhetsomrade = new ArrayList<EnhetsomradeType>();
        }
        return this.enhetsomrade;
    }

}
