package com.nordicpeak.flowengine.evaluators.maritalstatusquerystateevaluator;

import se.unlogic.standardutils.dao.AnnotatedDAOWrapper;
import se.unlogic.webutils.http.BeanRequestPopulator;
import se.unlogic.webutils.populators.annotated.AnnotatedRequestPopulator;

import com.nordicpeak.flowengine.evaluators.baseevaluator.BaseEvaluatorCRUD;

public class MaritalStatusQueryStateEvaluatorCRUD extends BaseEvaluatorCRUD<MaritalStatusQueryStateEvaluator, MaritalStatusQueryStateEvaluationProviderModule> {

	private static final BeanRequestPopulator<MaritalStatusQueryStateEvaluator> POPULATOR = new AnnotatedRequestPopulator<MaritalStatusQueryStateEvaluator>(MaritalStatusQueryStateEvaluator.class);

	public MaritalStatusQueryStateEvaluatorCRUD(Class<MaritalStatusQueryStateEvaluator> beanClass, AnnotatedDAOWrapper<MaritalStatusQueryStateEvaluator, Integer> evaluatorDAO, MaritalStatusQueryStateEvaluationProviderModule callback) {

		super(beanClass, evaluatorDAO, POPULATOR, "MaritalStatusQueryStateEvaluator", "marital status query state evaluator", null, callback);
	}

}
