package com.nordicpeak.flowengine.evaluators.municipalitycode;

import se.unlogic.standardutils.dao.AnnotatedDAOWrapper;
import se.unlogic.webutils.http.BeanRequestPopulator;
import se.unlogic.webutils.populators.annotated.AnnotatedRequestPopulator;

import com.nordicpeak.flowengine.evaluators.baseevaluator.BaseEvaluatorCRUD;

public class MunicipalityCodeQueryStateEvaluatorCRUD extends BaseEvaluatorCRUD<MunicipalityCodeQueryStateEvaluator, MunicipalityCodeQueryStateEvaluationProviderModule> {
	
	private static final BeanRequestPopulator<MunicipalityCodeQueryStateEvaluator> POPULATOR = new AnnotatedRequestPopulator<MunicipalityCodeQueryStateEvaluator>(MunicipalityCodeQueryStateEvaluator.class);
	
	public MunicipalityCodeQueryStateEvaluatorCRUD(Class<MunicipalityCodeQueryStateEvaluator> beanClass, AnnotatedDAOWrapper<MunicipalityCodeQueryStateEvaluator, Integer> evaluatorDAO, MunicipalityCodeQueryStateEvaluationProviderModule callback) {
		
		super(beanClass, evaluatorDAO, POPULATOR, "MunicipalityCodeQueryStateEvaluator", "municipality code query state evaluator", null, callback);
	}
}
