<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>

	<xsl:include href="AccountModuleTemplates.xsl"/>
	
	<xsl:variable name="i18n.Validation.RequiredField">Du mste fylla i fltet:</xsl:variable>
	<xsl:variable name="i18n.Validation.InvalidFormat">Felaktigt format p fltet:</xsl:variable>
	<xsl:variable name="i18n.Validation.TooShort">Fr kort innehll i fltet:</xsl:variable>
	<xsl:variable name="i18n.Validation.TooLong">Fr lngt innehll i fltet:</xsl:variable>	
	<xsl:variable name="i18n.Validation.UnknownError">Oknt fel p fltet:</xsl:variable>
	<xsl:variable name="i18n.Validation.UnknownFault">Ett oknt valideringsfel har uppsttt.</xsl:variable>
	<xsl:variable name="i18n.Validation.ChartNotFound">Den begrda kontoplanen hittades inte.</xsl:variable>
	<xsl:variable name="i18n.Validation.AccountNotFound">Det begrda kontot hittades inte.</xsl:variable>
	
	<xsl:variable name="i18n.Add">Lgg till</xsl:variable>
	<xsl:variable name="i18n.Update">ndra</xsl:variable>
	<xsl:variable name="i18n.Delete">Ta bort</xsl:variable>
	<xsl:variable name="i18n.DeleteConfirm">r du sker p att du vill ta bort</xsl:variable>
	<xsl:variable name="i18n.SaveChanges">Spara ndringar</xsl:variable>
	<xsl:variable name="i18n.Cancel">Avbryt</xsl:variable>
	<xsl:variable name="i18n.CancelConfirm">r du sker p att du vill avbryta</xsl:variable>
	<xsl:variable name="i18n.Back">Bakt</xsl:variable>
	
	<xsl:variable name="i18n.ListCharts.description">Nedan visas samtliga kontoplaner.</xsl:variable>
	<xsl:variable name="i18n.Charts">Kontoplaner</xsl:variable>
	<xsl:variable name="i18n.Charts.Archived">Arkiverade kontoplaner</xsl:variable>
	<xsl:variable name="i18n.NoCharts">Inga kontoplaner hittades</xsl:variable>
	
	<xsl:variable name="i18n.ShowChart">Kontoplan</xsl:variable>
	<xsl:variable name="i18n.AddChart">Lgg till kontoplan</xsl:variable>
	<xsl:variable name="i18n.UpdateChart">ndra kontoplan</xsl:variable>
	<xsl:variable name="i18n.DeleteChartBlockedInUse">Kan inte ta bort kontoplan som anvnds eller har transaktioner</xsl:variable>
	
	<xsl:variable name="i18n.Chart.name">Namn</xsl:variable>
	<xsl:variable name="i18n.Chart.archived">Arkiverad</xsl:variable>
	
	<xsl:variable name="i18n.Yes">Ja</xsl:variable>
	<xsl:variable name="i18n.No">Nej</xsl:variable>
	<xsl:variable name="i18n.Row">rad</xsl:variable>
	
	<xsl:variable name="i18n.AccountNumberPartDefinitions">Kontodelar</xsl:variable>
	<xsl:variable name="i18n.AccountNumberPartDefinition">Kontodel</xsl:variable>
	<xsl:variable name="i18n.AccountNumberPartDefinition.name">Namn</xsl:variable>
	<xsl:variable name="i18n.AccountNumberPartDefinition.Length">Max lngd</xsl:variable>
	<xsl:variable name="i18n.AccountNumberPartDefinition.length">max lngd</xsl:variable>
	<xsl:variable name="i18n.AccountNumberPartDefinition.required">Obligatorisk</xsl:variable>
	<xsl:variable name="i18n.NoAccountNumberPartDefinition">Inga kontodelar hittades</xsl:variable>
	<xsl:variable name="i18n.AccountNumberPartDefinitions.Add">Lgg till kontodel</xsl:variable>
	<xsl:variable name="i18n.AccountNumberPartDefinitions.Move">Flytta kontodel</xsl:variable>
	<xsl:variable name="i18n.AccountNumberPartDefinitions.Delete">Ta bort kontodel</xsl:variable>
	
	<xsl:variable name="i18n.ShowAccount">Konto</xsl:variable>
	<xsl:variable name="i18n.AddAccount">Lgg till konto</xsl:variable>
	<xsl:variable name="i18n.UpdateAccount">ndra konto</xsl:variable>
	<xsl:variable name="i18n.DeleteAccountBlockedInUse">Kan inte ta bort konton som anvnds eller har transaktioner</xsl:variable>
	
	<xsl:variable name="i18n.Accounts">Konton</xsl:variable>
	<xsl:variable name="i18n.NoAccounts">Inga konton hittades</xsl:variable>
	<xsl:variable name="i18n.Accounts.Balance">Balanskonto</xsl:variable>
	<xsl:variable name="i18n.Accounts.Income">Intktskonton</xsl:variable>
	<xsl:variable name="i18n.Accounts.VAT">Momskonton</xsl:variable>
	<xsl:variable name="i18n.Accounts.Archived.Income">Arkiverade intktskonton</xsl:variable>
	<xsl:variable name="i18n.Accounts.Archived.VAT">Arkiverade momskonton</xsl:variable>
	<xsl:variable name="i18n.Account.name">Namn</xsl:variable>
	<xsl:variable name="i18n.Account.number">Kontering</xsl:variable>
	<xsl:variable name="i18n.Account.vat">Momssats</xsl:variable>
	<xsl:variable name="i18n.Account.archived">Arkiverad</xsl:variable>
	
	<xsl:variable name="i18n.AccountNumberParts">Kontering</xsl:variable>
	<xsl:variable name="i18n.AccountNumberPart">Kontering</xsl:variable>
	<xsl:variable name="i18n.AccountNumberPart.definition">Kontodel</xsl:variable>
	<xsl:variable name="i18n.AccountNumberPart.value">Vrde</xsl:variable>
	
	<xsl:variable name="i18n.AutoSortAlternatives.Select">Sortera..</xsl:variable>
	<xsl:variable name="i18n.AutoSortAlternatives.Descending">Sortera A-</xsl:variable>
	<xsl:variable name="i18n.AutoSortAlternatives.Ascending">Sortera -A</xsl:variable>
	
</xsl:stylesheet>
