<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>

	<xsl:include href="TransactionModuleTemplates.xsl"/>
	
	<xsl:variable name="i18n.Validation.RequiredField">Du mste fylla i fltet:</xsl:variable>
	<xsl:variable name="i18n.Validation.InvalidFormat">Felaktigt format p fltet:</xsl:variable>
	<xsl:variable name="i18n.Validation.TooShort">Fr kort innehll i fltet:</xsl:variable>
	<xsl:variable name="i18n.Validation.TooLong">Fr lngt innehll i fltet:</xsl:variable>	
	<xsl:variable name="i18n.Validation.UnknownError">Oknt fel p fltet:</xsl:variable>
	<xsl:variable name="i18n.Validation.UnknownFault">Ett oknt valideringsfel har uppsttt.</xsl:variable>
	<xsl:variable name="i18n.Validation.ChartNotFound">Den begrda kontoplanen hittades inte.</xsl:variable>
	<xsl:variable name="i18n.Validation.AccountNotFound">Det begrda kontot hittades inte.</xsl:variable>
	
	<xsl:variable name="i18n.Back">Bakt</xsl:variable>
	
	<xsl:variable name="i18n.ListCharts.description">Nedan visas samtliga kontoplaner. Vlj en kontoplan fr att visa dess transaktioner.</xsl:variable>
	<xsl:variable name="i18n.Charts">Transaktioner</xsl:variable>
	<xsl:variable name="i18n.Charts.Archived">Arkiverade kontoplaner</xsl:variable>
	<xsl:variable name="i18n.NoCharts">Inga kontoplaner hittades</xsl:variable>
	
	<xsl:variable name="i18n.ShowChart">Kontoplan</xsl:variable>
	<xsl:variable name="i18n.ShowChart.description">Klicka p ett konto fr att endast se transaktioner fr det kontot.</xsl:variable>
	
	<xsl:variable name="i18n.Chart.name">Namn</xsl:variable>
	
	
	<xsl:variable name="i18n.ShowAccount">Konto</xsl:variable>
	
	
	<xsl:variable name="i18n.NoAccounts">Inga konton hittades</xsl:variable>
	<xsl:variable name="i18n.Accounts.Balance">Balanskonto</xsl:variable>
	<xsl:variable name="i18n.Accounts.Income">Intktskonton</xsl:variable>
	<xsl:variable name="i18n.Accounts.VAT">Momskonton</xsl:variable>
	<xsl:variable name="i18n.Account.name">Namn</xsl:variable>
	<xsl:variable name="i18n.Account.number">Kontering</xsl:variable>
	<xsl:variable name="i18n.Account.vat">Momssats</xsl:variable>
	
	<xsl:variable name="i18n.AccountNumberPart">Kontering</xsl:variable>
	
	<xsl:variable name="i18n.Transactions">Transaktioner</xsl:variable>
	
	<xsl:variable name="i18n.DataTable.decimal">,</xsl:variable>
	<xsl:variable name="i18n.DataTable.emptyTable">Finns inga transaktioner att visa</xsl:variable>
	<xsl:variable name="i18n.DataTable.info">Visar _START_ till _END_ av _TOTAL_ transaktioner</xsl:variable>
	<xsl:variable name="i18n.DataTable.infoEmpty">Visar 0 till 0 av 0 transaktioner</xsl:variable>
	<xsl:variable name="i18n.DataTable.infoFiltered">(filtrerat frn totalt _MAX_ transaktioner)</xsl:variable>
	<xsl:variable name="i18n.DataTable.infoPostFix"/>
	<xsl:variable name="i18n.DataTable.lengthMenu">Visa _MENU_ transaktioner</xsl:variable>
	<xsl:variable name="i18n.DataTable.loadingRecords">Hmtar transaktioner...</xsl:variable>
	<xsl:variable name="i18n.DataTable.processing">Bearbetar...</xsl:variable>
	<xsl:variable name="i18n.DataTable.search">Sk:</xsl:variable>
	<xsl:variable name="i18n.DataTable.zeroRecords">Inga matchande transaktioner hittades</xsl:variable>
	<xsl:variable name="i18n.DataTable.fetchError">Ett fel uppstod vid hmtning av transaktioner, vnligen frsk igen senare.</xsl:variable>
	<xsl:variable name="i18n.DataTable.paginate.first">Frsta</xsl:variable>
	<xsl:variable name="i18n.DataTable.paginate.last">Sista</xsl:variable>
	<xsl:variable name="i18n.DataTable.paginate.next">Nsta</xsl:variable>
	<xsl:variable name="i18n.DataTable.paginate.previous">Fregende</xsl:variable>
	<xsl:variable name="i18n.DataTable.aria.sortAscending">: aktivera fr att sortera kolumnen stigande</xsl:variable>
	<xsl:variable name="i18n.DataTable.aria.sortDescending">: aktivera fr att sortera kolumnen fallande</xsl:variable>
	
	<xsl:variable name="i18n.Column.transactionID">ID</xsl:variable>
	<xsl:variable name="i18n.Column.account">Konto</xsl:variable>
	<xsl:variable name="i18n.Column.added">Datum</xsl:variable>
	<xsl:variable name="i18n.Column.sourceType">Klla</xsl:variable>
	<xsl:variable name="i18n.Column.sourceID">Kll ID</xsl:variable>
	<xsl:variable name="i18n.Column.amount">Belopp</xsl:variable>
	<xsl:variable name="i18n.Column.description">Beskrivning</xsl:variable>
	<xsl:variable name="i18n.Column.user">Anvndare</xsl:variable>
	
	<xsl:variable name="i18n.Column.sourceType.flowInstance">rende</xsl:variable>
	
	<xsl:variable name="i18n.ExportToExcel">Exportera till Excel</xsl:variable>
	<xsl:variable name="i18n.fromDate">Frn</xsl:variable>
	<xsl:variable name="i18n.toDate">Till</xsl:variable>
	
	<xsl:variable name="i18n.ExportTransactionFile">Exportera transaktionsfil</xsl:variable>
</xsl:stylesheet>
