package com.nordicpeak.flowengine.queries.pricetablequery.beans;

import java.io.Serializable;
import java.math.BigDecimal;

import org.w3c.dom.Document;
import org.w3c.dom.Element;

import se.unlogic.standardutils.xml.XMLElement;

import com.nordicpeak.flowengine.queries.basetablequery.interfaces.TableColumn;

@XMLElement
public class PriceTableQueryColumnDummy implements Serializable, TableColumn {

	private static final long serialVersionUID = 749430645499080557L;

	@XMLElement
	private Integer columnID;

	@XMLElement
	private String label;

	private BigDecimal sum;

	public PriceTableQueryColumnDummy() {}

	public PriceTableQueryColumnDummy(Integer columnID, String label) {
		super();

		this.columnID = columnID;
		this.label = label;
	}

	@Override
	public Integer getColumnID() {
		return columnID;
	}

	public void setColumnID(Integer columnID) {
		this.columnID = columnID;
	}

	@Override
	public String getLabel() {
		return label;
	}

	public void setLabel(String label) {
		this.label = label;
	}

	@Override
	public boolean isSummarise() {
		return true;
	}

	@Override
	public BigDecimal getSum() {
		return sum;
	}

	public void setSum(BigDecimal sum) {
		this.sum = sum;
	}

	@Override
	public Element toXML(Document doc) {

		return null;
	}

}
