var SendMessageFormi18n = {
		SubmittingMessage: "not set",
}

$(function() {
	
	lockUnlockCheckboxes();
	
	$("#toPaymentPendingWithEmail").on("change", function(){
		lockUnlockCheckboxes();
	});
	
	$('#sendMessageForm').on("submit", function(){
		
		var $submitButton = $(this).find('input[type="submit"]');
		
		$submitButton.parent().addClass('spinning');
		$submitButton.prop({
			disabled: true,
			value: SendMessageFormi18n.SubmittingMessage
		});
	});
	
});


function lockUnlockCheckboxes() {
	
	if($("#toPaymentPendingWithEmail").is(":checked")){
		
		$("#toDigital, #toAnalogWithEmail").attr("disabled", true).attr("checked", false);
	
	}else{
	
		$("#toDigital, #toAnalogWithEmail").attr("disabled", false);
	}
}

function commentModal(event, button, prepareModal) {
	event.preventDefault();
	event.stopPropagation();

	var form = $(button).closest("form"); 
	var modal = form.find(".comment-modal");
	
	var message = form.find("input[name='comment']");
	var waitingPeriod = form.find("input[name='selectedWaitingPeriod']");
	
	var config = {
			otherClose: '.close',
			
			beforeOpen: function() {
				modal.find("textarea[name = 'message']").val(message.val());
				modal.find("input[name = 'waitingPeriod']").val(waitingPeriod.val());
				if (prepareModal) prepareModal(form, modal);
			},

			afterContent: function() {
				var feather = this;
				feather.$content.removeClass("no-sections");
				
				feather.$content.find("input.close").on("click", function(){
					feather.$content.addClass("submit");
				});
			},
			
			beforeClose: function() {
				var feather = this;
				
				message.val(feather.$content.find("textarea[name = 'message']").val());
				
				waitingPeriod.val(feather.$content.find("input[name = 'waitingPeriod']").val());
				
			},
			
			afterClose: function() {
				var feather = this;
				
				if (feather.$content.hasClass('submit')) {
				
					form.trigger("submit");
				}
			},
	};
	
	$.featherlight(modal, config);
}

function populateAndSubmitForm(event, button) {
	event.preventDefault();
	event.stopPropagation();
	var form = $(button).closest("form"); 
	var table = $('#queueslots').DataTable();
	var rows = table.rows({ selected: true });
	var cells = table.cells(rows.toArray()[0], "queueSlotID:name");
	var selectedIDs = cells.data().toArray();
	
	
	selectedIDs.forEach(function(selectedID) {
		
		form.append('<input type="hidden" name="queueSlotID" value="' + selectedID + '">');
	});
	
	form.append('<input type="hidden" name="loadMessageForm" value="true">');
	
	form.trigger("submit");
}

function prepareQueueSlotsModal(form, modal) {
	
	var table = $('#queueslots').DataTable();
	var rows = table.rows({ selected: true });
	var cells = table.cells(rows.toArray()[0], "queueSlotID:name");
	var selectedIDs = cells.data().toArray();
	
	form.find('input[name="queueSlotID"]').remove();
	
	var queueSlotCount = 0;
	
	selectedIDs.forEach(function(selectedID) {
		
		form.append('<input type="hidden" name="queueSlotID" value="' + selectedID + '">');
		
		queueSlotCount++;
	});
	
	modal.find('#queueSlotCount').text(queueSlotCount);
}