package com.nordicpeak.flowengine.queue.validationerrors;

import se.unlogic.standardutils.validation.ValidationError;
import se.unlogic.standardutils.xml.XMLElement;

import com.nordicpeak.flowengine.queue.beans.QueueSlot;

@XMLElement(name = "validationError")
public class InvalidRecipientEmailValidationError extends ValidationError {

	private static final long serialVersionUID = 8171385648215638303L;

	@XMLElement
	private QueueSlot slot;

	@XMLElement
	private String email;

	public InvalidRecipientEmailValidationError(QueueSlot slot, String email) {

		super("InvalidRecipientEmail");

		this.slot = slot;
		this.email = email;
	}

	public QueueSlot getSlot() {

		return slot;
	}
}
