
package se.bolagsverket.schema.ssbt.metadata;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.datatype.XMLGregorianCalendar;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the se.bolagsverket.schema.ssbt.metadata package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _Anvandningsomrade_QNAME = new QName("http://schema.bolagsverket.se/ssbt/metadata", "Anvandningsomrade");
    private final static QName _PartId_QNAME = new QName("http://schema.bolagsverket.se/ssbt/metadata", "PartId");
    private final static QName _JuridiskForm_QNAME = new QName("http://schema.bolagsverket.se/ssbt/metadata", "JuridiskForm");
    private final static QName _JuridiskFormKod_QNAME = new QName("http://schema.bolagsverket.se/ssbt/metadata", "JuridiskFormKod");
    private final static QName _ServiceNamn_QNAME = new QName("http://schema.bolagsverket.se/ssbt/metadata", "ServiceNamn");
    private final static QName _TTL_QNAME = new QName("http://schema.bolagsverket.se/ssbt/metadata", "TTL");
    private final static QName _Datakonsument_QNAME = new QName("http://schema.bolagsverket.se/ssbt/metadata", "Datakonsument");
    private final static QName _Service_QNAME = new QName("http://schema.bolagsverket.se/ssbt/metadata", "Service");
    private final static QName _PartNamn_QNAME = new QName("http://schema.bolagsverket.se/ssbt/metadata", "PartNamn");
    private final static QName _Dataproducent_QNAME = new QName("http://schema.bolagsverket.se/ssbt/metadata", "Dataproducent");
    private final static QName _MeddelandeId_QNAME = new QName("http://schema.bolagsverket.se/ssbt/metadata", "MeddelandeId");
    private final static QName _TransaktionId_QNAME = new QName("http://schema.bolagsverket.se/ssbt/metadata", "TransaktionId");
    private final static QName _Organisationsnummer_QNAME = new QName("http://schema.bolagsverket.se/ssbt/metadata", "Organisationsnummer");
    private final static QName _Anvandare_QNAME = new QName("http://schema.bolagsverket.se/ssbt/metadata", "Anvandare");
    private final static QName _Personnummer_QNAME = new QName("http://schema.bolagsverket.se/ssbt/metadata", "Personnummer");
    private final static QName _Tidstampel_QNAME = new QName("http://schema.bolagsverket.se/ssbt/metadata", "Tidstampel");
    private final static QName _Formedlare_QNAME = new QName("http://schema.bolagsverket.se/ssbt/metadata", "Formedlare");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: se.bolagsverket.schema.ssbt.metadata
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link Part }
     * 
     */
    public Part createPart() {
        return new Part();
    }

    /**
     * Create an instance of {@link JuridiskForm }
     * 
     */
    public JuridiskForm createJuridiskForm() {
        return new JuridiskForm();
    }

    /**
     * Create an instance of {@link Service }
     * 
     */
    public Service createService() {
        return new Service();
    }

    /**
     * Create an instance of {@link Ttl }
     * 
     */
    public Ttl createTtl() {
        return new Ttl();
    }

    /**
     * Create an instance of {@link ServicePart }
     * 
     */
    public ServicePart createServicePart() {
        return new ServicePart();
    }

    /**
     * Create an instance of {@link Datakonsument }
     * 
     */
    public Datakonsument createDatakonsument() {
        return new Datakonsument();
    }

    /**
     * Create an instance of {@link PartId }
     * 
     */
    public PartId createPartId() {
        return new PartId();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Anvandningsomrade }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbt/metadata", name = "Anvandningsomrade")
    public JAXBElement<Anvandningsomrade> createAnvandningsomrade(Anvandningsomrade value) {
        return new JAXBElement<Anvandningsomrade>(_Anvandningsomrade_QNAME, Anvandningsomrade.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PartId }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbt/metadata", name = "PartId")
    public JAXBElement<PartId> createPartId(PartId value) {
        return new JAXBElement<PartId>(_PartId_QNAME, PartId.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link JuridiskForm }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbt/metadata", name = "JuridiskForm")
    public JAXBElement<JuridiskForm> createJuridiskForm(JuridiskForm value) {
        return new JAXBElement<JuridiskForm>(_JuridiskForm_QNAME, JuridiskForm.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbt/metadata", name = "JuridiskFormKod")
    public JAXBElement<String> createJuridiskFormKod(String value) {
        return new JAXBElement<String>(_JuridiskFormKod_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbt/metadata", name = "ServiceNamn")
    public JAXBElement<String> createServiceNamn(String value) {
        return new JAXBElement<String>(_ServiceNamn_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Ttl }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbt/metadata", name = "TTL")
    public JAXBElement<Ttl> createTTL(Ttl value) {
        return new JAXBElement<Ttl>(_TTL_QNAME, Ttl.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Datakonsument }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbt/metadata", name = "Datakonsument")
    public JAXBElement<Datakonsument> createDatakonsument(Datakonsument value) {
        return new JAXBElement<Datakonsument>(_Datakonsument_QNAME, Datakonsument.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Service }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbt/metadata", name = "Service")
    public JAXBElement<Service> createService(Service value) {
        return new JAXBElement<Service>(_Service_QNAME, Service.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbt/metadata", name = "PartNamn")
    public JAXBElement<String> createPartNamn(String value) {
        return new JAXBElement<String>(_PartNamn_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ServicePart }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbt/metadata", name = "Dataproducent")
    public JAXBElement<ServicePart> createDataproducent(ServicePart value) {
        return new JAXBElement<ServicePart>(_Dataproducent_QNAME, ServicePart.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbt/metadata", name = "MeddelandeId")
    public JAXBElement<String> createMeddelandeId(String value) {
        return new JAXBElement<String>(_MeddelandeId_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbt/metadata", name = "TransaktionId")
    public JAXBElement<String> createTransaktionId(String value) {
        return new JAXBElement<String>(_TransaktionId_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbt/metadata", name = "Organisationsnummer")
    public JAXBElement<String> createOrganisationsnummer(String value) {
        return new JAXBElement<String>(_Organisationsnummer_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Part }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbt/metadata", name = "Anvandare")
    public JAXBElement<Part> createAnvandare(Part value) {
        return new JAXBElement<Part>(_Anvandare_QNAME, Part.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbt/metadata", name = "Personnummer")
    public JAXBElement<String> createPersonnummer(String value) {
        return new JAXBElement<String>(_Personnummer_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link XMLGregorianCalendar }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbt/metadata", name = "Tidstampel")
    public JAXBElement<XMLGregorianCalendar> createTidstampel(XMLGregorianCalendar value) {
        return new JAXBElement<XMLGregorianCalendar>(_Tidstampel_QNAME, XMLGregorianCalendar.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ServicePart }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbt/metadata", name = "Formedlare")
    public JAXBElement<ServicePart> createFormedlare(ServicePart value) {
        return new JAXBElement<ServicePart>(_Formedlare_QNAME, ServicePart.class, null, value);
    }

}
