
package se.bolagsverket.schema.ssbten.engagemang;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import se.bolagsverket.schema.ssbt.foretag.Foretagsform;
import se.bolagsverket.schema.ssbt.foretag.JaNej;
import se.bolagsverket.schema.ssbt.foretag.Namnskydd;


/**
 * <p>Java class for foretag complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="foretag">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbten/engagemang}ForetagId"/>
 *         &lt;choice minOccurs="0">
 *           &lt;element ref="{http://schema.bolagsverket.se/ssbt/foretag}ForetagNamn"/>
 *           &lt;element ref="{http://schema.bolagsverket.se/ssbt/foretag}Namnskydd" maxOccurs="unbounded"/>
 *         &lt;/choice>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/foretag}Foretagsform"/>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/foretag}EnskildNaringsverksamhet" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "foretag", propOrder = {
    "foretagId",
    "foretagNamn",
    "namnskydd",
    "foretagsform",
    "enskildNaringsverksamhet"
})
public class Foretag {

    @XmlElement(name = "ForetagId", required = true)
    protected ForetagId foretagId;
    @XmlElement(name = "ForetagNamn", namespace = "http://schema.bolagsverket.se/ssbt/foretag")
    protected String foretagNamn;
    @XmlElement(name = "Namnskydd", namespace = "http://schema.bolagsverket.se/ssbt/foretag")
    protected List<Namnskydd> namnskydd;
    @XmlElement(name = "Foretagsform", namespace = "http://schema.bolagsverket.se/ssbt/foretag", required = true)
    protected Foretagsform foretagsform;
    @XmlElement(name = "EnskildNaringsverksamhet", namespace = "http://schema.bolagsverket.se/ssbt/foretag")
    @XmlSchemaType(name = "string")
    protected JaNej enskildNaringsverksamhet;

    /**
     * Gets the value of the foretagId property.
     * 
     * @return
     *     possible object is
     *     {@link ForetagId }
     *     
     */
    public ForetagId getForetagId() {
        return foretagId;
    }

    /**
     * Sets the value of the foretagId property.
     * 
     * @param value
     *     allowed object is
     *     {@link ForetagId }
     *     
     */
    public void setForetagId(ForetagId value) {
        this.foretagId = value;
    }

    /**
     * Gets the value of the foretagNamn property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getForetagNamn() {
        return foretagNamn;
    }

    /**
     * Sets the value of the foretagNamn property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setForetagNamn(String value) {
        this.foretagNamn = value;
    }

    /**
     * Gets the value of the namnskydd property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the namnskydd property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getNamnskydd().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Namnskydd }
     * 
     * 
     */
    public List<Namnskydd> getNamnskydd() {
        if (namnskydd == null) {
            namnskydd = new ArrayList<Namnskydd>();
        }
        return this.namnskydd;
    }

    /**
     * Gets the value of the foretagsform property.
     * 
     * @return
     *     possible object is
     *     {@link Foretagsform }
     *     
     */
    public Foretagsform getForetagsform() {
        return foretagsform;
    }

    /**
     * Sets the value of the foretagsform property.
     * 
     * @param value
     *     allowed object is
     *     {@link Foretagsform }
     *     
     */
    public void setForetagsform(Foretagsform value) {
        this.foretagsform = value;
    }

    /**
     * Gets the value of the enskildNaringsverksamhet property.
     * 
     * @return
     *     possible object is
     *     {@link JaNej }
     *     
     */
    public JaNej getEnskildNaringsverksamhet() {
        return enskildNaringsverksamhet;
    }

    /**
     * Sets the value of the enskildNaringsverksamhet property.
     * 
     * @param value
     *     allowed object is
     *     {@link JaNej }
     *     
     */
    public void setEnskildNaringsverksamhet(JaNej value) {
        this.enskildNaringsverksamhet = value;
    }

}
