
package se.bolagsverket.schema.ssbtgu.v2.grundlaggandeuppgifter;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;

import se.bolagsverket.schema.ssbt.foretag.ForetagId;
import se.bolagsverket.schema.ssbt.rollintyg.RollIntyg;


/**
 * <p>Java class for grundlaggandeUppgifterBegaranDetaljer complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="grundlaggandeUppgifterBegaranDetaljer">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbtgu/v2/grundlaggandeuppgifter}ForetagId"/>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbtgu/v2/grundlaggandeuppgifter}GrundlaggandeUppgiftId" maxOccurs="unbounded"/>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/rollintyg}RollIntyg" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "grundlaggandeUppgifterBegaranDetaljer", propOrder = {
    "foretagId",
    "grundlaggandeUppgiftId",
    "rollIntyg"
})
public class GrundlaggandeUppgifterBegaranDetaljer {

    @XmlElement(name = "ForetagId", required = true)
    protected ForetagId foretagId;
    @XmlElement(name = "GrundlaggandeUppgiftId", required = true)
    @XmlSchemaType(name = "string")
    protected List<GrundlaggandeUppgiftId> grundlaggandeUppgiftId;
    @XmlElement(name = "RollIntyg", namespace = "http://schema.bolagsverket.se/ssbt/rollintyg")
    protected RollIntyg rollIntyg;

    /**
     * Gets the value of the foretagId property.
     * 
     * @return
     *     possible object is
     *     {@link ForetagId }
     *     
     */
    public ForetagId getForetagId() {
        return foretagId;
    }

    /**
     * Sets the value of the foretagId property.
     * 
     * @param value
     *     allowed object is
     *     {@link ForetagId }
     *     
     */
    public void setForetagId(ForetagId value) {
        this.foretagId = value;
    }

    /**
     * Gets the value of the grundlaggandeUppgiftId property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the grundlaggandeUppgiftId property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getGrundlaggandeUppgiftId().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link GrundlaggandeUppgiftId }
     * 
     * 
     */
    public List<GrundlaggandeUppgiftId> getGrundlaggandeUppgiftId() {
        if (grundlaggandeUppgiftId == null) {
            grundlaggandeUppgiftId = new ArrayList<GrundlaggandeUppgiftId>();
        }
        return this.grundlaggandeUppgiftId;
    }

    /**
     * Gets the value of the rollIntyg property.
     * 
     * @return
     *     possible object is
     *     {@link RollIntyg }
     *     
     */
    public RollIntyg getRollIntyg() {
        return rollIntyg;
    }

    /**
     * Sets the value of the rollIntyg property.
     * 
     * @param value
     *     allowed object is
     *     {@link RollIntyg }
     *     
     */
    public void setRollIntyg(RollIntyg value) {
        this.rollIntyg = value;
    }

}
