package com.nordicpeak.flowengine.evaluators.setpudfromcitizenaddressevaluator;

import java.util.ArrayList;
import java.util.List;

import javax.servlet.http.HttpServletRequest;

import com.nordicpeak.flowengine.evaluators.baseevaluator.BaseEvaluatorCRUD;

import se.unlogic.hierarchy.core.beans.User;
import se.unlogic.standardutils.dao.AnnotatedDAOWrapper;
import se.unlogic.standardutils.validation.ValidationError;
import se.unlogic.standardutils.validation.ValidationException;
import se.unlogic.webutils.http.URIParser;
import se.unlogic.webutils.populators.annotated.AnnotatedRequestPopulator;

public class SetPUDFromCitizenAddressEvaluatorCRUD extends BaseEvaluatorCRUD<SetPUDFromCitizenAddressEvaluator, SetPUDFromCitizenAddressEvaluationProviderModule> {

	private static final AnnotatedRequestPopulator<SetPUDFromCitizenAddressEvaluator> POPULATOR = new AnnotatedRequestPopulator<SetPUDFromCitizenAddressEvaluator>(SetPUDFromCitizenAddressEvaluator.class);

	public SetPUDFromCitizenAddressEvaluatorCRUD(Class<SetPUDFromCitizenAddressEvaluator> beanClass, AnnotatedDAOWrapper<SetPUDFromCitizenAddressEvaluator, Integer> evaluatorDAO, SetPUDFromCitizenAddressEvaluationProviderModule callback) {

		super(beanClass, evaluatorDAO, POPULATOR, "SetPUDFromCitizenAddressEvaluator", "set pud from citizen address evaluator", null, callback);
	}

	@Override
	protected SetPUDFromCitizenAddressEvaluator populateFromUpdateRequest(SetPUDFromCitizenAddressEvaluator bean, HttpServletRequest req, User user, URIParser uriParser) throws ValidationException, Exception {

		SetPUDFromCitizenAddressEvaluator evaluator = super.populateFromUpdateRequest(bean, req, user, uriParser);

		List<ValidationError> errors = new ArrayList<ValidationError>();

		if (!errors.isEmpty()) {

			throw new ValidationException(errors);
		}

		return evaluator;
	}

}
