<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>

	<xsl:include href="TreservaIntegrationProviderTemplates.xsl"/>
	
	<xsl:variable name="i18n.SaveChanges">Spara ndringar</xsl:variable>
	
	<xsl:variable name="java.errorEmailSubject">Fel vid anrop till Treserva</xsl:variable>

	<xsl:variable name="java.debugEmailReason">&lt;br/&gt; Felorsak: </xsl:variable>
	
	<xsl:variable name="java.existingApplicationErrorEmailMessage">
		
		&lt;p&gt;Det finns redan en obehandlad anskan i Treserva fr rendet $flow.name (rende nr. $flowInstance.flowInstanceID). Om omsndning r aktiverat s kommer rendet frskas att skickas igen vid ett senare tillflle.&lt;/p&gt;

		&lt;p&gt;Klicka p lnken nedan fr att visa rendet:&lt;/p&gt;
		
		&lt;p&gt;
			&lt;a href="$flowInstance.url"&gt;$flowInstance.url&lt;/a&gt;
		&lt;/p&gt;
	
	</xsl:variable>

	<xsl:variable name="java.protectedPersonErrorEmailMessage">
		
		&lt;p&gt;Anskande person i rendet $flow.name (rende nr. $flowInstance.flowInstanceID) har skyddad identitet och kan inte levereras till Treserva. rendet behvs hmtas manuellt.&lt;/p&gt;
		
		&lt;p&gt;Klicka p lnken nedan fr att visa rendet:&lt;/p&gt;
		
		&lt;p&gt;
			&lt;a href="$flowInstance.url"&gt;$flowInstance.url&lt;/a&gt;
		&lt;/p&gt;
		
	</xsl:variable>

	<xsl:variable name="java.unknownErrorEmailMessage">
		
		&lt;p&gt;Oknt svar frn Treserva fr rende $flow.name (rende nr. $flowInstance.flowInstanceID). rendet kan behva hmtas manuellt.&lt;/p&gt;
		
		&lt;p&gt;Klicka p lnken nedan fr att visa rendet:&lt;/p&gt;
		
		&lt;p&gt;
			&lt;a href="$flowInstance.url"&gt;$flowInstance.url&lt;/a&gt;
		&lt;/p&gt;
		
	</xsl:variable>

	<xsl:variable name="java.maxRetriesExceededEmailMessage">
		
		&lt;p&gt;Maximalt antal omsndningsfrsk mot Treserva har uppntts fr rende $flow.name (rende nr. $flowInstance.flowInstanceID). Inga fler omsndningsfrsk kommer att gras.&lt;/p&gt;
		
		&lt;p&gt;Klicka p lnken nedan fr att visa rendet:&lt;/p&gt;
		
		&lt;p&gt;
			&lt;a href="$flowInstance.url"&gt;$flowInstance.url&lt;/a&gt;
		&lt;/p&gt;
		
	</xsl:variable>

	<xsl:variable name="java.noManagerToAutoAssignEmailMessage">
		
		&lt;p&gt;Kunde inte hitta ngon handlggare att tilldela rende $flow.name (rende nr. $flowInstance.flowInstanceID).&lt;/p&gt;
		
		&lt;p&gt;Klicka p lnken nedan fr att visa rendet:&lt;/p&gt;
		
		&lt;p&gt;
			&lt;a href="$flowInstance.url"&gt;$flowInstance.url&lt;/a&gt;
		&lt;/p&gt;
		
	</xsl:variable>
	
	<xsl:variable name="i18n.validation.requiredField" select="'Du mste fylla i fltet:'"/>
	<xsl:variable name="i18n.validation.invalidFormat" select="'Felaktigt format p fltet:'"/>
	<xsl:variable name="i18n.validation.tooShort" select="'Fr kort innehll i fltet:'"/>
	<xsl:variable name="i18n.validation.tooLong" select="'Fr lngt innehll i fltet:'"/>	
	<xsl:variable name="i18n.validation.unknownError" select="'Oknt fel p fltet:'"/>
	<xsl:variable name="i18n.validation.unknownFault" select="'Ett oknt valideringsfel har uppsttt.'"/>
	
	<xsl:variable name="i18n.IntegrationEnabled">Status</xsl:variable>
	<xsl:variable name="i18n.Yes">Aktiverad</xsl:variable>
	<xsl:variable name="i18n.No">Inaktiverad</xsl:variable>
	
	<xsl:variable name="i18n.NoIntegrationSettings">Inga integrationsinstllningar har angets fr den hr e-tjnsten.</xsl:variable>
	<xsl:variable name="i18n.UpdateIntegrationSettings">ndra instllningar</xsl:variable>
	<xsl:variable name="i18n.DeleteIntegrationSettings">Ta bort instllningar</xsl:variable>
	<xsl:variable name="i18n.DeleteIntegrationSettings.Confirm">r du sker p att du vill ta bort integrationsinstllningarna fr den hr e-tjnsten?</xsl:variable>
	<xsl:variable name="i18n.UpdateIntegrationSettingsTitle">Integrationsinstllningar fr e-tjnsten</xsl:variable>
	<xsl:variable name="i18n.flowVersion">version</xsl:variable>
	<xsl:variable name="i18n.Enabled">Aktivera integrationen</xsl:variable>
	
	<xsl:variable name="i18n.Parameters">Parametrar</xsl:variable>
	<xsl:variable name="i18n.AddParameter">Lgg till parameter</xsl:variable>
	<xsl:variable name="i18n.Name">Namn</xsl:variable>
	<xsl:variable name="i18n.Value">Vrde</xsl:variable>	
		
	<xsl:variable name="i18n.Endpoint">Treserva installation</xsl:variable>
	
	<xsl:variable name="i18n.personNr">Personnummer</xsl:variable>
	<xsl:variable name="i18n.stadsDelId">Stadsdel</xsl:variable>

	<xsl:variable name="i18n.CommentEnabled">Aktivera kommentar</xsl:variable>
	<xsl:variable name="i18n.CommentName">Kommentarsnamn</xsl:variable>
	<xsl:variable name="i18n.CommentValue">Kommentarsvrde</xsl:variable>

	<xsl:variable name="i18n.SetStadsDelIdFromAttribute">Stt stadsdel frn attribut</xsl:variable>
	<xsl:variable name="i18n.noAttributeValueFound">d inget attribut hittas</xsl:variable>
	<xsl:variable name="i18n.Attribute.Name">Attributnamn</xsl:variable>

	<xsl:variable name="i18n.validCaseDataTypes">Godknda rendetyper</xsl:variable>
	<xsl:variable name="i18n.validCaseDataTypes.Description">rendedata med annan typ kommer filtreras bort av systemet, lmna tomt fr att godknna alla typer. En per rad.</xsl:variable>

	<xsl:variable name="i18n.autoAssignManager">Automatisk tilldelning av handlggare</xsl:variable>
	<xsl:variable name="i18n.duplicateCheckEnabled">Aktivera dubblettkontroll</xsl:variable>
	<xsl:variable name="i18n.decisionModuleEnabled">Aktivera beslutshantering</xsl:variable>
	<xsl:variable name="i18n.decisionMessageTemplate">Beslutsmall</xsl:variable>
	
	<xsl:variable name="i18n.decisionMessageTemplate.Tags.Header">Tagg</xsl:variable>
	<xsl:variable name="i18n.decisionMessageTemplate.Tags.Header.Value">Innehll</xsl:variable>
	<xsl:variable name="i18n.decisionMessageTemplate.Tags.Number">${number}</xsl:variable>
	<xsl:variable name="i18n.decisionMessageTemplate.Tags.Number.Value">Beslutsnummer</xsl:variable>
	<xsl:variable name="i18n.decisionMessageTemplate.Tags.Reason">${reason}</xsl:variable>
	<xsl:variable name="i18n.decisionMessageTemplate.Tags.Reason.Value">Beslutsmotivering</xsl:variable>
	<xsl:variable name="i18n.decisionMessageTemplate.Tags.Date">${date}</xsl:variable>
	<xsl:variable name="i18n.decisionMessageTemplate.Tags.Date.Value">Beslutsdatum</xsl:variable>
	<xsl:variable name="i18n.decisionMessageTemplate.Tags.Manager">${manager}</xsl:variable>
	<xsl:variable name="i18n.decisionMessageTemplate.Tags.Manager.Value">Handlggare</xsl:variable>

	<xsl:variable name="i18n.Notifications">Notifikationer</xsl:variable>
	<xsl:variable name="i18n.Notifications.ExistingApplicationErrorEmail">E-post vid fel dr det redan finns en obehandlad anskan</xsl:variable>
	<xsl:variable name="i18n.Notifications.ExistingApplicationErrorEmail.EmailAddresses">E-postadresser fr notifiering vid fel dr det redan finns en obehandlad anskan</xsl:variable>
	<xsl:variable name="i18n.Notifications.ProtectedPersonErrorEmail">E-post vid fel dr anskande person har skyddad identitet</xsl:variable>
	<xsl:variable name="i18n.Notifications.ProtectedPersonErrorEmail.EmailAddresses">E-postadresser fr notifiering vid fel dr anskande person har skyddad identitet</xsl:variable>
	<xsl:variable name="i18n.Notifications.UnknownErrorEmail">E-post vid andra fel</xsl:variable>
	<xsl:variable name="i18n.Notifications.UnknownErrorEmail.EmailAddresses">E-postadresser fr notifiering vid andra fel</xsl:variable>
	<xsl:variable name="i18n.Notifications.MaxRetriesExceededEmail">E-post vid maximalt antal omsndningar</xsl:variable>
	<xsl:variable name="i18n.Notifications.MaxRetriesExceededEmail.EmailAddresses">E-postadresser fr notifiering vid maximalt antal omsndningar</xsl:variable>
	<xsl:variable name="i18n.Notifications.NoManagerToAutoAssignEmail">E-post nr ingen handlggare hittas fr automatisk tilldelning</xsl:variable>
	<xsl:variable name="i18n.Notifications.NoManagerToAutoAssignEmail.EmailAddresses">E-postadresser fr notifiering nr ingen handlggare hittas fr automatisk tilldelning</xsl:variable>

</xsl:stylesheet>
