package com.nordicpeak.flowengine.evaluators.setdropdownalternativeparameter;

import se.unlogic.standardutils.dao.AnnotatedDAOWrapper;
import se.unlogic.webutils.populators.annotated.AnnotatedRequestPopulator;

import com.nordicpeak.flowengine.evaluators.baseevaluator.BaseEvaluatorCRUD;

public class SetDropDownAlternativeParameterEvaluatorCRUD extends BaseEvaluatorCRUD<SetDropDownAlternativeParameterEvaluator, SetDropDownAlternativeParameterEvaluationProviderModule> {

	private static final AnnotatedRequestPopulator<SetDropDownAlternativeParameterEvaluator> POPULATOR = new AnnotatedRequestPopulator<>(SetDropDownAlternativeParameterEvaluator.class);

	public SetDropDownAlternativeParameterEvaluatorCRUD(Class<SetDropDownAlternativeParameterEvaluator> beanClass, AnnotatedDAOWrapper<SetDropDownAlternativeParameterEvaluator, Integer> evaluatorDAO, SetDropDownAlternativeParameterEvaluationProviderModule callback) {

		super(beanClass, evaluatorDAO, POPULATOR, "SetDropDownAlternativeParameterEvaluator", "set dropdown alternative parameter evaluator", null, callback);
	}

}
