<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>

	<xsl:include href="classpath://com/nordicpeak/flowengine/queries/common/xsl/QueryAdminCommon.sv.xsl"/>
	<xsl:include href="UnsecureMultiSignQueryAdminTemplates.xsl"/>
	
	<xsl:variable name="java.queryTypeName">Flerpartssigneringsfrga (utan personnummer)</xsl:variable>
	<xsl:variable name="java.queryDescription">
Frgetypen Flerpartssigneringsfrga (utan personnummer) anvnds nr rendet ska signeras av flera parter. Anvndaren fr i e-tjnsten ange frnamn, efternamn, e-post och/eller telefonnummer p den person som ska signera rendet. De som ska signera anger sjlva sitt personnummer nr signeringen genomfrs. Om flera personer ska signera rendet skapas flera frgor av denna typ. Fr att flerpartssignering ska aktiveras mste "Krv signering" vara aktiverad p e-tjnsten. D flerpartssignering ska anvndas mste det finnas en status i e-tjnsten som hanterar detta.
	</xsl:variable>
	<xsl:variable name="java.exportFirstName">Frnamn</xsl:variable>
	<xsl:variable name="java.exportLastName">Efternamn</xsl:variable>
	<xsl:variable name="java.exportEmail">E-post</xsl:variable>
	<xsl:variable name="java.exportMobilePhone">Mobiltelefon</xsl:variable>
	<xsl:variable name="i18n.AdvancedSettings">Avancerade instllningar</xsl:variable>
	<xsl:variable name="i18n.SetMultipartsAsOwners">Stt part som skande fr rendet</xsl:variable>
	<xsl:variable name="i18n.Disabled">Ls flten</xsl:variable>
	<xsl:variable name="i18n.lockOnOwnershipTransfer">Ls frga vid verltelse</xsl:variable>
	<xsl:variable name="i18n.RequiredContactWayVerification">Krv verifiering av kontaktvgar</xsl:variable>
	
	<xsl:variable name="i18n.UnsecureMultiSignQueryNotFound">Den begrda frgan hittades inte!</xsl:variable>
	
	<xsl:variable name="i18n.setAsAttribute">Spara fltens vrde som attribut</xsl:variable>
	<xsl:variable name="i18n.attributeName">Attributprefix</xsl:variable>
	<xsl:variable name="i18n.attributeDescription">Fljande attribut kommer att sparas med det ovan valda prefixet. Anvndningsexempel om du valt prefixet 'test': $attribute{test.firstname}</xsl:variable>
	<xsl:variable name="i18n.attributes.name">Attributnamn</xsl:variable>
	<xsl:variable name="i18n.attributes.value">Vrde</xsl:variable>
	
	<xsl:variable name="i18n.Firstname">Frnamn</xsl:variable>
	<xsl:variable name="i18n.Lastname">Efternamn</xsl:variable>
	<xsl:variable name="i18n.Email">E-postadress</xsl:variable>
	<xsl:variable name="i18n.MobilePhone">Mobiltelefon</xsl:variable>
	
</xsl:stylesheet>
