$(function() {
	
	 $("#username").each(function(j){
		 var searchInput = $(this);
		 var url = $("input[name='connectorURL']").val();
		 
		 searchInput.autocomplete({
		 	source: function(request, response) {
		 		return searchUsername(request, response, url, searchInput);
			},
			select: function( event, ui ) {
				
				searchInput.val(ui.item.value);
				return false;
			},
			focus: function(event, ui) {
		        event.preventDefault();
		    }
		 });
	 });
});

function searchUsername(request, response, searchURL, searchInput) {
	
	searchInput.addClass("ui-autocomplete-loading");
	
	$.ajax({
		url : searchURL,
		dataType : "json",
		contentType: "application/x-www-form-urlencoded;charset=UTF-8",
		data : {
			q : encodeURIComponent(request.term)
		},
		success : function(data) {
			
			if (data.hits != undefined && data.hits.length > 0) {
				
				response($.map(data.hits, function(item) {
					
					return {
						label : item.Name + " (" + item.Username + ")",
						value : item.Username,
					}
				}));
			} else {
				response(null);
			}
			
			searchInput.removeClass("ui-autocomplete-loading");
			
		},
		error : function() {
			
			searchInput.removeClass("ui-autocomplete-loading");
		}
	});
}
