package com.nordicpeak.flowengine.evaluators.addflowinstancemanagersevaluator;

import se.unlogic.standardutils.dao.AnnotatedDAOWrapper;
import se.unlogic.webutils.http.BeanRequestPopulator;
import se.unlogic.webutils.populators.annotated.AnnotatedRequestPopulator;

import com.nordicpeak.flowengine.evaluators.baseevaluator.BaseEvaluatorCRUD;

public class AddFlowInstanceManagersEvaluatorCRUD extends BaseEvaluatorCRUD<AddFlowInstanceManagersEvaluator, AddFlowInstanceManagersEvaluationProviderModule> {

	private static final BeanRequestPopulator<AddFlowInstanceManagersEvaluator> POPULATOR = new AnnotatedRequestPopulator<AddFlowInstanceManagersEvaluator>(AddFlowInstanceManagersEvaluator.class);

	public AddFlowInstanceManagersEvaluatorCRUD(Class<AddFlowInstanceManagersEvaluator> beanClass, AnnotatedDAOWrapper<AddFlowInstanceManagersEvaluator, Integer> evaluatorDAO, AddFlowInstanceManagersEvaluationProviderModule callback) {

		super(beanClass, evaluatorDAO, POPULATOR, "AddFlowInstanceManagersEvaluator", "change flow instance owner evaluator", null, callback);
	}
	
}
