package com.nordicpeak.flowengine.addflowinstance;

import java.io.Serializable;

import javax.servlet.http.HttpSession;

import com.nordicpeak.flowengine.beans.FlowInstanceEvent;
import com.nordicpeak.flowengine.enums.EventType;
import com.nordicpeak.flowengine.managers.FlowInstanceManager;
import com.nordicpeak.flowengine.managers.MutableFlowInstanceManager;

public interface AddFlowInstanceCallback extends Serializable {
	
	public void beforeSave(MutableFlowInstanceManager instanceManager, EventType eventType);
	
	public void afterSave(FlowInstanceManager instanceManager, EventType eventType, HttpSession session, FlowInstanceEvent saveEvent, AddFlowInstanceModule addFlowInstanceModule);
	
	public String getCustomReturnURL(FlowInstanceManager instanceManager);

}
