<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	
	<xsl:import href="classpath://com/nordicpeak/flowengine/queries/common/xsl/QueryAdminCommon.sv.xsl"/>
	
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>
	
	<xsl:include href="AlternativeListPriorityQueryAdminTemplates.xsl"/>
	
	<xsl:variable name="java.queryTypeName">Prioriteringsfrga med alternativ frn lista</xsl:variable>
	<xsl:variable name="java.queryDescription">
Frgetypen Prioriteringsfrga anvnds nr anvndaren skall kunna prioritera mellan olika alternativ. Alternativen hmtas frn en extern
eller intern lista som lggs upp centralt i plattformen.
	</xsl:variable>
	<xsl:variable name="java.countText">Antal</xsl:variable>
	<xsl:variable name="java.alternativesText">Alternativ</xsl:variable>
	<xsl:variable name="java.missingList">Tidigare vald alternativ lista som saknas: </xsl:variable>
	
	<xsl:variable name="i18n.ShortDescription">Kort beskrivning</xsl:variable>
	<xsl:variable name="i18n.shortDescription">kort beskrivning</xsl:variable>
	<xsl:variable name="i18n.AlternativeListPriorityQueryNotFound">Den begrda frgan hittades inte!</xsl:variable>
	
	<xsl:variable name="i18n.PriorityAlternative.AllowMultiple">Tillt flerval</xsl:variable>
	
	<xsl:variable name="i18n.MinChoices">Minst antal valda alternativ</xsl:variable>
	<xsl:variable name="i18n.MaxChoices">Max antal valda alternativ</xsl:variable>
	<xsl:variable name="i18n.minChoices">minst antal valda alternativ</xsl:variable>
	<xsl:variable name="i18n.maxChoices">max antal valda alternativ</xsl:variable>
	<xsl:variable name="i18n.MinChoicesBiggerThanMaxChoices">Minst antal valda alternativ fr inte vara strre n max!</xsl:variable>
	<xsl:variable name="i18n.MinChoicesTooSmall">Minst antal valda alternativ fr inte vara under 1!</xsl:variable>
	<xsl:variable name="i18n.MaxChoicesOutOfRange">Max antal valda alternativ fr hgst vara 255!</xsl:variable>
	
	<xsl:variable name="i18n.setAsAttribute">Spara fltets vrde som attribut</xsl:variable>
	<xsl:variable name="i18n.attributeName">Attributnamn</xsl:variable>
	<xsl:variable name="i18n.attributeInfo">D fltets vrde sparas som ett attribut sparas de valda alternativen som en kommaseparerad text.
Det gr ven att hmta ut de valda alternativen ett och ett genom att lgga till ett bindestreck och prioriteringsordningen efter attributnamnet, exempelvis $attribute{attributnamnet-2} fr att f det alternativ som valts som prioritet tv.
	</xsl:variable>
	
	<xsl:variable name="i18n.exportAlternativeID">Exportera ven valda alternativs ID till rendets XML</xsl:variable>
	<xsl:variable name="i18n.exportAlternativeIDInformation">Om alternativets ID exporteras fr frgans XML ett annat schematiskt utseende</xsl:variable>
	
	<xsl:variable name="i18n.AdvancedSettings">Avancerade instllningar</xsl:variable>
	
	<xsl:variable name="i18n.ListName">Alternativlista</xsl:variable>
	<xsl:variable name="i18n.EmptyListDescription">Text vid tom lista (Listan saknas eller kunde inte hmta alternativ)</xsl:variable>
	
</xsl:stylesheet>
