
package org.datacontract.schemas._2004._07.artvise_mercury_base_datacontracts;

import java.io.Serializable;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for CaseDto complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="CaseDto">
 *   &lt;complexContent>
 *     &lt;extension base="{http://schemas.datacontract.org/2004/07/Artvise.Mercury.Base.DataContracts.API}ObjectDto">
 *       &lt;sequence>
 *         &lt;element name="AnswerTypeGuid" type="{http://schemas.microsoft.com/2003/10/Serialization/}guid" minOccurs="0"/>
 *         &lt;element name="Answered" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="CaseCategories" type="{http://schemas.datacontract.org/2004/07/Artvise.Mercury.Base.DataContracts.API}ArrayOfCaseCategoryItemDto" minOccurs="0"/>
 *         &lt;element name="Counterparts" type="{http://schemas.datacontract.org/2004/07/Artvise.Mercury.Base.DataContracts.API}ArrayOfCounterpartDto" minOccurs="0"/>
 *         &lt;element name="Deeds" type="{http://schemas.datacontract.org/2004/07/Artvise.Mercury.Base.DataContracts.API}ArrayOfDeedDto" minOccurs="0"/>
 *         &lt;element name="EventDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="HtmlDescription" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="InOutDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="IncomingMediaTypeGuid" type="{http://schemas.microsoft.com/2003/10/Serialization/}guid" minOccurs="0"/>
 *         &lt;element name="RequiresAnswer" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="StartDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="StopDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CaseDto", propOrder = {
    "answerTypeGuid",
    "answered",
    "caseCategories",
    "counterparts",
    "deeds",
    "eventDate",
    "htmlDescription",
    "inOutDate",
    "incomingMediaTypeGuid",
    "requiresAnswer",
    "startDate",
    "stopDate"
})
public class CaseDto
    extends ObjectDto
    implements Serializable
{

    private static final long serialVersionUID = 2666742347535004993L;
	@XmlElement(name = "AnswerTypeGuid", nillable = true)
    protected String answerTypeGuid;
    @XmlElement(name = "Answered")
    protected Boolean answered;
    @XmlElement(name = "CaseCategories", nillable = true)
    protected ArrayOfCaseCategoryItemDto caseCategories;
    @XmlElement(name = "Counterparts", nillable = true)
    protected ArrayOfCounterpartDto counterparts;
    @XmlElement(name = "Deeds", nillable = true)
    protected ArrayOfDeedDto deeds;
    @XmlElement(name = "EventDate", nillable = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar eventDate;
    @XmlElement(name = "HtmlDescription", nillable = true)
    protected String htmlDescription;
    @XmlElement(name = "InOutDate", nillable = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar inOutDate;
    @XmlElement(name = "IncomingMediaTypeGuid", nillable = true)
    protected String incomingMediaTypeGuid;
    @XmlElement(name = "RequiresAnswer")
    protected Boolean requiresAnswer;
    @XmlElement(name = "StartDate", nillable = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar startDate;
    @XmlElement(name = "StopDate", nillable = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar stopDate;

    /**
     * Gets the value of the answerTypeGuid property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAnswerTypeGuid() {
        return answerTypeGuid;
    }

    /**
     * Sets the value of the answerTypeGuid property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAnswerTypeGuid(String value) {
        this.answerTypeGuid = value;
    }

    /**
     * Gets the value of the answered property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isAnswered() {
        return answered;
    }

    /**
     * Sets the value of the answered property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setAnswered(Boolean value) {
        this.answered = value;
    }

    /**
     * Gets the value of the caseCategories property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfCaseCategoryItemDto }
     *     
     */
    public ArrayOfCaseCategoryItemDto getCaseCategories() {
        return caseCategories;
    }

    /**
     * Sets the value of the caseCategories property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfCaseCategoryItemDto }
     *     
     */
    public void setCaseCategories(ArrayOfCaseCategoryItemDto value) {
        this.caseCategories = value;
    }

    /**
     * Gets the value of the counterparts property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfCounterpartDto }
     *     
     */
    public ArrayOfCounterpartDto getCounterparts() {
        return counterparts;
    }

    /**
     * Sets the value of the counterparts property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfCounterpartDto }
     *     
     */
    public void setCounterparts(ArrayOfCounterpartDto value) {
        this.counterparts = value;
    }

    /**
     * Gets the value of the deeds property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfDeedDto }
     *     
     */
    public ArrayOfDeedDto getDeeds() {
        return deeds;
    }

    /**
     * Sets the value of the deeds property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfDeedDto }
     *     
     */
    public void setDeeds(ArrayOfDeedDto value) {
        this.deeds = value;
    }

    /**
     * Gets the value of the eventDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getEventDate() {
        return eventDate;
    }

    /**
     * Sets the value of the eventDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setEventDate(XMLGregorianCalendar value) {
        this.eventDate = value;
    }

    /**
     * Gets the value of the htmlDescription property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getHtmlDescription() {
        return htmlDescription;
    }

    /**
     * Sets the value of the htmlDescription property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setHtmlDescription(String value) {
        this.htmlDescription = value;
    }

    /**
     * Gets the value of the inOutDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getInOutDate() {
        return inOutDate;
    }

    /**
     * Sets the value of the inOutDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setInOutDate(XMLGregorianCalendar value) {
        this.inOutDate = value;
    }

    /**
     * Gets the value of the incomingMediaTypeGuid property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIncomingMediaTypeGuid() {
        return incomingMediaTypeGuid;
    }

    /**
     * Sets the value of the incomingMediaTypeGuid property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIncomingMediaTypeGuid(String value) {
        this.incomingMediaTypeGuid = value;
    }

    /**
     * Gets the value of the requiresAnswer property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isRequiresAnswer() {
        return requiresAnswer;
    }

    /**
     * Sets the value of the requiresAnswer property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setRequiresAnswer(Boolean value) {
        this.requiresAnswer = value;
    }

    /**
     * Gets the value of the startDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getStartDate() {
        return startDate;
    }

    /**
     * Sets the value of the startDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setStartDate(XMLGregorianCalendar value) {
        this.startDate = value;
    }

    /**
     * Gets the value of the stopDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getStopDate() {
        return stopDate;
    }

    /**
     * Sets the value of the stopDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setStopDate(XMLGregorianCalendar value) {
        this.stopDate = value;
    }

}
