package com.nordicpeak.flowengine.queries.attributesumlimitquery.api.beans;

import java.sql.Date;

import com.nordicpeak.flowengine.queries.attributesumlimitquery.api.interfaces.LimitProvider;

public class AttributeSumLimiter implements LimitProvider{

	private static final long serialVersionUID = 4254972721808233351L;

	private final Integer limit;

	private final Date minDate;

	private final Date maxDate;

	public AttributeSumLimiter(Integer limit, Date minDate, Date maxDate) {

		super();
		this.limit = limit;
		this.minDate = minDate;
		this.maxDate = maxDate;
	}

	@Override
	public Integer getLimit() {

		return limit;
	}

	@Override
	public Date getMinDate() {

		return minDate;
	}

	@Override
	public Date getMaxDate() {

		return maxDate;
	}
}
