
package se.infotorg.webservices.infobilv3;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for hf02FordonsinnehavListaResultat complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="hf02FordonsinnehavListaResultat">
 *   &lt;complexContent>
 *     &lt;extension base="{http://infobilv3.webservices.infotorg.se/}infobilResultat">
 *       &lt;sequence>
 *         &lt;element name="fi10" type="{http://infobilv3.webservices.infotorg.se/}fi10" minOccurs="0"/>
 *         &lt;element name="fs11" type="{http://infobilv3.webservices.infotorg.se/}fs11" minOccurs="0"/>
 *         &lt;element name="pa01" type="{http://infobilv3.webservices.infotorg.se/}pa01" minOccurs="0"/>
 *         &lt;element name="pa02" type="{http://infobilv3.webservices.infotorg.se/}pa02" minOccurs="0"/>
 *         &lt;element name="fv12" type="{http://infobilv3.webservices.infotorg.se/}fv12" minOccurs="0"/>
 *         &lt;element name="lg01" type="{http://infobilv3.webservices.infotorg.se/}lg01" minOccurs="0"/>
 *         &lt;element name="lg02" type="{http://infobilv3.webservices.infotorg.se/}lg02" minOccurs="0"/>
 *         &lt;element name="ag01" type="{http://infobilv3.webservices.infotorg.se/}ag01" minOccurs="0"/>
 *         &lt;element name="ag02" type="{http://infobilv3.webservices.infotorg.se/}ag02" minOccurs="0"/>
 *         &lt;element name="fordon" type="{http://infobilv3.webservices.infotorg.se/}fordon" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="OLTP_huvud" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="O_Nyckel" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Perorgnr" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="startRegnrPresentation" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "hf02FordonsinnehavListaResultat", propOrder = {
    "fi10",
    "fs11",
    "pa01",
    "pa02",
    "fv12",
    "lg01",
    "lg02",
    "ag01",
    "ag02",
    "fordon",
    "oltpHuvud",
    "oNyckel",
    "perorgnr",
    "startRegnrPresentation"
})
public class Hf02FordonsinnehavListaResultat
    extends InfobilResultat
    implements Serializable
{
	private static final long serialVersionUID = 1L;
	
    protected Fi10 fi10;
    protected Fs11 fs11;
    protected Pa01 pa01;
    protected Pa02 pa02;
    protected Fv12 fv12;
    protected Lg01 lg01;
    protected Lg02 lg02;
    protected Ag01 ag01;
    protected Ag02 ag02;
    @XmlElement(nillable = true)
    protected List<Fordon> fordon;
    @XmlElement(name = "OLTP_huvud")
    protected String oltpHuvud;
    @XmlElement(name = "O_Nyckel")
    protected String oNyckel;
    @XmlElement(name = "Perorgnr")
    protected String perorgnr;
    protected String startRegnrPresentation;

    /**
     * Gets the value of the fi10 property.
     * 
     * @return
     *     possible object is
     *     {@link Fi10 }
     * 
     */
    public Fi10 getFi10() {
        return fi10;
    }

    /**
     * Sets the value of the fi10 property.
     * 
     * @param value
     *     allowed object is
     *     {@link Fi10 }
     * 
     */
    public void setFi10(Fi10 value) {
        this.fi10 = value;
    }

    /**
     * Gets the value of the fs11 property.
     * 
     * @return
     *     possible object is
     *     {@link Fs11 }
     * 
     */
    public Fs11 getFs11() {
        return fs11;
    }

    /**
     * Sets the value of the fs11 property.
     * 
     * @param value
     *     allowed object is
     *     {@link Fs11 }
     * 
     */
    public void setFs11(Fs11 value) {
        this.fs11 = value;
    }

    /**
     * Gets the value of the pa01 property.
     * 
     * @return
     *     possible object is
     *     {@link Pa01 }
     * 
     */
    public Pa01 getPa01() {
        return pa01;
    }

    /**
     * Sets the value of the pa01 property.
     * 
     * @param value
     *     allowed object is
     *     {@link Pa01 }
     * 
     */
    public void setPa01(Pa01 value) {
        this.pa01 = value;
    }

    /**
     * Gets the value of the pa02 property.
     * 
     * @return
     *     possible object is
     *     {@link Pa02 }
     * 
     */
    public Pa02 getPa02() {
        return pa02;
    }

    /**
     * Sets the value of the pa02 property.
     * 
     * @param value
     *     allowed object is
     *     {@link Pa02 }
     * 
     */
    public void setPa02(Pa02 value) {
        this.pa02 = value;
    }

    /**
     * Gets the value of the fv12 property.
     * 
     * @return
     *     possible object is
     *     {@link Fv12 }
     * 
     */
    public Fv12 getFv12() {
        return fv12;
    }

    /**
     * Sets the value of the fv12 property.
     * 
     * @param value
     *     allowed object is
     *     {@link Fv12 }
     * 
     */
    public void setFv12(Fv12 value) {
        this.fv12 = value;
    }

    /**
     * Gets the value of the lg01 property.
     * 
     * @return
     *     possible object is
     *     {@link Lg01 }
     * 
     */
    public Lg01 getLg01() {
        return lg01;
    }

    /**
     * Sets the value of the lg01 property.
     * 
     * @param value
     *     allowed object is
     *     {@link Lg01 }
     * 
     */
    public void setLg01(Lg01 value) {
        this.lg01 = value;
    }

    /**
     * Gets the value of the lg02 property.
     * 
     * @return
     *     possible object is
     *     {@link Lg02 }
     * 
     */
    public Lg02 getLg02() {
        return lg02;
    }

    /**
     * Sets the value of the lg02 property.
     * 
     * @param value
     *     allowed object is
     *     {@link Lg02 }
     * 
     */
    public void setLg02(Lg02 value) {
        this.lg02 = value;
    }

    /**
     * Gets the value of the ag01 property.
     * 
     * @return
     *     possible object is
     *     {@link Ag01 }
     * 
     */
    public Ag01 getAg01() {
        return ag01;
    }

    /**
     * Sets the value of the ag01 property.
     * 
     * @param value
     *     allowed object is
     *     {@link Ag01 }
     * 
     */
    public void setAg01(Ag01 value) {
        this.ag01 = value;
    }

    /**
     * Gets the value of the ag02 property.
     * 
     * @return
     *     possible object is
     *     {@link Ag02 }
     * 
     */
    public Ag02 getAg02() {
        return ag02;
    }

    /**
     * Sets the value of the ag02 property.
     * 
     * @param value
     *     allowed object is
     *     {@link Ag02 }
     * 
     */
    public void setAg02(Ag02 value) {
        this.ag02 = value;
    }

    /**
     * Gets the value of the fordon property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the fordon property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getFordon().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Fordon }
     * 
     * 
     */
    public List<Fordon> getFordon() {
        if (fordon == null) {
            fordon = new ArrayList<Fordon>();
        }
        return this.fordon;
    }

    /**
     * Gets the value of the oltpHuvud property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getOLTPHuvud() {
        return oltpHuvud;
    }

    /**
     * Sets the value of the oltpHuvud property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setOLTPHuvud(String value) {
        this.oltpHuvud = value;
    }

    /**
     * Gets the value of the oNyckel property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getONyckel() {
        return oNyckel;
    }

    /**
     * Sets the value of the oNyckel property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setONyckel(String value) {
        this.oNyckel = value;
    }

    /**
     * Gets the value of the perorgnr property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getPerorgnr() {
        return perorgnr;
    }

    /**
     * Sets the value of the perorgnr property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setPerorgnr(String value) {
        this.perorgnr = value;
    }

    /**
     * Gets the value of the startRegnrPresentation property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getStartRegnrPresentation() {
        return startRegnrPresentation;
    }

    /**
     * Sets the value of the startRegnrPresentation property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setStartRegnrPresentation(String value) {
        this.startRegnrPresentation = value;
    }

}
