package com.nordicpeak.flowengine.biznodevehiclealternativelist.biznoderesponse;

import java.util.List;

import flexjson.JSON;

public class Data {

	private String id;
	private String name;
	private String givenName;
	private String categoryOfOwner;
	private String areaCodeOwner;
	private Boolean advertisingBarrier;
	private Boolean confidentiality;
	private String ownerTypeCode;

	@JSON(name = "vehicleHoldings")
	private List<VehicleHoldings> vehicleHoldings;

	@JSON(name = "address")
	private Address adress;

	public String getId() {

		return id;
	}

	public void setId(String id) {

		this.id = id;
	}

	public String getName() {

		return name;
	}

	public void setName(String name) {

		this.name = name;
	}

	public String getGivenName() {

		return givenName;
	}

	public void setGivenName(String givenName) {

		this.givenName = givenName;
	}

	public String getCategoryOfOwner() {

		return categoryOfOwner;
	}

	public void setCategoryOfOwner(String categoryOfOwner) {

		this.categoryOfOwner = categoryOfOwner;
	}

	public String getAreaCodeOwner() {

		return areaCodeOwner;
	}

	public void setAreaCodeOwner(String areaCodeOwner) {

		this.areaCodeOwner = areaCodeOwner;
	}

	public Boolean isAdvertisingBarrier() {

		return advertisingBarrier;
	}

	public void setAdvertisingBarrier(Boolean advertisingBarrier) {

		this.advertisingBarrier = advertisingBarrier;
	}

	public Boolean isConfidentiality() {

		return confidentiality;
	}

	public void setConfidentiality(Boolean confidentiality) {

		this.confidentiality = confidentiality;
	}

	public String getOwnerTypeCode() {

		return ownerTypeCode;
	}

	public void setOwnerTypeCode(String ownerTypeCode) {

		this.ownerTypeCode = ownerTypeCode;
	}

	public List<VehicleHoldings> getVehicleHoldings() {

		return vehicleHoldings;
	}

	public void setVehicleHoldings(List<VehicleHoldings> vehicleHoldings) {

		this.vehicleHoldings = vehicleHoldings;
	}

	public Address getAdress() {

		return adress;
	}

	public void setAdress(Address adress) {

		this.adress = adress;
	}

	@Override
	public String toString() {

		return "Data [id=" + id + ", name=" + name + ", givenName=" + givenName + ", categoryOfOwner=" + categoryOfOwner + ", areaCodeOwner=" + areaCodeOwner + ", advertisingBarrier=" + advertisingBarrier + ", confidentiality=" + confidentiality + ", ownerTypeCode=" + ownerTypeCode + ", vehicleHoldings=" + vehicleHoldings + ", adress=" + adress + "]";
	}
}
