<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	
	<xsl:import href="classpath://com/nordicpeak/flowengine/Message.sv.xsl"/>
	
	<xsl:include href="BookingCommon.sv.xsl"/>
	<xsl:include href="UserBookingModuleTemplates.xsl"/>
	
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>
	
	<xsl:variable name="java.userMenuTabTitle">Mina bokningar</xsl:variable>
	<xsl:variable name="java.changeBookingSlotQueryName">Vlj en ny tid</xsl:variable>
	<xsl:variable name="java.changeBookingSlotQueryConfirm">Jag bekrftar den valda tiden</xsl:variable>
	
	<xsl:variable name="i18n.LastEvent">Senaste hndelse</xsl:variable>
	<xsl:variable name="i18n.Help">Hjlp</xsl:variable>
	
	<xsl:variable name="i18n.UserBookings">Kommande Bokningar</xsl:variable>
	<xsl:variable name="i18n.UserBookingsHelp">
		<h2 class="h1 full" data-icon-before="?">Bokningar</h2>
		Hr visas kommande bokningar du har.
	</xsl:variable>
	
	<xsl:variable name="i18n.UserArchivedBookings">Tidigare Bokningar</xsl:variable>
	<xsl:variable name="i18n.UserArchivedBookingsHelp">
		<h2 class="h1 full" data-icon-before="?">Tidigare Bokningar</h2>
		Hr visas dina tidigare bokningar.
	</xsl:variable>
	
	<xsl:variable name="i18n.NoBookings">Du har fr nrvarande inga bokningar.</xsl:variable>
	<xsl:variable name="i18n.ShowBooking">Visa bokning</xsl:variable>
	
	<xsl:variable name="i18n.ChangeBookingSlot">ndra tid</xsl:variable>
	
	<xsl:variable name="i18n.LeaveBookingSlot">Avboka tid</xsl:variable>
	<xsl:variable name="i18n.LeaveBookingSlotDescription">Lmna en kommentar om du vill. Kommentaren kommer att visas under "Meddelanden" inne p bokningen.</xsl:variable>
	<xsl:variable name="i18n.LeaveReason">Kommentar</xsl:variable>
	
	<xsl:variable name="i18n.MyMessages">Mina meddelanden</xsl:variable>
	<xsl:variable name="i18n.PostedByManager">Handlggare</xsl:variable>
	
	<xsl:variable name="i18n.Archived">Avbokad</xsl:variable>
	
</xsl:stylesheet>
