package com.nordicpeak.flowengine.integration.castor.beans;

import java.util.List;

import se.unlogic.standardutils.dao.annotations.DAOManaged;
import se.unlogic.standardutils.dao.annotations.OneToMany;
import se.unlogic.standardutils.dao.annotations.Table;
import se.unlogic.standardutils.xml.XMLElement;

import com.nordicpeak.flowengine.integration.base.beans.BaseIntegrationEndpoint;

@Table(name = "castor_integration_endpoints")
@XMLElement(name = "Endpoint")
public class IntegrationEndpoint extends BaseIntegrationEndpoint {

	@DAOManaged
	@XMLElement
	private String address;

	@DAOManaged
	@OneToMany
	private List<IntegrationSettings> integrationSettings;

	public String getAddress() {

		return address;
	}

	public void setAddress(String address) {

		this.address = address;
	}

	public List<IntegrationSettings> getIntegrationSettings() {

		return integrationSettings;
	}

	public void setIntegrationSettings(List<IntegrationSettings> integrationSettings) {

		this.integrationSettings = integrationSettings;
	}

}
