
package com.nordicpeak.flowengine.integration.castor.proxy;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for CastorEventTypeEnum.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="CastorEventTypeEnum">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="Dokument"/>
 *     &lt;enumeration value="CasePDF"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "CastorEventTypeEnum")
@XmlEnum
public enum CastorEventTypeEnum {

    @XmlEnumValue("Dokument")
    DOKUMENT("Dokument"),
    @XmlEnumValue("CasePDF")
    CASE_PDF("CasePDF");
    private final String value;

    CastorEventTypeEnum(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static CastorEventTypeEnum fromValue(String v) {
        for (CastorEventTypeEnum c: CastorEventTypeEnum.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
