<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>

	<xsl:include href="CullingModuleTemplates.xsl"/>
	
	<!-- Module XSL variables  -->
	<xsl:variable name="java.extensionViewTitle">Gallring</xsl:variable>
	<xsl:variable name="java.cullingUpdated">Uppdaterade automatisk gallring</xsl:variable>
	<xsl:variable name="java.cullingInactivated">Inaktiverade automatisk gallring</xsl:variable>
	<xsl:variable name="java.defaultSavedCullingMessage">Om du inte fortstter med ditt rende inom $autodeletion.days dagar kommer det att raderas.</xsl:variable>
	
	<!-- Validation -->
	<xsl:variable name="i18n.validation.requiredField">Du mste fylla i fltet:</xsl:variable>
	<xsl:variable name="i18n.validation.invalidFormat">Felaktigt format p fltet:</xsl:variable>
	<xsl:variable name="i18n.validation.tooShort">Fr kort innehll i fltet:</xsl:variable>
	<xsl:variable name="i18n.validation.tooLong">Fr lngt innehll i fltet:</xsl:variable>
	<xsl:variable name="i18n.validation.unknownError">Oknt fel p fltet:</xsl:variable>
	<xsl:variable name="i18n.validation.unknownFault">Ett oknt valideringsfel har uppsttt.</xsl:variable>
	
	<xsl:variable name="i18n.Validation.Inline.RequiredField">Det hr fltet r obligatoriskt!</xsl:variable>
	<xsl:variable name="i18n.Validation.Inline.InvalidFormat">Innehllet i det hr fltet har ett ogiltigt format!</xsl:variable>
	<xsl:variable name="i18n.Validation.Inline.TooLongFieldContent.part1">Innehllet i det hr fltet r </xsl:variable>
	<xsl:variable name="i18n.Validation.Inline.TooLongFieldContent.part2"> tecken vilket verskrider maxgrnsen p </xsl:variable>
	<xsl:variable name="i18n.Validation.Inline.TooLongFieldContent.part3"> tecken!</xsl:variable>
	<xsl:variable name="i18n.Validation.Inline.UnknownValidationError">Ett oknt valideringsfel har uppsttt!</xsl:variable>
	
	<xsl:variable name="i18n.DateError">Frn-datum kan inte vara efter till-datum</xsl:variable>
	<xsl:variable name="i18n.UnknownError">Ett oknt fel uppstod</xsl:variable>
	<xsl:variable name="i18n.SubmittedError">Du mste vlja att hmta inskickade eller ej inskickade renden, eller bda tv.</xsl:variable>
	<xsl:variable name="i18n.DateFormatError">Ogiltigt format p datum, skall vara -MM-DD</xsl:variable>
	
	<!-- Internationalization -->
	<xsl:variable name="i18n.CullingText.Part1">Det finns fr nrvarande</xsl:variable>
	<xsl:variable name="i18n.Cullingtext.Part2">renden som r tillgngliga fr gallring</xsl:variable>
	<xsl:variable name="i18n.ShowManualCullingOptions">Manuell gallring</xsl:variable>
	<xsl:variable name="i18n.ShowAutomaticCullingOptions">Automatisk gallring</xsl:variable>
	<xsl:variable name="i18n.NoFlowInstances">Det finns nnu inga inkomna renden som kan gallras</xsl:variable>
	<xsl:variable name="i18n.CullFamily">Gallra renden i e-tjnsten</xsl:variable>
	<xsl:variable name="i18n.AutomaticCullingInUse">E-tjnsten anvnder automatisk gallring.</xsl:variable>
	
	<xsl:variable name="i18n.Status">Status</xsl:variable>
	
	<xsl:variable name="i18n.Period">Period</xsl:variable>
	<xsl:variable name="i18n.PeriodHelpText">Fr ej inskickade renden berknas perioden p datum d rende frst skapades. Fr inskickade renden berknas perioden p datum d rendet skickats in.</xsl:variable>
	<xsl:variable name="i18n.FromDate">Frn</xsl:variable>
	<xsl:variable name="i18n.ToDate">Till</xsl:variable>

	<xsl:variable name="i18n.Submitted">Inskickade</xsl:variable>
	<xsl:variable name="i18n.SubmittedNotSubmitted">Inskickade / Ej inskickade</xsl:variable>
	<xsl:variable name="i18n.NotSubmitted">Ej inskickade</xsl:variable>
	
	<xsl:variable name="i18n.ShowInstances">Visa renden</xsl:variable>
	<xsl:variable name="i18n.Instance">rendenr</xsl:variable>
	<xsl:variable name="i18n.Version">Version</xsl:variable>
	<xsl:variable name="i18n.Date">Datum</xsl:variable>
	<xsl:variable name="i18n.IsSubmitted">Inskickat</xsl:variable>
	<xsl:variable name="i18n.CullingComment">Ange kommentar</xsl:variable>
	
	<xsl:variable name="i18n.Yes">Ja</xsl:variable>
	<xsl:variable name="i18n.No">Nej</xsl:variable>
	<xsl:variable name="i18n.Search">Sk</xsl:variable>
	
	<xsl:variable name="i18n.Found">Hittade</xsl:variable>
	<xsl:variable name="i18n.Instances">renden</xsl:variable>
	<xsl:variable name="i18n.EmptyTable">Det finns inga renden att visa</xsl:variable>
	<xsl:variable name="i18n.ZeroRecords">Skning matchade inga renden</xsl:variable>
	<xsl:variable name="i18n.Next">Nsta</xsl:variable>
	<xsl:variable name="i18n.Previous">Fregende</xsl:variable>
	<xsl:variable name="i18n.presentedComment">Angiven kommentar:</xsl:variable>
	<xsl:variable name="i18n.LengthMenu">Visa _MENU_ renden</xsl:variable>
	
	<xsl:variable name="i18n.DataTable.info">Visar _START_ till _END_ av _TOTAL_ borttagna renden</xsl:variable>
	<xsl:variable name="i18n.DataTable.infoEmpty">Visar 0 till 0 av 0 borttagna renden</xsl:variable>
	<xsl:variable name="i18n.DataTable.infoFiltered">(filtrerat frn totalt _MAX_ borttagna renden)</xsl:variable>
	
	<xsl:variable name="i18n.CullInstances">Gallra valda renden</xsl:variable>
	<xsl:variable name="i18n.ConfirmDelete.Part1">Var god beakta att det medfr extra kostnader att i ett senare skede frska terstlla de borttagna rendena. Vill du verkligen ta bort de markerade</xsl:variable>
	<xsl:variable name="i18n.ConfirmDelete.Part2">rendena</xsl:variable>
	
	<xsl:variable name="i18n.ListCullings">Borttagna renden</xsl:variable>
	<xsl:variable name="i18n.Family">FamiljID</xsl:variable>
	<xsl:variable name="i18n.AddedDate">Tillagd</xsl:variable>
	<xsl:variable name="i18n.SubmittedDate">Inskickad</xsl:variable>
	<xsl:variable name="i18n.Deleted">Borttagen</xsl:variable>
	<xsl:variable name="i18n.DeletedBy">Borttagen av</xsl:variable>
	<xsl:variable name="i18n.Comment">Kommentar</xsl:variable>
	
	<xsl:variable name="i18n.AutomaticCulling.title">Automatisk gallring av renden i e-tjnsten</xsl:variable>
	<xsl:variable name="i18n.AutomaticCulling.information">Vid ndring av namn p status s behver ven nedanstende instllningar uppdateras manuellt.</xsl:variable>
	<xsl:variable name="i18n.AutomaticCulling.archived.heading">Avslutade renden</xsl:variable>
	<xsl:variable name="i18n.AutomaticCulling.archived.description1">Nedan visas den eller de statusar som innehller avslutade renden. Antal dagar rknas i pbrjade dagar frn det datum d rendena senast ndrade status, oberoende av klockslag.</xsl:variable>
	<xsl:variable name="i18n.AutomaticCulling.archived.description2">Exempel: om senaste statusndringen gjordes 2020-03-12 23:59:59 och nuvarande tid r 2020-03-13 00:00:00, d ger berkningen svaret 1 dag.</xsl:variable>
	<xsl:variable name="i18n.AutomaticCulling.noArchivedStatuses">Inga statusar med avslutade renden hittades.</xsl:variable>
	<xsl:variable name="i18n.AutomaticCulling.unsubmitted.heading">Ej inskickade renden</xsl:variable>
	<xsl:variable name="i18n.AutomaticCulling.unsubmitted.description1">Nedan visas den eller de statusar som innehller ej inskickade renden. Antal dagar rknas i pbrjade dagar frn det datum d rendena senast sparades, oberoende av klockslag.</xsl:variable>
	<xsl:variable name="i18n.AutomaticCulling.unsubmitted.description2">Exempel: om rendet senast sparades 2020-03-12 23:59:59 och nuvarande tid r 2020-03-13 00:00:00, d ger berkningen svaret 1 dag.</xsl:variable>
	<xsl:variable name="i18n.AutomaticCulling.noUnsubmittedStatuses">Ingen status fr ej inskickade renden hittades.</xsl:variable>
	<xsl:variable name="i18n.AutomaticCulling.SavedCullingMessage.description1">D automatisk gallring av sparade renden r pslagen s visas en informationstext d anvndaren sparar ett rende. Antingen anvnder man standardbeskrivningen eller ocks vljer man att ange en annan beskrivningstext fr just denna e-tjnst hr nedan.</xsl:variable>
	<xsl:variable name="i18n.AutomaticCulling.EnableCustomSavedCullingMessage">Ange annan beskrivning n standard</xsl:variable>
	
	<xsl:variable name="i18n.AutomaticCulling.Column.contentType">Innehllstyp</xsl:variable>
	<xsl:variable name="i18n.AutomaticCulling.Column.lifetime">Antal dagar innan gallring</xsl:variable>
	<xsl:variable name="i18n.AutomaticCulling.confirm">Jag bekrftar hrmed att jag r infrstdd i att instllningarna i detta formulr medfr att renden enligt ovanstende kriterier tas bort automatiskt. Jag bekrftar ocks att det medfr extra kostnader att i ett senare skede frska terstlla de borttagna rendena.</xsl:variable>
	<xsl:variable name="i18n.AutomaticCulling.save">Spara ndringar</xsl:variable>
	<xsl:variable name="i18n.AutomaticCulling.customSavedCullingMessage">gallringsbeskrivning fr ej inskickade renden</xsl:variable>
	
	<xsl:variable name="i18n.TagsTable.description">Fljande tagg kan anvndas i beskrivningen</xsl:variable>
	<xsl:variable name="i18n.Tag">Tagg</xsl:variable>
	<xsl:variable name="i18n.Description">Beskrivning</xsl:variable>
	<xsl:variable name="i18n.AutodeletionDaysTag">Antalet dagar som rende sparas innan det gallras</xsl:variable>
	
</xsl:stylesheet>
