package com.nordicpeak.flowengine.queries.dynamictablequery;

import java.lang.reflect.Field;
import java.util.Arrays;
import java.util.List;

import se.unlogic.standardutils.dao.AnnotatedDAOWrapper;
import se.unlogic.webutils.http.BeanRequestPopulator;

import com.nordicpeak.flowengine.queries.basetablequery.TableQueryCRUD;

public class DynamicTableQueryCRUD extends TableQueryCRUD<DropDownAlternative, DynamicTableCellValue, DynamicTableRow, DynamicTableQueryInstance, DynamicTableColumn, DynamicTableQuery, DynamicTableQueryProviderModule> {

	protected AnnotatedDAOWrapper<DynamicTableQuery, Integer> queryDAO;

	public DynamicTableQueryCRUD(AnnotatedDAOWrapper<DynamicTableQuery, Integer> queryDAO, BeanRequestPopulator<DynamicTableQuery> populator, String typeElementName, String typeLogName, String listMethodAlias, DynamicTableQueryProviderModule callback) {

		super(DynamicTableQuery.class, queryDAO, populator, typeElementName, typeLogName, listMethodAlias, callback);

		this.queryDAO = queryDAO;
	}

	@Override
	protected List<Field> getBeanRelations() {

		return Arrays.asList(DynamicTableQuery.COLUMNS_RELATION);
	}

}
