
package com.easit.bpsservice.proxy;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlValue;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="ItemViewIdentifier" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="Page" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="SortColumn" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;attribute name="order" use="required">
 *                   &lt;simpleType>
 *                     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *                       &lt;enumeration value="Ascending"/>
 *                       &lt;enumeration value="Descending"/>
 *                     &lt;/restriction>
 *                   &lt;/simpleType>
 *                 &lt;/attribute>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="FreeTextFilter" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="ColumnFilter" maxOccurs="unbounded" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;attribute name="columnName" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
 *                 &lt;attribute name="rawValue" type="{http://www.w3.org/2001/XMLSchema}string" />
 *                 &lt;attribute name="comparator" use="required">
 *                   &lt;simpleType>
 *                     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *                       &lt;enumeration value="EQUALS"/>
 *                       &lt;enumeration value="NOT_EQUALS"/>
 *                       &lt;enumeration value="IN"/>
 *                       &lt;enumeration value="NOT_IN"/>
 *                       &lt;enumeration value="GREATER_THAN"/>
 *                       &lt;enumeration value="GREATER_THAN_OR_EQUALS"/>
 *                       &lt;enumeration value="LESS_THAN"/>
 *                       &lt;enumeration value="LESS_THAN_OR_EQUALS"/>
 *                       &lt;enumeration value="LIKE"/>
 *                       &lt;enumeration value="NOT_LIKE"/>
 *                     &lt;/restriction>
 *                   &lt;/simpleType>
 *                 &lt;/attribute>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="IdFilter" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "GetItemsRequest", propOrder = {
    "itemViewIdentifier",
    "page",
    "sortColumn",
    "freeTextFilter",
    "columnFilter",
    "idFilter"
})
@XmlRootElement(name = "GetItemsRequest")
public class GetItemsRequest
    implements Serializable
{

    /**
	 * 
	 */
	private static final long serialVersionUID = -2471725565274493706L;
	@XmlElement(name = "ItemViewIdentifier", required = true)
    protected String itemViewIdentifier;
    @XmlElement(name = "Page")
    protected int page;
    @XmlElement(name = "SortColumn")
    protected GetItemsRequest.SortColumn sortColumn;
    @XmlElement(name = "FreeTextFilter")
    protected String freeTextFilter;
    @XmlElement(name = "ColumnFilter")
    protected List<GetItemsRequest.ColumnFilter> columnFilter;
    @XmlElement(name = "IdFilter")
    protected String idFilter;

    /**
     * Gets the value of the itemViewIdentifier property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getItemViewIdentifier() {
        return itemViewIdentifier;
    }

    /**
     * Sets the value of the itemViewIdentifier property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setItemViewIdentifier(String value) {
        this.itemViewIdentifier = value;
    }

    /**
     * Gets the value of the page property.
     * 
     */
    public int getPage() {
        return page;
    }

    /**
     * Sets the value of the page property.
     * 
     */
    public void setPage(int value) {
        this.page = value;
    }

    /**
     * Gets the value of the sortColumn property.
     * 
     * @return
     *     possible object is
     *     {@link GetItemsRequest.SortColumn }
     *     
     */
    public GetItemsRequest.SortColumn getSortColumn() {
        return sortColumn;
    }

    /**
     * Sets the value of the sortColumn property.
     * 
     * @param value
     *     allowed object is
     *     {@link GetItemsRequest.SortColumn }
     *     
     */
    public void setSortColumn(GetItemsRequest.SortColumn value) {
        this.sortColumn = value;
    }

    /**
     * Gets the value of the freeTextFilter property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFreeTextFilter() {
        return freeTextFilter;
    }

    /**
     * Sets the value of the freeTextFilter property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFreeTextFilter(String value) {
        this.freeTextFilter = value;
    }

    /**
     * Gets the value of the columnFilter property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the columnFilter property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getColumnFilter().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link GetItemsRequest.ColumnFilter }
     * 
     * 
     */
    public List<GetItemsRequest.ColumnFilter> getColumnFilter() {
        if (columnFilter == null) {
            columnFilter = new ArrayList<GetItemsRequest.ColumnFilter>();
        }
        return this.columnFilter;
    }

    /**
     * Gets the value of the idFilter property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIdFilter() {
        return idFilter;
    }

    /**
     * Sets the value of the idFilter property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIdFilter(String value) {
        this.idFilter = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;attribute name="columnName" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
     *       &lt;attribute name="rawValue" type="{http://www.w3.org/2001/XMLSchema}string" />
     *       &lt;attribute name="comparator" use="required">
     *         &lt;simpleType>
     *           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
     *             &lt;enumeration value="EQUALS"/>
     *             &lt;enumeration value="NOT_EQUALS"/>
     *             &lt;enumeration value="IN"/>
     *             &lt;enumeration value="NOT_IN"/>
     *             &lt;enumeration value="GREATER_THAN"/>
     *             &lt;enumeration value="GREATER_THAN_OR_EQUALS"/>
     *             &lt;enumeration value="LESS_THAN"/>
     *             &lt;enumeration value="LESS_THAN_OR_EQUALS"/>
     *             &lt;enumeration value="LIKE"/>
     *             &lt;enumeration value="NOT_LIKE"/>
     *           &lt;/restriction>
     *         &lt;/simpleType>
     *       &lt;/attribute>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "content"
    })
    public static class ColumnFilter
        implements Serializable
    {

        /**
		 * 
		 */
		private static final long serialVersionUID = -6449198548558313259L;
		@XmlValue
        protected String content;
        @XmlAttribute(name = "columnName", required = true)
        protected String columnName;
        @XmlAttribute(name = "rawValue")
        protected String rawValue;
        @XmlAttribute(name = "comparator", required = true)
        protected String comparator;

        /**
         * Gets the value of the content property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getContent() {
            return content;
        }

        /**
         * Sets the value of the content property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setContent(String value) {
            this.content = value;
        }

        /**
         * Gets the value of the columnName property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getColumnName() {
            return columnName;
        }

        /**
         * Sets the value of the columnName property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setColumnName(String value) {
            this.columnName = value;
        }

        /**
         * Gets the value of the rawValue property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getRawValue() {
            return rawValue;
        }

        /**
         * Sets the value of the rawValue property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setRawValue(String value) {
            this.rawValue = value;
        }

        /**
         * Gets the value of the comparator property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getComparator() {
            return comparator;
        }

        /**
         * Sets the value of the comparator property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setComparator(String value) {
            this.comparator = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;attribute name="order" use="required">
     *         &lt;simpleType>
     *           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
     *             &lt;enumeration value="Ascending"/>
     *             &lt;enumeration value="Descending"/>
     *           &lt;/restriction>
     *         &lt;/simpleType>
     *       &lt;/attribute>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "content"
    })
    public static class SortColumn
        implements Serializable
    {

        /**
		 * 
		 */
		private static final long serialVersionUID = 8145472331506633461L;
		@XmlValue
        protected String content;
        @XmlAttribute(name = "order", required = true)
        protected String order;

        /**
         * Gets the value of the content property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getContent() {
            return content;
        }

        /**
         * Sets the value of the content property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setContent(String value) {
            this.content = value;
        }

        /**
         * Gets the value of the order property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getOrder() {
            return order;
        }

        /**
         * Sets the value of the order property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setOrder(String value) {
            this.order = value;
        }

    }

}
