
package com.easit.bpsservice.proxy;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.easit.bpsservice.proxy package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _PingRequest_QNAME = new QName("http://www.easit.com/bps/schemas", "PingRequest");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.easit.bpsservice.proxy
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link GetItemsResponse }
     * 
     */
    public GetItemsResponse createGetItemsResponse() {
        return new GetItemsResponse();
    }

    /**
     * Create an instance of {@link ImportItemsRequest }
     * 
     */
    public ImportItemsRequest createImportItemsRequest() {
        return new ImportItemsRequest();
    }

    /**
     * Create an instance of {@link GetItemsRequest }
     * 
     */
    public GetItemsRequest createGetItemsRequest() {
        return new GetItemsRequest();
    }

    /**
     * Create an instance of {@link ImportItemsResponse }
     * 
     */
    public ImportItemsResponse createImportItemsResponse() {
        return new ImportItemsResponse();
    }

    /**
     * Create an instance of {@link Item }
     * 
     */
    public Item createItem() {
        return new Item();
    }

    /**
     * Create an instance of {@link ImportItemsResponse.ImportItemResult }
     * 
     */
    public ImportItemsResponse.ImportItemResult createImportItemsResponseImportItemResult() {
        return new ImportItemsResponse.ImportItemResult();
    }

    /**
     * Create an instance of {@link ImportItemsResponse.ImportItemResult.ReturnValues }
     * 
     */
    public ImportItemsResponse.ImportItemResult.ReturnValues createImportItemsResponseImportItemResultReturnValues() {
        return new ImportItemsResponse.ImportItemResult.ReturnValues();
    }

    /**
     * Create an instance of {@link GetItemsResponse.Columns }
     * 
     */
    public GetItemsResponse.Columns createGetItemsResponseColumns() {
        return new GetItemsResponse.Columns();
    }

    /**
     * Create an instance of {@link GetItemsResponse.Items }
     * 
     */
    public GetItemsResponse.Items createGetItemsResponseItems() {
        return new GetItemsResponse.Items();
    }

    /**
     * Create an instance of {@link ImportItemsRequest.ItemToImport }
     * 
     */
    public ImportItemsRequest.ItemToImport createImportItemsRequestItemToImport() {
        return new ImportItemsRequest.ItemToImport();
    }

    /**
     * Create an instance of {@link ImportItemsRequest.GenericRequestProperty }
     * 
     */
    public ImportItemsRequest.GenericRequestProperty createImportItemsRequestGenericRequestProperty() {
        return new ImportItemsRequest.GenericRequestProperty();
    }

    /**
     * Create an instance of {@link GetItemsRequest.SortColumn }
     * 
     */
    public GetItemsRequest.SortColumn createGetItemsRequestSortColumn() {
        return new GetItemsRequest.SortColumn();
    }

    /**
     * Create an instance of {@link GetItemsRequest.ColumnFilter }
     * 
     */
    public GetItemsRequest.ColumnFilter createGetItemsRequestColumnFilter() {
        return new GetItemsRequest.ColumnFilter();
    }

    /**
     * Create an instance of {@link PingResponse }
     * 
     */
    public PingResponse createPingResponse() {
        return new PingResponse();
    }

    /**
     * Create an instance of {@link Item.Property }
     * 
     */
    public Item.Property createItemProperty() {
        return new Item.Property();
    }

    /**
     * Create an instance of {@link Item.Attachment }
     * 
     */
    public Item.Attachment createItemAttachment() {
        return new Item.Attachment();
    }

    /**
     * Create an instance of {@link ImportItemsResponse.ImportItemResult.ReturnValues.ReturnValue }
     * 
     */
    public ImportItemsResponse.ImportItemResult.ReturnValues.ReturnValue createImportItemsResponseImportItemResultReturnValuesReturnValue() {
        return new ImportItemsResponse.ImportItemResult.ReturnValues.ReturnValue();
    }

    /**
     * Create an instance of {@link GetItemsResponse.Columns.Column }
     * 
     */
    public GetItemsResponse.Columns.Column createGetItemsResponseColumnsColumn() {
        return new GetItemsResponse.Columns.Column();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.easit.com/bps/schemas", name = "PingRequest")
    public JAXBElement<Object> createPingRequest(Object value) {
        return new JAXBElement<Object>(_PingRequest_QNAME, Object.class, null, value);
    }

}
