
package com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservice;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;

import com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservices.OrderBoardMeetingAgendasBy;
import com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservices.OrderBoardMeetingsBy;
import com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservices.OrderBoardsBy;


/**
 * <p>Java class for GetBoardAndMeetingsRequest complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="GetBoardAndMeetingsRequest">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="FromDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="OrderBoardMeetingAgendasBy" type="{http://schemas.datacontract.org/2004/07/Evolution.EServices.DataContracts}OrderBoardMeetingAgendasBy" minOccurs="0"/>
 *         &lt;element name="OrderBoardMeetingsBy" type="{http://schemas.datacontract.org/2004/07/Evolution.EServices.DataContracts}OrderBoardMeetingsBy" minOccurs="0"/>
 *         &lt;element name="OrderBoardsBy" type="{http://schemas.datacontract.org/2004/07/Evolution.EServices.DataContracts}OrderBoardsBy" minOccurs="0"/>
 *         &lt;element name="SocialSecurityNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="ToDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "GetBoardAndMeetingsRequest", namespace = "http://schemas.datacontract.org/2004/07/Evolution.EService.DataContracts", propOrder = {
    "fromDate",
    "orderBoardMeetingAgendasBy",
    "orderBoardMeetingsBy",
    "orderBoardsBy",
    "socialSecurityNumber",
    "toDate"
})
public class GetBoardAndMeetingsRequest {

    @XmlElement(name = "FromDate", nillable = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar fromDate;
    @XmlElement(name = "OrderBoardMeetingAgendasBy")
    @XmlSchemaType(name = "string")
    protected OrderBoardMeetingAgendasBy orderBoardMeetingAgendasBy;
    @XmlElement(name = "OrderBoardMeetingsBy")
    @XmlSchemaType(name = "string")
    protected OrderBoardMeetingsBy orderBoardMeetingsBy;
    @XmlElement(name = "OrderBoardsBy")
    @XmlSchemaType(name = "string")
    protected OrderBoardsBy orderBoardsBy;
    @XmlElement(name = "SocialSecurityNumber", nillable = true)
    protected String socialSecurityNumber;
    @XmlElement(name = "ToDate", nillable = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar toDate;

    /**
     * Gets the value of the fromDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getFromDate() {
        return fromDate;
    }

    /**
     * Sets the value of the fromDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setFromDate(XMLGregorianCalendar value) {
        this.fromDate = value;
    }

    /**
     * Gets the value of the orderBoardMeetingAgendasBy property.
     * 
     * @return
     *     possible object is
     *     {@link OrderBoardMeetingAgendasBy }
     *     
     */
    public OrderBoardMeetingAgendasBy getOrderBoardMeetingAgendasBy() {
        return orderBoardMeetingAgendasBy;
    }

    /**
     * Sets the value of the orderBoardMeetingAgendasBy property.
     * 
     * @param value
     *     allowed object is
     *     {@link OrderBoardMeetingAgendasBy }
     *     
     */
    public void setOrderBoardMeetingAgendasBy(OrderBoardMeetingAgendasBy value) {
        this.orderBoardMeetingAgendasBy = value;
    }

    /**
     * Gets the value of the orderBoardMeetingsBy property.
     * 
     * @return
     *     possible object is
     *     {@link OrderBoardMeetingsBy }
     *     
     */
    public OrderBoardMeetingsBy getOrderBoardMeetingsBy() {
        return orderBoardMeetingsBy;
    }

    /**
     * Sets the value of the orderBoardMeetingsBy property.
     * 
     * @param value
     *     allowed object is
     *     {@link OrderBoardMeetingsBy }
     *     
     */
    public void setOrderBoardMeetingsBy(OrderBoardMeetingsBy value) {
        this.orderBoardMeetingsBy = value;
    }

    /**
     * Gets the value of the orderBoardsBy property.
     * 
     * @return
     *     possible object is
     *     {@link OrderBoardsBy }
     *     
     */
    public OrderBoardsBy getOrderBoardsBy() {
        return orderBoardsBy;
    }

    /**
     * Sets the value of the orderBoardsBy property.
     * 
     * @param value
     *     allowed object is
     *     {@link OrderBoardsBy }
     *     
     */
    public void setOrderBoardsBy(OrderBoardsBy value) {
        this.orderBoardsBy = value;
    }

    /**
     * Gets the value of the socialSecurityNumber property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSocialSecurityNumber() {
        return socialSecurityNumber;
    }

    /**
     * Sets the value of the socialSecurityNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSocialSecurityNumber(String value) {
        this.socialSecurityNumber = value;
    }

    /**
     * Gets the value of the toDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getToDate() {
        return toDate;
    }

    /**
     * Sets the value of the toDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setToDate(XMLGregorianCalendar value) {
        this.toDate = value;
    }

}
