
package com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservice;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for GetCaseDetailsResponse complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="GetCaseDetailsResponse">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="ActivityProcessDetails" type="{http://schemas.datacontract.org/2004/07/Evolution.EService.DataAccess}ActivityProcessDetails" minOccurs="0"/>
 *         &lt;element name="ActivityProcessId" type="{http://schemas.microsoft.com/2003/10/Serialization/}guid" minOccurs="0"/>
 *         &lt;element name="CaseContactDetails" type="{http://schemas.datacontract.org/2004/07/Evolution.EService.DataAccess}ArrayOfContactDetails" minOccurs="0"/>
 *         &lt;element name="ClosedDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="ContactDetails" type="{http://schemas.datacontract.org/2004/07/Evolution.EService.DataAccess}ContactDetails" minOccurs="0"/>
 *         &lt;element name="CreateDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="CreatedBy" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="CustomerDetails" type="{http://schemas.datacontract.org/2004/07/Evolution.EService.DataAccess}CustomerDetails" minOccurs="0"/>
 *         &lt;element name="DepartmentDetails" type="{http://schemas.datacontract.org/2004/07/Evolution.EService.DataAccess}DepartmentDetails" minOccurs="0"/>
 *         &lt;element name="Departmentid" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="Description" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="DiaryNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="DocumentDetails" type="{http://schemas.datacontract.org/2004/07/Evolution.EService.DataAccess}ArrayOfDocumentDetails" minOccurs="0"/>
 *         &lt;element name="Id" type="{http://schemas.microsoft.com/2003/10/Serialization/}guid" minOccurs="0"/>
 *         &lt;element name="Note" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="ResponsibleDetails" type="{http://schemas.datacontract.org/2004/07/Evolution.EService.DataAccess}ResponsibleDetails" minOccurs="0"/>
 *         &lt;element name="UnitCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="UpdateDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "GetCaseDetailsResponse", namespace = "http://schemas.datacontract.org/2004/07/Evolution.EService.DataContracts", propOrder = {
    "activityProcessDetails",
    "activityProcessId",
    "caseContactDetails",
    "closedDate",
    "contactDetails",
    "createDate",
    "createdBy",
    "customerDetails",
    "departmentDetails",
    "departmentid",
    "description",
    "diaryNumber",
    "documentDetails",
    "id",
    "note",
    "responsibleDetails",
    "unitCode",
    "updateDate"
})
public class GetCaseDetailsResponse {

    @XmlElement(name = "ActivityProcessDetails", nillable = true)
    protected ActivityProcessDetails activityProcessDetails;
    @XmlElement(name = "ActivityProcessId")
    protected String activityProcessId;
    @XmlElement(name = "CaseContactDetails", nillable = true)
    protected ArrayOfContactDetails caseContactDetails;
    @XmlElement(name = "ClosedDate", nillable = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar closedDate;
    @XmlElement(name = "ContactDetails", nillable = true)
    protected ContactDetails contactDetails;
    @XmlElement(name = "CreateDate", nillable = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar createDate;
    @XmlElement(name = "CreatedBy", nillable = true)
    protected String createdBy;
    @XmlElement(name = "CustomerDetails", nillable = true)
    protected CustomerDetails customerDetails;
    @XmlElement(name = "DepartmentDetails", nillable = true)
    protected DepartmentDetails departmentDetails;
    @XmlElement(name = "Departmentid", nillable = true)
    protected Integer departmentid;
    @XmlElement(name = "Description", nillable = true)
    protected String description;
    @XmlElement(name = "DiaryNumber", nillable = true)
    protected String diaryNumber;
    @XmlElement(name = "DocumentDetails", nillable = true)
    protected ArrayOfDocumentDetails documentDetails;
    @XmlElement(name = "Id")
    protected String id;
    @XmlElement(name = "Note", nillable = true)
    protected String note;
    @XmlElement(name = "ResponsibleDetails", nillable = true)
    protected ResponsibleDetails responsibleDetails;
    @XmlElement(name = "UnitCode", nillable = true)
    protected String unitCode;
    @XmlElement(name = "UpdateDate", nillable = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar updateDate;

    /**
     * Gets the value of the activityProcessDetails property.
     * 
     * @return
     *     possible object is
     *     {@link ActivityProcessDetails }
     *     
     */
    public ActivityProcessDetails getActivityProcessDetails() {
        return activityProcessDetails;
    }

    /**
     * Sets the value of the activityProcessDetails property.
     * 
     * @param value
     *     allowed object is
     *     {@link ActivityProcessDetails }
     *     
     */
    public void setActivityProcessDetails(ActivityProcessDetails value) {
        this.activityProcessDetails = value;
    }

    /**
     * Gets the value of the activityProcessId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getActivityProcessId() {
        return activityProcessId;
    }

    /**
     * Sets the value of the activityProcessId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setActivityProcessId(String value) {
        this.activityProcessId = value;
    }

    /**
     * Gets the value of the caseContactDetails property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfContactDetails }
     *     
     */
    public ArrayOfContactDetails getCaseContactDetails() {
        return caseContactDetails;
    }

    /**
     * Sets the value of the caseContactDetails property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfContactDetails }
     *     
     */
    public void setCaseContactDetails(ArrayOfContactDetails value) {
        this.caseContactDetails = value;
    }

    /**
     * Gets the value of the closedDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getClosedDate() {
        return closedDate;
    }

    /**
     * Sets the value of the closedDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setClosedDate(XMLGregorianCalendar value) {
        this.closedDate = value;
    }

    /**
     * Gets the value of the contactDetails property.
     * 
     * @return
     *     possible object is
     *     {@link ContactDetails }
     *     
     */
    public ContactDetails getContactDetails() {
        return contactDetails;
    }

    /**
     * Sets the value of the contactDetails property.
     * 
     * @param value
     *     allowed object is
     *     {@link ContactDetails }
     *     
     */
    public void setContactDetails(ContactDetails value) {
        this.contactDetails = value;
    }

    /**
     * Gets the value of the createDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getCreateDate() {
        return createDate;
    }

    /**
     * Sets the value of the createDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setCreateDate(XMLGregorianCalendar value) {
        this.createDate = value;
    }

    /**
     * Gets the value of the createdBy property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCreatedBy() {
        return createdBy;
    }

    /**
     * Sets the value of the createdBy property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCreatedBy(String value) {
        this.createdBy = value;
    }

    /**
     * Gets the value of the customerDetails property.
     * 
     * @return
     *     possible object is
     *     {@link CustomerDetails }
     *     
     */
    public CustomerDetails getCustomerDetails() {
        return customerDetails;
    }

    /**
     * Sets the value of the customerDetails property.
     * 
     * @param value
     *     allowed object is
     *     {@link CustomerDetails }
     *     
     */
    public void setCustomerDetails(CustomerDetails value) {
        this.customerDetails = value;
    }

    /**
     * Gets the value of the departmentDetails property.
     * 
     * @return
     *     possible object is
     *     {@link DepartmentDetails }
     *     
     */
    public DepartmentDetails getDepartmentDetails() {
        return departmentDetails;
    }

    /**
     * Sets the value of the departmentDetails property.
     * 
     * @param value
     *     allowed object is
     *     {@link DepartmentDetails }
     *     
     */
    public void setDepartmentDetails(DepartmentDetails value) {
        this.departmentDetails = value;
    }

    /**
     * Gets the value of the departmentid property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getDepartmentid() {
        return departmentid;
    }

    /**
     * Sets the value of the departmentid property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setDepartmentid(Integer value) {
        this.departmentid = value;
    }

    /**
     * Gets the value of the description property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDescription() {
        return description;
    }

    /**
     * Sets the value of the description property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDescription(String value) {
        this.description = value;
    }

    /**
     * Gets the value of the diaryNumber property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDiaryNumber() {
        return diaryNumber;
    }

    /**
     * Sets the value of the diaryNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDiaryNumber(String value) {
        this.diaryNumber = value;
    }

    /**
     * Gets the value of the documentDetails property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfDocumentDetails }
     *     
     */
    public ArrayOfDocumentDetails getDocumentDetails() {
        return documentDetails;
    }

    /**
     * Sets the value of the documentDetails property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfDocumentDetails }
     *     
     */
    public void setDocumentDetails(ArrayOfDocumentDetails value) {
        this.documentDetails = value;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

    /**
     * Gets the value of the note property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNote() {
        return note;
    }

    /**
     * Sets the value of the note property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNote(String value) {
        this.note = value;
    }

    /**
     * Gets the value of the responsibleDetails property.
     * 
     * @return
     *     possible object is
     *     {@link ResponsibleDetails }
     *     
     */
    public ResponsibleDetails getResponsibleDetails() {
        return responsibleDetails;
    }

    /**
     * Sets the value of the responsibleDetails property.
     * 
     * @param value
     *     allowed object is
     *     {@link ResponsibleDetails }
     *     
     */
    public void setResponsibleDetails(ResponsibleDetails value) {
        this.responsibleDetails = value;
    }

    /**
     * Gets the value of the unitCode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUnitCode() {
        return unitCode;
    }

    /**
     * Sets the value of the unitCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUnitCode(String value) {
        this.unitCode = value;
    }

    /**
     * Gets the value of the updateDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getUpdateDate() {
        return updateDate;
    }

    /**
     * Sets the value of the updateDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setUpdateDate(XMLGregorianCalendar value) {
        this.updateDate = value;
    }

}
