package com.nordicpeak.flowengine.flowinstanceadmin2.interfaces;

import java.io.IOException;
import java.sql.SQLException;
import java.util.List;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.w3c.dom.Document;
import org.w3c.dom.Element;

import se.unlogic.hierarchy.core.beans.User;
import se.unlogic.hierarchy.core.interfaces.ForegroundModuleResponse;
import se.unlogic.standardutils.json.JsonNode;
import se.unlogic.webutils.http.URIParser;

import com.nordicpeak.flowengine.beans.FlowInstance;

public interface ColoredTagProvider {

	public void appendListElement(Document doc, Element targetElement, User user) throws SQLException;

	public void appendOverviewElement(FlowInstance flowInstance, Document doc, Element targetElement) throws SQLException;

	public JsonNode getFlowInstanceTableCellData(FlowInstance flowInstance) throws SQLException;

	public ForegroundModuleResponse selectColoredTag(FlowInstance flowInstance, HttpServletRequest req, HttpServletResponse res, User user, URIParser uriParser) throws SQLException, IOException;
	
	public Map<Integer, String> getFlowInstanceIDAndHexColorByFlowInstance(List<FlowInstance> flowInstance) throws SQLException;

}
