package com.nordicpeak.flowengine.flowinstanceadmin2.sendmessages.validationerrors;

import se.unlogic.standardutils.validation.ValidationError;
import se.unlogic.standardutils.xml.XMLElement;

import com.nordicpeak.flowengine.beans.Flow;

@XMLElement(name="validationError")
public class ExternalMessagesDisabledValidationError extends ValidationError {

	private static final long serialVersionUID = -1651047890363785688L;

	@XMLElement
	String flowName;
	
	@XMLElement
	int skippedMessages;
	
	public ExternalMessagesDisabledValidationError(Flow flow, int skippedMessages) {
		super("ExternalMessagesDisabled");
		
		flowName = flow.getName() + " (v." + flow.getVersion() + ")";
		this.skippedMessages = skippedMessages;
	}
}
