
package se.lantmateriet.namespace.distribution.produkter.inskrivning.v2;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AnteckningType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AnteckningType">
 *   &lt;complexContent>
 *     &lt;extension base="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}InskrivningType">
 *       &lt;sequence>
 *         &lt;element name="anteckningstyp" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}AnteckningstypType"/>
 *         &lt;element name="anteckningstext" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="Anteckningsanmarkning" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}AnteckningsanmarkningType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Belastar" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}RegisterenhetsreferensArrayPropertyType" minOccurs="0"/>
 *         &lt;element name="Avser" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}AvserreferensType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AnteckningType", propOrder = {
    "anteckningstyp",
    "anteckningstext",
    "anteckningsanmarkning",
    "belastar",
    "avser"
})
public class AnteckningType
    extends InskrivningType
{

    @XmlElement(required = true)
    protected AnteckningstypType anteckningstyp;
    @XmlElement(required = true)
    protected String anteckningstext;
    @XmlElement(name = "Anteckningsanmarkning")
    protected List<AnteckningsanmarkningType> anteckningsanmarkning;
    @XmlElement(name = "Belastar")
    protected RegisterenhetsreferensArrayPropertyType belastar;
    @XmlElement(name = "Avser")
    protected List<AvserreferensType> avser;

    /**
     * Gets the value of the anteckningstyp property.
     * 
     * @return
     *     possible object is
     *     {@link AnteckningstypType }
     *     
     */
    public AnteckningstypType getAnteckningstyp() {
        return anteckningstyp;
    }

    /**
     * Sets the value of the anteckningstyp property.
     * 
     * @param value
     *     allowed object is
     *     {@link AnteckningstypType }
     *     
     */
    public void setAnteckningstyp(AnteckningstypType value) {
        this.anteckningstyp = value;
    }

    /**
     * Gets the value of the anteckningstext property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAnteckningstext() {
        return anteckningstext;
    }

    /**
     * Sets the value of the anteckningstext property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAnteckningstext(String value) {
        this.anteckningstext = value;
    }

    /**
     * Gets the value of the anteckningsanmarkning property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the anteckningsanmarkning property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAnteckningsanmarkning().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link AnteckningsanmarkningType }
     * 
     * 
     */
    public List<AnteckningsanmarkningType> getAnteckningsanmarkning() {
        if (anteckningsanmarkning == null) {
            anteckningsanmarkning = new ArrayList<AnteckningsanmarkningType>();
        }
        return this.anteckningsanmarkning;
    }

    /**
     * Gets the value of the belastar property.
     * 
     * @return
     *     possible object is
     *     {@link RegisterenhetsreferensArrayPropertyType }
     *     
     */
    public RegisterenhetsreferensArrayPropertyType getBelastar() {
        return belastar;
    }

    /**
     * Sets the value of the belastar property.
     * 
     * @param value
     *     allowed object is
     *     {@link RegisterenhetsreferensArrayPropertyType }
     *     
     */
    public void setBelastar(RegisterenhetsreferensArrayPropertyType value) {
        this.belastar = value;
    }

    /**
     * Gets the value of the avser property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the avser property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAvser().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link AvserreferensType }
     * 
     * 
     */
    public List<AvserreferensType> getAvser() {
        if (avser == null) {
            avser = new ArrayList<AvserreferensType>();
        }
        return this.avser;
    }

}
