
package se.lantmateriet.namespace.distribution.produkter.inskrivning.v2;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for FangType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="FangType">
 *   &lt;complexContent>
 *     &lt;extension base="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}InskrivningType">
 *       &lt;sequence>
 *         &lt;element name="AndelFang" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}BrakType" minOccurs="0"/>
 *         &lt;choice minOccurs="0">
 *           &lt;element name="fangesar" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *           &lt;element name="fangesmanad" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *           &lt;element name="fangesdag" type="{http://www.w3.org/2001/XMLSchema}date"/>
 *         &lt;/choice>
 *         &lt;element name="fangesart" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}FangesartType" minOccurs="0"/>
 *         &lt;element name="fangeskod" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}FangeskodType" minOccurs="0"/>
 *         &lt;element name="forvarvstyp" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}ForvarvstypType" minOccurs="0"/>
 *         &lt;element name="omradesbeskrivning" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;choice>
 *           &lt;element name="Lagfartsanmarkning" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}LagfartsanmarkningType" maxOccurs="unbounded" minOccurs="0"/>
 *           &lt;element name="Tomtrattsinnehavsanmarkning" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}TomtrattsinnehavsanmarkningType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;/choice>
 *         &lt;element name="inskrivetAgande" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}UUIDType"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "FangType", propOrder = {
    "andelFang",
    "fangesar",
    "fangesmanad",
    "fangesdag",
    "fangesart",
    "fangeskod",
    "forvarvstyp",
    "omradesbeskrivning",
    "lagfartsanmarkning",
    "tomtrattsinnehavsanmarkning",
    "inskrivetAgande"
})
public class FangType
    extends InskrivningType
{

    @XmlElement(name = "AndelFang")
    protected BrakType andelFang;
    protected Integer fangesar;
    protected String fangesmanad;
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar fangesdag;
    protected FangesartType fangesart;
    protected FangeskodType fangeskod;
    protected ForvarvstypType forvarvstyp;
    protected String omradesbeskrivning;
    @XmlElement(name = "Lagfartsanmarkning")
    protected List<LagfartsanmarkningType> lagfartsanmarkning;
    @XmlElement(name = "Tomtrattsinnehavsanmarkning")
    protected List<TomtrattsinnehavsanmarkningType> tomtrattsinnehavsanmarkning;
    @XmlElement(required = true)
    protected String inskrivetAgande;

    /**
     * Gets the value of the andelFang property.
     * 
     * @return
     *     possible object is
     *     {@link BrakType }
     *     
     */
    public BrakType getAndelFang() {
        return andelFang;
    }

    /**
     * Sets the value of the andelFang property.
     * 
     * @param value
     *     allowed object is
     *     {@link BrakType }
     *     
     */
    public void setAndelFang(BrakType value) {
        this.andelFang = value;
    }

    /**
     * Gets the value of the fangesar property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getFangesar() {
        return fangesar;
    }

    /**
     * Sets the value of the fangesar property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setFangesar(Integer value) {
        this.fangesar = value;
    }

    /**
     * Gets the value of the fangesmanad property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFangesmanad() {
        return fangesmanad;
    }

    /**
     * Sets the value of the fangesmanad property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFangesmanad(String value) {
        this.fangesmanad = value;
    }

    /**
     * Gets the value of the fangesdag property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getFangesdag() {
        return fangesdag;
    }

    /**
     * Sets the value of the fangesdag property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setFangesdag(XMLGregorianCalendar value) {
        this.fangesdag = value;
    }

    /**
     * Gets the value of the fangesart property.
     * 
     * @return
     *     possible object is
     *     {@link FangesartType }
     *     
     */
    public FangesartType getFangesart() {
        return fangesart;
    }

    /**
     * Sets the value of the fangesart property.
     * 
     * @param value
     *     allowed object is
     *     {@link FangesartType }
     *     
     */
    public void setFangesart(FangesartType value) {
        this.fangesart = value;
    }

    /**
     * Gets the value of the fangeskod property.
     * 
     * @return
     *     possible object is
     *     {@link FangeskodType }
     *     
     */
    public FangeskodType getFangeskod() {
        return fangeskod;
    }

    /**
     * Sets the value of the fangeskod property.
     * 
     * @param value
     *     allowed object is
     *     {@link FangeskodType }
     *     
     */
    public void setFangeskod(FangeskodType value) {
        this.fangeskod = value;
    }

    /**
     * Gets the value of the forvarvstyp property.
     * 
     * @return
     *     possible object is
     *     {@link ForvarvstypType }
     *     
     */
    public ForvarvstypType getForvarvstyp() {
        return forvarvstyp;
    }

    /**
     * Sets the value of the forvarvstyp property.
     * 
     * @param value
     *     allowed object is
     *     {@link ForvarvstypType }
     *     
     */
    public void setForvarvstyp(ForvarvstypType value) {
        this.forvarvstyp = value;
    }

    /**
     * Gets the value of the omradesbeskrivning property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOmradesbeskrivning() {
        return omradesbeskrivning;
    }

    /**
     * Sets the value of the omradesbeskrivning property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOmradesbeskrivning(String value) {
        this.omradesbeskrivning = value;
    }

    /**
     * Gets the value of the lagfartsanmarkning property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the lagfartsanmarkning property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getLagfartsanmarkning().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link LagfartsanmarkningType }
     * 
     * 
     */
    public List<LagfartsanmarkningType> getLagfartsanmarkning() {
        if (lagfartsanmarkning == null) {
            lagfartsanmarkning = new ArrayList<LagfartsanmarkningType>();
        }
        return this.lagfartsanmarkning;
    }

    /**
     * Gets the value of the tomtrattsinnehavsanmarkning property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the tomtrattsinnehavsanmarkning property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getTomtrattsinnehavsanmarkning().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TomtrattsinnehavsanmarkningType }
     * 
     * 
     */
    public List<TomtrattsinnehavsanmarkningType> getTomtrattsinnehavsanmarkning() {
        if (tomtrattsinnehavsanmarkning == null) {
            tomtrattsinnehavsanmarkning = new ArrayList<TomtrattsinnehavsanmarkningType>();
        }
        return this.tomtrattsinnehavsanmarkning;
    }

    /**
     * Gets the value of the inskrivetAgande property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInskrivetAgande() {
        return inskrivetAgande;
    }

    /**
     * Sets the value of the inskrivetAgande property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInskrivetAgande(String value) {
        this.inskrivetAgande = value;
    }

}
