
package se.lantmateriet.namespace.distribution.produkter.inskrivning.v2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for PantbrevstypType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="PantbrevstypType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="Datapantbrev"/>
 *     &lt;enumeration value="Skriftligt pantbrev"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "PantbrevstypType")
@XmlEnum
public enum PantbrevstypType {

    @XmlEnumValue("Datapantbrev")
    DATAPANTBREV("Datapantbrev"),
    @XmlEnumValue("Skriftligt pantbrev")
    SKRIFTLIGT_PANTBREV("Skriftligt pantbrev");
    private final String value;

    PantbrevstypType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static PantbrevstypType fromValue(String v) {
        for (PantbrevstypType c: PantbrevstypType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
