
package se.lantmateriet.namespace.distribution.produkter.ortnamn.v2;

import java.util.ArrayList;
import java.util.List;

import se.unlogic.standardutils.validation.ValidationError;
import se.unlogic.standardutils.validation.ValidationException;
import se.unlogic.standardutils.xml.XMLParser;
import se.unlogic.standardutils.xml.XMLParserPopulateable;
import se.unlogic.standardutils.xml.XMLPopulationUtils;


public class OrtnamnResponse implements XMLParserPopulateable {

	protected List<Ortnamn> ortnamn;

	public List<Ortnamn> getOrtnamn() {
		return ortnamn;
	}

	@Override
	public void populate(XMLParser xmlParser) throws ValidationException {

		List<ValidationError> errors = new ArrayList<ValidationError>();

		ortnamn = XMLPopulationUtils.populateBeans(xmlParser, "OrtnamnMember/Ortnamn", Ortnamn.class, errors);

		if (!errors.isEmpty()) {
			throw new ValidationException(errors);
		}
	}
}
