package com.nordicpeak.flowengine.evaluators.officialaddressquerystateevaluator;

import se.unlogic.standardutils.dao.AnnotatedDAOWrapper;
import se.unlogic.webutils.http.BeanRequestPopulator;
import se.unlogic.webutils.populators.annotated.AnnotatedRequestPopulator;

import com.nordicpeak.flowengine.evaluators.baseevaluator.BaseEvaluatorCRUD;

public class OfficialAddressQueryStateEvaluatorCRUD extends BaseEvaluatorCRUD<OfficialAddressQueryStateEvaluator, OfficialAddressQueryStateEvaluationProviderModule> {

	private static final BeanRequestPopulator<OfficialAddressQueryStateEvaluator> POPULATOR = new AnnotatedRequestPopulator<OfficialAddressQueryStateEvaluator>(OfficialAddressQueryStateEvaluator.class);

	public OfficialAddressQueryStateEvaluatorCRUD(Class<OfficialAddressQueryStateEvaluator> beanClass, AnnotatedDAOWrapper<OfficialAddressQueryStateEvaluator, Integer> evaluatorDAO, OfficialAddressQueryStateEvaluationProviderModule callback) {

		super(beanClass, evaluatorDAO, POPULATOR, "OfficialAddressQueryStateEvaluator", "offical address query state evaluator", null, callback);
	}
	
}
