$(function() {

	$("#chart").on("change", function(){

		updateAccountSelects(this.value, $("#account, #vatAccount"));
		
	}).trigger("change");
	
	$(".payment-product-chart").on("change", function(){
		
		var $accountSelects = $(this).closest("tr").find("select[name^='account'], select[name^='vatAccount']");
		
		updateAccountSelects(this.value, $accountSelects);
		
	}).trigger("change");
	
	$("#paymentProductSettingsEnabled").on("change", function(){
		
		$("#paymentProductSettingsContainer").toggle(this.checked);
		
	}).trigger("change");
	
	$("input[type='checkbox'][name^='paymentProductSettingsEnabled-']").on("change", function(){
		
		var $selects = $(this).closest("tr").find("select:not([name^='template-'])");
		
		$selects.prop("disabled", !this.checked);
		
		if (!this.checked) {
			
			$selects.prop("selectedIndex", 0);
		}
		
	}).trigger("change");

	function updateAccountSelects(selectedChartID, $accountSelects) {
		
		$accountSelects.each(function(){
			
			var $accountSelect = $(this);
			
			var $templateSelect = $("#template-" + this.id);
			
			$accountSelect.html($templateSelect.html());
			
			var $options = $accountSelect.find("option");
			
			if (selectedChartID != "") {
				
				$options.filter("[value!=''][data-chart!='" + selectedChartID +"']").remove();
				
			} else {
				
				$options.filter("[value!='']").remove();
			}
		});
		
	}
	
});