<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>

	<xsl:include href="PlotEventModuleTemplates.xsl"/>
	<xsl:include href="classpath://com/nordicpeak/flowengine/queries/plotquery/PlotCommon.sv.xsl"/>
	
	<xsl:variable name="i18n.ListPlotEvents">Tomthistorik</xsl:variable>
	<xsl:variable name="i18n.EventType">Hndelse</xsl:variable>
	<xsl:variable name="i18n.Details">Beskrivning</xsl:variable>
	<xsl:variable name="i18n.Added">Datum</xsl:variable>
	<xsl:variable name="i18n.User">Person</xsl:variable>

	<xsl:variable name="i18n.EventType.Locked">Lsning lyckades</xsl:variable>
	<xsl:variable name="i18n.EventType.LockRefreshed">Lsning frnyades</xsl:variable>
	<xsl:variable name="i18n.EventType.LockFailed">Lsning misslyckades</xsl:variable>
	<xsl:variable name="i18n.EventType.Submitted">Tomt bokad</xsl:variable>
	<xsl:variable name="i18n.EventType.UnknownError">Oknt fel</xsl:variable>

	<!-- 	Datatables	 -->
	<xsl:variable name="i18n.Search">Sk</xsl:variable>
	<xsl:variable name="i18n.Delete">Ta bort</xsl:variable>
	<xsl:variable name="i18n.EmptyTable">Det finns ingen historik att visa</xsl:variable>
	<xsl:variable name="i18n.ZeroRecords">Skning matchade ingen historik</xsl:variable>
	<xsl:variable name="i18n.Next">Nsta</xsl:variable>
	<xsl:variable name="i18n.Previous">Fregende</xsl:variable>
	<xsl:variable name="i18n.LengthMenu">Visa _MENU_ hndelser</xsl:variable>
	<xsl:variable name="i18n.DataTable.info">Visar _START_ till _END_ av _TOTAL_ hndelser</xsl:variable>
	<xsl:variable name="i18n.DataTable.infoEmpty">Visar 0 till 0 av 0 hndelser</xsl:variable>
	<xsl:variable name="i18n.DataTable.infoFiltered">(filtrerat frn totalt _MAX_ hndelser)</xsl:variable>
	<xsl:variable name="i18n.DataTable.fetchError">Ett fel uppstod vid hmtning av historik, vnligen frsk igen senare.</xsl:variable>
	<xsl:variable name="i18n.DataTable.loadingRecords">Hmtar historik...</xsl:variable>

	<xsl:variable name="i18n.Filter.FromDate">Frn och med</xsl:variable>
	<xsl:variable name="i18n.Filter.ToDate">Till och med</xsl:variable>
	
</xsl:stylesheet>
