$(function() {

	setQueryRequiredFunctions["PredefinedUserQueryInstance"] = makePredefinedUserQueryRequired;
});

function initPredefinedUserQuery(queryID) {

	var query = $("#query_" + queryID);
	
	var select = query.find("select");
	
	var changed = function(){
		
		$("#query_" + queryID + "-validationerrors").remove();
		query.find("article.error").removeClass("error");
		
		query.find(".user").hide();
		
		var userID = select.val();
		
		if (userID != "") {
			query.find(".user[data-userid='" + userID + "']").show();
		}
	}
	
	select.on("change", changed);
}

function makePredefinedUserQueryRequired(queryID) {

	$("#query_" + queryID).find(".heading-wrapper h2").addClass("required");
}
