$(function() {
	
	$("#useForMultipartSigning").on("change", showHideMultiPart);
	showHideMultiPart();
	
	// Overrides UserGroupList.js
	var origFunction = addUserGroupEntry;
	
	addUserGroupEntry = function(item, list, prefix, template, showUserURL) {
		
		if (prefix == "preSelectedUserID") {
			list.find("li:visible").remove();
		}
		
		origFunction.apply(null, arguments);
	};
	
	var showManagerInfoField = $("#showManagerInfo");
	
	var showHideManagerInfo = function() {
		
		var checked = showManagerInfoField.prop("checked");
		
		$("#managerinfo").toggle(checked).find("input").prop("disabled", !checked)
		$("#attributes .manager").toggle(checked);
	}
	
	showManagerInfoField.on("change", showHideManagerInfo);
	showHideManagerInfo();
	
	$("#showDropDownCitizenIdentifier, #attribute-dropdown-citizenIdentifier, #attribute-dropdown-managerCitizenIdentifier, #showCitizenIdentifier, #attribute-citizenIdentifier, #attribute-managerCitizenIdentifier, #managerattribute-citizenIdentifier, #managerattribute-managerCitizenIdentifier").on("change", function() {
		
		var anyCitizenIdentifierOptionIsChecked = !!$("#showDropDownCitizenIdentifier:checked, #attribute-dropdown-citizenIdentifier:checked, #attribute-dropdown-managerCitizenIdentifier:checked, #showCitizenIdentifier:checked, #attribute-citizenIdentifier:checked, #attribute-managerCitizenIdentifier:checked, #managerattribute-citizenIdentifier:checked, #managerattribute-managerCitizenIdentifier:checked").length;

		$("#maskCitizenIDLastFourDigits").prop("disabled", !anyCitizenIdentifierOptionIsChecked);		
		$("#maskCitizenIDLastFourDigitsContainer").toggle(anyCitizenIdentifierOptionIsChecked);
		
	}).trigger("change");
	
});

function showHideMultiPart(){
	
	var checked = $("#useForMultipartSigning").prop("checked");

	$("#multipart").toggle(checked).find("input").prop("disabled", !checked)
}