<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>

	<xsl:include href="RandomBookingNumberGeneratorModuleTemplates.xsl"/>
	
	<xsl:variable name="java.eventRandomlyAssignedNumber">Bokningsnummer slumpmssigt tilldelat: </xsl:variable>
	<xsl:variable name="java.eventManagerSelectedNumber">Bokningsnummer valt av handlggare: </xsl:variable>
	<xsl:variable name="java.eventManagerDeselectedNumber">Bokningsnummer borttaget av handlggare</xsl:variable>
	<xsl:variable name="java.eventSystemDeselectedNumber">Bokningsnummer borttaget av systemet</xsl:variable>
	
	<xsl:variable name="i18n.Add">Lgg till</xsl:variable>
	<xsl:variable name="i18n.AddInterval">Lgg till serie</xsl:variable>
	<xsl:variable name="i18n.Update">ndra</xsl:variable>
	<xsl:variable name="i18n.UpdateInterval">ndra serie</xsl:variable>
	<xsl:variable name="i18n.SaveChanges">Spara ndringar</xsl:variable>
	<xsl:variable name="i18n.Delete">Ta bort</xsl:variable>
	<xsl:variable name="i18n.DeleteInterval.Confirm">r du sker p att du vill ta bort denna serie?</xsl:variable>
	<xsl:variable name="i18n.DeleteInterval.Disabled">Det gr inte att ta bort serien d den anvnds p bokningstillfllen</xsl:variable>
	<xsl:variable name="i18n.CancelConfirm">r du sker p att du vill avbryta</xsl:variable>
	<xsl:variable name="i18n.Cancel">Avbryt</xsl:variable>
	<xsl:variable name="i18n.NoIntervals">Det finns inga skapade serier</xsl:variable>
	
	<xsl:variable name="i18n.Interval.Name">Namn</xsl:variable>
	<xsl:variable name="i18n.Interval.Enabled">Aktiverad</xsl:variable>
	<xsl:variable name="i18n.Interval.Range">Antal nummer</xsl:variable>
	
	<xsl:variable name="i18n.Number.Enabled">Aktiverad</xsl:variable>
	<xsl:variable name="i18n.Number.Index">ID</xsl:variable>
	<xsl:variable name="i18n.Number.Description">Beskrivning</xsl:variable>

	<xsl:variable name="i18n.BookingSlot.Interval">Serie</xsl:variable>
	<xsl:variable name="i18n.BookingSlot.Interval.Choose">Vlj serie</xsl:variable>

	<xsl:variable name="i18n.Booking.Number">Nummer</xsl:variable>
	<xsl:variable name="i18n.Booking.Number.None">Ej tilldelat</xsl:variable>

	<xsl:variable name="i18n.Modal.ChooseNumber">Vlj nummer</xsl:variable>
	<xsl:variable name="i18n.Modal.Cancel">Avbryt</xsl:variable>
	<xsl:variable name="i18n.Modal.Submit">ndra</xsl:variable>

	<xsl:variable name="i18n.Yes">Ja</xsl:variable>
	<xsl:variable name="i18n.No">Nej</xsl:variable>

	<xsl:variable name="i18n.Attributes.Description">Fljande attribut kommer att sparas med prefixet frn aktuell bokningsfrga (om attribut r aktiverat). Anvndningsexempel om du valt prefixet 'test': $attribute{test.randomBookingNumberID}</xsl:variable>
	<xsl:variable name="i18n.Attributes.Name">Attributnamn</xsl:variable>
	<xsl:variable name="i18n.Attributes.Value">Vrde</xsl:variable>
	<xsl:variable name="i18n.Attribute.ID">ID</xsl:variable>
	<xsl:variable name="i18n.Attribute.Description">Beskrivning</xsl:variable>

	<xsl:variable name="i18n.validation.ExistingNumberMappings">Det gr inte att byta serie d det finns bokningar med nummer frn nuvarande serie</xsl:variable>
	
	<xsl:variable name="i18n.validation.requiredField">Du mste fylla i fltet:</xsl:variable>
	<xsl:variable name="i18n.validation.invalidFormat">Felaktigt format p fltet:</xsl:variable>
	<xsl:variable name="i18n.validation.tooShort">Fr kort innehll i fltet:</xsl:variable>
	<xsl:variable name="i18n.validation.tooLong">Fr lngt innehll i fltet:</xsl:variable>
	<xsl:variable name="i18n.validation.unknownError">Oknt fel p fltet:</xsl:variable>
	<xsl:variable name="i18n.validation.unknownFault">Ett oknt valideringsfel har uppsttt.</xsl:variable>

</xsl:stylesheet>
