$(function() {
	
	var $modalTemplate = $("#selectRandomBookingNumberModal");

	$("#randomBookingNumberLink").on("click", function(){
		
		openModal();
	});
	
	if ($modalTemplate.find("p.error").length) {
		
		openModal();
	}
	
	function openModal() {
		
		$.featherlight($modalTemplate, {

			variant: 'small-modal',
			otherClose: ".cancel",
			
			afterContent: function(){
				var featherlight = this;
				var $content = featherlight.$content;
				$content.removeClass("no-sections");
			},
			
			afterClose: function(){
				
				var featherlight = this;
				var $content = featherlight.$content;
				
				if ($content.find("p.error").length) {
					
					location.href = location.pathname;
				}
			},
		});
	}
	
});
