
package se.bolagsverket.schema.ssbt.fel;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for fel complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="fel">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/fel}FelKod" minOccurs="0"/>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/fel}FelBeskrivning" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="Typ" use="required" type="{http://schema.bolagsverket.se/ssbt/fel}felTyp" />
 *       &lt;attribute name="Kalla" use="required" type="{http://schema.bolagsverket.se/ssbt/fel}felKalla" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "fel", propOrder = {
    "felKod",
    "felBeskrivning"
})
public class Fel {

    @XmlElement(name = "FelKod")
    protected String felKod;
    @XmlElement(name = "FelBeskrivning")
    protected String felBeskrivning;
    @XmlAttribute(name = "Typ", required = true)
    protected FelTyp typ;
    @XmlAttribute(name = "Kalla", required = true)
    protected FelKalla kalla;

    /**
     * Gets the value of the felKod property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFelKod() {
        return felKod;
    }

    /**
     * Sets the value of the felKod property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFelKod(String value) {
        this.felKod = value;
    }

    /**
     * Gets the value of the felBeskrivning property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFelBeskrivning() {
        return felBeskrivning;
    }

    /**
     * Sets the value of the felBeskrivning property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFelBeskrivning(String value) {
        this.felBeskrivning = value;
    }

    /**
     * Gets the value of the typ property.
     * 
     * @return
     *     possible object is
     *     {@link FelTyp }
     *     
     */
    public FelTyp getTyp() {
        return typ;
    }

    /**
     * Sets the value of the typ property.
     * 
     * @param value
     *     allowed object is
     *     {@link FelTyp }
     *     
     */
    public void setTyp(FelTyp value) {
        this.typ = value;
    }

    /**
     * Gets the value of the kalla property.
     * 
     * @return
     *     possible object is
     *     {@link FelKalla }
     *     
     */
    public FelKalla getKalla() {
        return kalla;
    }

    /**
     * Sets the value of the kalla property.
     * 
     * @param value
     *     allowed object is
     *     {@link FelKalla }
     *     
     */
    public void setKalla(FelKalla value) {
        this.kalla = value;
    }

}
