
package se.bolagsverket.schema.ssbt.foretag;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for aktieslag complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="aktieslag">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/foretag}AktieslagBeteckning"/>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/foretag}AktieslagAntal"/>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/foretag}AktieslagRostvarde" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "aktieslag", propOrder = {
    "aktieslagBeteckning",
    "aktieslagAntal",
    "aktieslagRostvarde"
})
public class Aktieslag {

    @XmlElement(name = "AktieslagBeteckning", required = true)
    protected String aktieslagBeteckning;
    @XmlElement(name = "AktieslagAntal", required = true)
    protected BigInteger aktieslagAntal;
    @XmlElement(name = "AktieslagRostvarde")
    protected String aktieslagRostvarde;

    /**
     * Gets the value of the aktieslagBeteckning property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAktieslagBeteckning() {
        return aktieslagBeteckning;
    }

    /**
     * Sets the value of the aktieslagBeteckning property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAktieslagBeteckning(String value) {
        this.aktieslagBeteckning = value;
    }

    /**
     * Gets the value of the aktieslagAntal property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getAktieslagAntal() {
        return aktieslagAntal;
    }

    /**
     * Sets the value of the aktieslagAntal property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setAktieslagAntal(BigInteger value) {
        this.aktieslagAntal = value;
    }

    /**
     * Gets the value of the aktieslagRostvarde property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAktieslagRostvarde() {
        return aktieslagRostvarde;
    }

    /**
     * Sets the value of the aktieslagRostvarde property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAktieslagRostvarde(String value) {
        this.aktieslagRostvarde = value;
    }

}
