
package se.bolagsverket.schema.ssbtgu.v2.grundlaggandeuppgifter;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import se.bolagsverket.schema.ssbt.fel.Fel;
import se.bolagsverket.schema.ssbt.foretag.JuridiskForm;


/**
 * Juridisk form.
 * 
 * <p>Java class for ud0002 complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ud0002">
 *   &lt;complexContent>
 *     &lt;extension base="{http://schema.bolagsverket.se/ssbtgu/v2/grundlaggandeuppgifter}grundlaggandeUppgift">
 *       &lt;choice>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/foretag}JuridiskForm" minOccurs="0"/>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/fel}Fel"/>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ud0002", propOrder = {
    "juridiskForm",
    "fel"
})
public class Ud0002
    extends GrundlaggandeUppgift
{

    @XmlElement(name = "JuridiskForm", namespace = "http://schema.bolagsverket.se/ssbt/foretag")
    protected JuridiskForm juridiskForm;
    @XmlElement(name = "Fel", namespace = "http://schema.bolagsverket.se/ssbt/fel")
    protected Fel fel;

    /**
     * Gets the value of the juridiskForm property.
     * 
     * @return
     *     possible object is
     *     {@link JuridiskForm }
     *     
     */
    public JuridiskForm getJuridiskForm() {
        return juridiskForm;
    }

    /**
     * Sets the value of the juridiskForm property.
     * 
     * @param value
     *     allowed object is
     *     {@link JuridiskForm }
     *     
     */
    public void setJuridiskForm(JuridiskForm value) {
        this.juridiskForm = value;
    }

    /**
     * Gets the value of the fel property.
     * 
     * @return
     *     possible object is
     *     {@link Fel }
     *     
     */
    public Fel getFel() {
        return fel;
    }

    /**
     * Sets the value of the fel property.
     * 
     * @param value
     *     allowed object is
     *     {@link Fel }
     *     
     */
    public void setFel(Fel value) {
        this.fel = value;
    }

}
