
package se.bolagsverket.schema.ssbtro.roll;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

import se.bolagsverket.schema.ssbt.foretag.ForetagId;
import se.bolagsverket.schema.ssbt.foretag.PersonId;


/**
 * <p>Java class for rollSvarDetaljer complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="rollSvarDetaljer">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbtro/roll}PersonId"/>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbtro/roll}ForetagId"/>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbtro/roll}ForetagRoll" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "rollSvarDetaljer", propOrder = {
    "personId",
    "foretagId",
    "foretagRoll"
})
public class RollSvarDetaljer {

    @XmlElement(name = "PersonId", required = true)
    protected PersonId personId;
    @XmlElement(name = "ForetagId", required = true)
    protected ForetagId foretagId;
    @XmlElement(name = "ForetagRoll")
    protected ForetagRoll foretagRoll;

    /**
     * Gets the value of the personId property.
     * 
     * @return
     *     possible object is
     *     {@link PersonId }
     *     
     */
    public PersonId getPersonId() {
        return personId;
    }

    /**
     * Sets the value of the personId property.
     * 
     * @param value
     *     allowed object is
     *     {@link PersonId }
     *     
     */
    public void setPersonId(PersonId value) {
        this.personId = value;
    }

    /**
     * Gets the value of the foretagId property.
     * 
     * @return
     *     possible object is
     *     {@link ForetagId }
     *     
     */
    public ForetagId getForetagId() {
        return foretagId;
    }

    /**
     * Sets the value of the foretagId property.
     * 
     * @param value
     *     allowed object is
     *     {@link ForetagId }
     *     
     */
    public void setForetagId(ForetagId value) {
        this.foretagId = value;
    }

    /**
     * Gets the value of the foretagRoll property.
     * 
     * @return
     *     possible object is
     *     {@link ForetagRoll }
     *     
     */
    public ForetagRoll getForetagRoll() {
        return foretagRoll;
    }

    /**
     * Sets the value of the foretagRoll property.
     * 
     * @param value
     *     allowed object is
     *     {@link ForetagRoll }
     *     
     */
    public void setForetagRoll(ForetagRoll value) {
        this.foretagRoll = value;
    }

}
