package com.nordicpeak.flowengine.queries.ssbt.enums;

import com.nordicpeak.flowengine.queries.ssbt.CompanyTypeAlternative;

public enum CompanyType {

	AB,
	BRF,
	E,
	EK,
	HB,
	KB;
	
	private final CompanyTypeAlternative alternative;
	
	private CompanyType(){
		
		alternative = new CompanyTypeAlternative(this);
	}
	
	public CompanyTypeAlternative getAlternative(){
		
		return alternative;
	}
}
