$(function() {
	
	setQueryRequiredFunctions["UnsecureMultiSignQueryInstance"] = makeUnsecureMultiSignQueryRequired;
});

function initUnsecureMultiSignQuery(queryID) {
	
	var query = $("#query_" + queryID);
	
	query.find("input.input-error").parent().addClass("input-error");
	
	query.find('input.disablepaste').on('paste', function (e) {
		e.preventDefault();
	});
}

function makeUnsecureMultiSignQueryRequired(queryID) {
	
	$("#query_" + queryID).find(".heading-wrapper h2").addClass("required");
}
