package com.nordicpeak.flowengine.evaluators.userage;

import se.unlogic.standardutils.dao.AnnotatedDAOWrapper;
import se.unlogic.webutils.http.BeanRequestPopulator;
import se.unlogic.webutils.populators.annotated.AnnotatedRequestPopulator;

import com.nordicpeak.flowengine.evaluators.baseevaluator.BaseEvaluatorCRUD;

public class UserAgeQueryStateEvaluatorCRUD extends BaseEvaluatorCRUD<UserAgeQueryStateEvaluator, UserAgeQueryStateEvaluationProviderModule> {
	
	private static final BeanRequestPopulator<UserAgeQueryStateEvaluator> POPULATOR = new AnnotatedRequestPopulator<UserAgeQueryStateEvaluator>(UserAgeQueryStateEvaluator.class);
	
	public UserAgeQueryStateEvaluatorCRUD(Class<UserAgeQueryStateEvaluator> beanClass, AnnotatedDAOWrapper<UserAgeQueryStateEvaluator, Integer> evaluatorDAO, UserAgeQueryStateEvaluationProviderModule callback) {
		
		super(beanClass, evaluatorDAO, POPULATOR, "UserAgeQueryStateEvaluator", "user age query state evaluator", null, callback);
	}
}
