package com.nordicpeak.flowengine.evaluators.setweightbymunicipalitycodeevaluator;

import se.unlogic.standardutils.dao.AnnotatedDAOWrapper;
import se.unlogic.webutils.populators.annotated.AnnotatedRequestPopulator;

import com.nordicpeak.flowengine.evaluators.baseevaluator.BaseEvaluatorCRUD;

public class SetWeightByMunicipalityCodeEvaluatorCRUD extends BaseEvaluatorCRUD<SetWeightByMunicipalityCodeEvaluator, SetWeightByMunicipalityCodeEvaluatorProviderModule> {

	private static final AnnotatedRequestPopulator<SetWeightByMunicipalityCodeEvaluator> POPULATOR = new AnnotatedRequestPopulator<SetWeightByMunicipalityCodeEvaluator>(SetWeightByMunicipalityCodeEvaluator.class);

	public SetWeightByMunicipalityCodeEvaluatorCRUD(Class<SetWeightByMunicipalityCodeEvaluator> beanClass, AnnotatedDAOWrapper<SetWeightByMunicipalityCodeEvaluator, Integer> evaluatorDAO, SetWeightByMunicipalityCodeEvaluatorProviderModule callback) {

		super(beanClass, evaluatorDAO, POPULATOR, "SetWeightByMunicipalityCodeEvaluator", "user municipality weight evaluator", null, callback);
	}


}
